<?php
if (!defined('ABSPATH')) exit;
add_action('admin_footer', function () {
    require_once __DIR__ . "/modalTemplates.php";
});
?>
<hr class="scc-separator">
<div class="container">
    <div class="row foot-img-li scc-new">
        <div class="col-md-1 clearfix">
            <a href="https://stylishcostcalculator.com/" class="scc-footer logo">
                <img src="<?php echo esc_url(SCC_URL . '/assets/images/scc-logo.png'); ?>" class="img-responsive-scc" alt="Image">
            </a>
        </div>
        <div class="col-md-4  design">
            <ul class="foot-li">
                <li><a href="#" target="_blank"></a></li>
                <li><a href="#" target="_blank"></a></li>
                <li><a href="#" target="_blank"></a></li>
            </ul>
        </div>
        <div class="col-md-2 design-2">
            <div class="foot-url">
                <p class="col-me"><a href="https://designful.freshdesk.com/support/solutions/48000446985" target="_blank">User Guides</a></p>
                <p><a href="https://stylishcostcalculator.com/support/" target="_blank">Submit A Ticket</a></p>
                <p><a href="https://stylishcostcalculator.com/poll/new-features/" target="_blank">Request a New Feature</a></p>
            </div>
        </div>
        <div class="col-md-2 design-3">
            <p class="foot-social">
                <a href="https://www.facebook.com/Stylish-Cost-Calculator-WordPress-Plugin-354068492335430" target="_blank"> Facebook </a> <br>
                <a href="https://www.youtube.com/c/StylishCostCalculator" target="_blank"> YouTube </a>
            </p>
        </div>
        <div class="col-md-3">
            <div class="foot-text-img">
                <p>Our other WP <a class="plugin_text">plugins</a></p>
                <p><span><a href="https://stylishpricelist.com" target="_blank"><img src="<?php echo esc_url(SCC_URL . '/assets/images/one1.png'); ?>" class="img-responsive-scc" alt="Image"></a>
                    </span></p>
            </div>
        </div>
    </div>
</div>
<style type="text/css">
    .scc-new .clearfix {
        clear: both;
        display: block;
        /* width: 100%; */
    }

    .scc-new .clearfix a img {
        max-width: 130px;
    }

    img.img-responsive-scc {
        max-width: 100%;
        height: auto;
    }

    .foot-img-li .col-md-5 .scc-footer,
    .foot-img-li .col-md-5 ul.foot-li,
    .foot-img-li .col-md-5 ul.foot-li li {
        display: inline-block;
    }

    .foot-img-li .scc-footer {
        width: 100%;
    }

    .foot-img-li .scc-footer {
        width: 100%;
    }

    .foot-img-li {
        margin-top: 100px;
    }

    ul.foot-li {
        width: 100%;
        float: left;
    }

    ul.foot-li li a {
        list-style-type: none;
        text-decoration: none;
        padding: 6px;
        font-size: 12px;
        color: #314af3;
    }

    ul.foot-li li {
        width: 30%;
        float: left;
    }

    ul.foot-li li:last-child:after {
        display: none;
    }

    .design,
    .design-2,
    .design-3 {
        position: relative;
    }

    .foot-img-li .design:after,
    .design-2:after,
    .design-3:after {
        content: "";
        width: 2px;
        height: 65px;
        background-color: #9c9c9c;
        position: absolute;
        right: 3px;
        top: 0;
    }

    p.foot-social i.fa {
        padding-top: -20px;
        width: 35px;
        font-size: 20px;
        color: #314af3;
    }

    .foot-text-img p span img {
        width: 100%;
    }

    .foot-text-img p span {
        display: inline-block;
        width: 100%;
        float: left;
    }

    .foot-url {
        text-align: center;
    }

    .foot-url p.col-me {
        color: #314af3;
    }

    .foot-url p {
        margin: 2px;
    }

    .foot-text-img a.plugin_text {
        font-size: 15px;
    }

    .foot-text-img p span img {
        width: 100px;
    }

    .price_wrapper {
        border-top: 1px solid #dcdcdc;
        margin-top: 50px;
        width: 100%;
        max-width: 98%;
    }

    .url-foot:after {
        content: "";
        width: 1px;
        height: 100px;
        background-color: #000;
        position: absolute;
        top: 0px;
    }

    .foot-text-img p {
        width: 100%;
        float: left;
        margin: 3px 0px;
        padding-left: 15px;
    }

    .foot-img-li .foot-li {
        margin-top: 12px;
    }

    @media screen and (max-width:768px) {

        .foot-img-li .col-md-1,
        .foot-img-li .design,
        .foot-img-li .design-2,
        .foot-img-li .design-3,
        .foot-img-li .col-md-3 {
            width: 100%;
            float: left;
        }

        .foot-img-li .scc-footer {
            width: 100%;
            float: left;
            max-width: 200px;
        }

        .foot-url {
            text-align: left;
            margin: 15px 0px;
        }

        .foot-text-img {
            width: 100%;
            float: left;
            margin-bottom: 16px;
        }

        .foot-text-img p {
            padding-left: 0px;
        }

        .foot-img-li .design:after,
        .design-2:after,
        .design-3:after {
            display: none;
        }
    }

    @media screen and (max-width:366px) {
        ul.foot-li li {
            width: 100%;
            float: left;
        }

        ul.foot-li li:after {
            display: none;
        }
    }
    .scc-separator{
        margin-top: 100px;
    }
</style>