<?php
if (!defined('ABSPATH')) exit;
class Stylish_Cost_Calculator_Settings
{
    protected $page;
    public function __construct()
    {
        wp_localize_script(
            'scc-backend',
            'SCC_Settings',
            [
                'security' => wp_create_nonce("scostc-admin-settings-referer")
            ]
        );
        wp_localize_script('scc-backend', 'pageGlobalSettings', ["nonce" => wp_create_nonce('global-settings-page')]);
        $this->page();
    }

    private function page()
    {
        $isSCCFreeVersion = defined('STYLISH_COST_CALCULATOR_VERSION');
        $currency_style = get_option('df_scc_currency_style', 'default'); // dot or comma
        $currency = get_option('df_scc_currency', 'USD');
        $currency_conversion_mode = get_option('df_scc_currency_coversion_mode', 'off');
        $currency_conversion_selection = get_option('df_scc_currency_coversion_manual_selection');
        $scc_emailsender = get_option('df_scc_emailsender');
        $scc_emailsubject = get_option('df_scc_emailsubject');
        $scc_sendername = get_option('df_scc_sendername');
        $scc_messageform = get_option('df_scc_messageform');
?>
        <div class="row">
            <div class="scc_title_bar" style="background: #314af3;max-width: 3000px;">GLOBAL SETTINGS</div>
        </div>

        <div class="row ms-3 settings-section" style="margin-bottom:20px;padding:20px;height: 110px;width: 700px;background-color:#f9f9fe">
            <div style="font-size:160%;" class=""><span style="font-weight:800;color:#314bf8">COUPON</span> SETTINGS</div><br>
            <a class="forms2edit_a" style="padding-left: 40px;" href="<?php echo get_admin_url() . 'admin.php?page=Stylish_Cost_Calculator_Coupon' ?>">Add or View Coupons</a>
        </div>
        <div class="row ms-3 settings-section" style="padding:20px;min-height: 330px;width: 700px;background-color:#f9f9fe">
            <div style="font-size:160%;" class=""><span style="font-weight:800;color:#314bf8;">CURRENCY</span> SETTINGS</div>
            <div style="padding-left: 40px;margin-top:20px;">
                <p><label for="scc_license_key">Currency: </label>
                    <select name="currency_code" id="currency_code" onchange="handleCurrency()">
                        <option value="">Select one currency</option>
                        <option value="AUD" <?php echo ($currency == "AUD") ? "selected" : "" ?>>Australian Dollar</option>
                        <option value="AED" <?php echo ($currency == "AED") ? "selected" : "" ?>>Arab Emirates Dirhams (PayPal not Supported)</option>
                        <option value="Bs" <?php echo ($currency == "Bs") ? "selected" : "" ?>>Bolivian Boliviano (Symbol After) (No PayPal)</option>
                        <option value="BRL" <?php echo ($currency == "BRL") ? "selected" : "" ?>>Brazilian Real </option>
                        <option value="CAD" <?php echo ($currency == "CAD") ? "selected" : "" ?>>Canadian Dollar</option>
                        <option value="CNY" <?php echo ($currency == "CNY") ? "selected" : "" ?>>Chinese Yuan (PayPal not supported)</option>
                        <option value="COP" <?php echo ($currency == "COP") ? "selected" : "" ?>>Colombian Peso (PayPal not supported)</option>
                        <option value="CZK" <?php echo ($currency == "CZK") ? "selected" : "" ?>>Czech Koruna</option>
                        <option value="DKK" <?php echo ($currency == "DKK") ? "selected" : "" ?>>Danish Krone</option>
                        <option value="EUR" <?php echo ($currency == "EUR") ? "selected" : "" ?>>Euro</option>
                        <option value="HKD" <?php echo ($currency == "HKD") ? "selected" : "" ?>>Hong Kong Dollar</option>
                        <option value="HUF" <?php echo ($currency == "HUF") ? "selected" : "" ?>>Hungarian Forint (PayPal not supported)</option>
                        <option value="IDR" <?php echo ($currency == "IDR") ? "selected" : "" ?>>Indonesian Rupiah (PayPal not supported)</option>
                        <option value="ILS" <?php echo ($currency == "ILS") ? "selected" : "" ?>>Israeli New Sheqel</option>
                        <option value="INR" <?php echo ($currency == "INR") ? "selected" : "" ?>>Indian Rupee</option>
                        <option value="JPY" <?php echo ($currency == "JPY") ? "selected" : "" ?>>Japanese Yen</option>
                        <option value="KES" <?php echo ($currency == "KES") ? "selected" : "" ?>>Kenyan Shilling</option>
                        <option value="MYR" <?php echo ($currency == "MYR") ? "selected" : "" ?>>Malaysian Ringgit</option>
                        <option value="MXN" <?php echo ($currency == "MXN") ? "selected" : "" ?>>Mexican Peso</option>
                        <option value="ANG" <?php echo ($currency == "ANG") ? "selected" : "" ?>>Netherlands Antillean Guilder (PayPal not Supported)</option>
                        <option value="NGN" <?php echo ($currency == "NGN") ? "selected" : "" ?>>Nigerian naira</option>
                        <option value="NOK" <?php echo ($currency == "NOK") ? "selected" : "" ?>>Norwegian Krone</option>
                        <option value="NZD" <?php echo ($currency == "NZD") ? "selected" : "" ?>>New Zealand Dollar</option>
                        <option value="‎PKR" <?php echo ($currency == "‎PKR") ? "selected" : "" ?>>Pakistani Rupee (PayPal not Supported)</option>
                        <option value="PHP" <?php echo ($currency == "PHP") ? "selected" : "" ?>>Philippine Peso</option>
                        <option value="PLN" <?php echo ($currency == "PLN") ? "selected" : "" ?>>Polish Zloty</option>
                        <option value="GBP" <?php echo ($currency == "GBP") ? "selected" : "" ?>>British Pound Sterling</option>
                        <option value="RON" <?php echo ($currency == "RON") ? "selected" : "" ?>>Romanian leu</option>
                        <option value="RUB" <?php echo ($currency == "RUB") ? "selected" : "" ?>>Russian Rubles</option>
                        <option value="ZAR" <?php echo ($currency == "ZAR") ? "selected" : "" ?>>South African Rand (PayPal not supported)</option>
                        <option value="SGD" <?php echo ($currency == "SGD") ? "selected" : "" ?>>Singapore Dollar</option>
                        <option value="SEK" <?php echo ($currency == "SEK") ? "selected" : "" ?>>Swedish Krona</option>
                        <option value="KRW" <?php echo ($currency == "KRW") ? "selected" : "" ?>>South Korean won</option>
                        <option value="CHF" <?php echo ($currency == "CHF") ? "selected" : "" ?>>Swiss Franc</option>
                        <option value="TWD" <?php echo ($currency == "TWD") ? "selected" : "" ?>>Taiwan New Dollar</option>
                        <option value="THB" <?php echo ($currency == "THB") ? "selected" : "" ?>>Thai Baht</option>
                        <option value="TRY" <?php echo ($currency == "TRY") ? "selected" : "" ?>>Turkish Lira (PayPal not supported)</option>
                        <option value="USD" <?php echo ($currency == "USD") ? "selected" : "" ?>>U.S. Dollar</option>
                        <option value="ZMW" <?php echo ($currency == "ZMW") ? "selected" : "" ?>>Zambian Kwancha (PayPal not supported)</option>
                        <option value="CFA" <?php echo ($currency == "CFA") ? "selected" : "" ?>>Central African CFA franc (PayPal not supported)</option>
                    </select>
                </p>
                <p>
                    <label for="currency-style">Currency Format:</label>
                    <select name="currency-style" id="currency-style">
                        <option value="default" <?php echo ($currency_style == "default") ? "selected" : "" ?>>Browser Locale</option>
                        <option value="comma" <?php echo ($currency_style == "comma") ? "selected" : "" ?>>Comma separated</option>
                    </select>
                </p>
                <p id="currency_conversion_incompatibility_message" style="color: red"></p>
                <div id="scc_currency_coversion_global_container" style="height: 290px; display: inline;">
                    <span class="tooltipadmin-right" data-tooltip="You need to purchase a premium license to use this feature.">
                        <label class="tooltipadmin-right" for="scc_currency_coversion_mode">Currency Conversion: </label>
                        <select <?php if($isSCCFreeVersion) echo "disabled" ?> name="scc_currency_coversion_mode" id="scc_currency_coversion_mode" onchange="handleCurrencyCoversionMode(this)">
                            <option value="off" <?php echo ($currency_conversion_mode == "off") ? "selected" : "" ?>>OFF (default)</option>
                            <option value="manual_selection" <?php echo ($currency_conversion_mode == "manual_selection") ? "selected" : "" ?>>Select a currency</option>
                            <option value="auto_detect" <?php echo ($currency_conversion_mode == "auto_detect") ? "selected" : "" ?>>Auto detect currency</option>
                        </select>
                    </span>
                    <div>
                        Select a currency: will automatically show the selected currency to convert <br>
                        Auto detect: will use the users current location to automatically detect their currency.
                    </div>
                    <br>
                    <p id="scc_currency_coversion_manual_selection_container" style="display: none;">
                        <label for="scc_currency_coversion_manual_selection">Select your currency for automatic conversion: </label>
                        <select name="scc_currency_coversion_manual_selection" id="scc_currency_coversion_manual_selection">
                            <option value="">Select currency</option>
                            <option value="EUR" <?php echo ($currency_conversion_selection == "EUR") ? "selected" : "" ?>>EUR</option>
                            <option value="CAD" <?php echo ($currency_conversion_selection == "CAD") ? "selected" : "" ?>>CAD</option>
                            <option value="HKD" <?php echo ($currency_conversion_selection == "HKD") ? "selected" : "" ?>>HKD</option>
                            <option value="ISK" <?php echo ($currency_conversion_selection == "ISK") ? "selected" : "" ?>>ISK</option>
                            <option value="PHP" <?php echo ($currency_conversion_selection == "PHP") ? "selected" : "" ?>>PHP</option>
                            <option value="DKK" <?php echo ($currency_conversion_selection == "DKK") ? "selected" : "" ?>>DKK</option>
                            <option value="HUF" <?php echo ($currency_conversion_selection == "HUF") ? "selected" : "" ?>>HUF</option>
                            <option value="CZK" <?php echo ($currency_conversion_selection == "CZK") ? "selected" : "" ?>>CZK</option>
                            <option value="AUD" <?php echo ($currency_conversion_selection == "AUD") ? "selected" : "" ?>>AUD</option>
                            <option value="RON" <?php echo ($currency_conversion_selection == "RON") ? "selected" : "" ?>>RON</option>
                            <option value="SEK" <?php echo ($currency_conversion_selection == "SEK") ? "selected" : "" ?>>SEK</option>
                            <option value="IDR" <?php echo ($currency_conversion_selection == "IDR") ? "selected" : "" ?>>IDR</option>
                            <option value="INR" <?php echo ($currency_conversion_selection == "INR") ? "selected" : "" ?>>INR</option>
                            <option value="BRL" <?php echo ($currency_conversion_selection == "BRL") ? "selected" : "" ?>>BRL</option>
                            <option value="RUB" <?php echo ($currency_conversion_selection == "RUB") ? "selected" : "" ?>>RUB</option>
                            <option value="HRK" <?php echo ($currency_conversion_selection == "HRK") ? "selected" : "" ?>>HRK</option>
                            <option value="JPY" <?php echo ($currency_conversion_selection == "JPY") ? "selected" : "" ?>>JPY</option>
                            <option value="KES" <?php echo ($currency_conversion_selection == "KES") ? "selected" : "" ?>>KES</option>
                            <option value="THB" <?php echo ($currency_conversion_selection == "THB") ? "selected" : "" ?>>THB</option>
                            <option value="CHF" <?php echo ($currency_conversion_selection == "CHF") ? "selected" : "" ?>>CHF</option>
                            <option value="SGD" <?php echo ($currency_conversion_selection == "SGD") ? "selected" : "" ?>>SGD</option>
                            <option value="PLN" <?php echo ($currency_conversion_selection == "PLN") ? "selected" : "" ?>>PLN</option>
                            <option value="BGN" <?php echo ($currency_conversion_selection == "BGN") ? "selected" : "" ?>>BGN</option>
                            <option value="TRY" <?php echo ($currency_conversion_selection == "TRY") ? "selected" : "" ?>>TRY</option>
                            <option value="CNY" <?php echo ($currency_conversion_selection == "CNY") ? "selected" : "" ?>>CNY</option>
                            <option value="NOK" <?php echo ($currency_conversion_selection == "NOK") ? "selected" : "" ?>>NOK</option>
                            <option value="NGN" <?php echo ($currency_conversion_selection == "NGN") ? "selected" : "" ?>>NGN</option>
                            <option value="NZD" <?php echo ($currency_conversion_selection == "NZD") ? "selected" : "" ?>>NZD</option>
                            <option value="ZAR" <?php echo ($currency_conversion_selection == "ZAR") ? "selected" : "" ?>>ZAR</option>
                            <option value="USD" <?php echo ($currency_conversion_selection == "USD") ? "selected" : "" ?>>USD</option>
                            <option value="MXN" <?php echo ($currency_conversion_selection == "MXN") ? "selected" : "" ?>>MXN</option>
                            <option value="ILS" <?php echo ($currency_conversion_selection == "ILS") ? "selected" : "" ?>>ILS</option>
                            <option value="GBP" <?php echo ($currency_conversion_selection == "GBP") ? "selected" : "" ?>>GBP</option>
                            <option value="KRW" <?php echo ($currency_conversion_selection == "KRW") ? "selected" : "" ?>>KRW</option>
                            <option value="MYR" <?php echo ($currency_conversion_selection == "MYR") ? "selected" : "" ?>>MYR</option>
                            <option value="KRW" <?php echo ($currency_conversion_selection == "KRW") ? "selected" : "" ?>>KRW</option>
                        </select>
                    </p>
                </div>
                <input class="sccbutton" type="button" name="Save" value="Save" onclick="saveCurencySettings()"><br><br>
                <div id="settingsuccs"></div>
            </div>
        </div>
        <!-- START of Stripe Settings -->
        <?php
        $stripe_opts = wp_parse_args(get_option('df_scc_stripe_keys'), array('privKey' => null, 'pubKey' => null));
        $isStripeEnabled = (!isset($stripe_opts['enabled']))? $stripe_opts['enabled'] = false : $stripe_opts['enabled'];
        $privKeyPlaceHolder = $stripe_opts['privKey'] ? substr($stripe_opts['privKey'], 0, - (strlen($stripe_opts['privKey']) * .7)) . '*****' . substr($stripe_opts['privKey'], - (strlen($stripe_opts['privKey']) * .2)) : 'Please enter Stripe API Private Key';
        $pubKeyPlaceHolder = $stripe_opts['pubKey'] ? substr($stripe_opts['pubKey'], 0, - (strlen($stripe_opts['pubKey']) * .7)) . '*****' . substr($stripe_opts['pubKey'], - (strlen($stripe_opts['pubKey']) * .2)) : 'Please enter Stripe API Public Key';
        ?>
        <div class="row ms-3 settings-section" style="padding:20px;min-height: 330px;width: 700px;background-color:#f9f9fe">
            <?php if ($isSCCFreeVersion) : ?>
            <?php endif; ?>
            <div style="font-size:160%;" class=""><span style="font-weight:800;color:#314bf8;">STRIPE</span> SETTINGS <a href="https://designful.freshdesk.com/support/solutions/articles/48000945308-sending-quotes-by-email-smtp-server-" target="_blank"><i class="fa fa-book" aria-hidden="true"></i></a></div>
            <div style="padding-left: 40px;margin-top:20px;">
                <label for="stripe-api-priv-key">Stripe Secret Key</label>
                <input <?php if ($isSCCFreeVersion) echo "disabled"; ?> class="<?php if ($isSCCFreeVersion) echo "use-premium-tooltip"; ?>" type="text" placeholder="<?php echo esc_attr($privKeyPlaceHolder); ?>" name="stripe-api-priv-key" style="width:100%;padding: 7px 10px;  height: 40px;">
                <label for="stripe-api-pub-key" style="margin-top:20px;">Stripe Public Key</label>
                <input <?php if ($isSCCFreeVersion) echo "disabled"; ?> class="<?php if ($isSCCFreeVersion) echo "use-premium-tooltip"; ?>" type="text" placeholder="<?php echo esc_attr($pubKeyPlaceHolder); ?>" name="stripe-api-pub-key" style="width:100%;padding: 7px 10px;  height: 40px;">
                <button class="sccbutton" style="margin-top: 5px;" type="button" onclick="updateStripeKey(this)">Save</button>
                <p id="scc_stripekey_message"></p>
            </div>
        </div>
        <!-- END of Stripe Settings -->
        <!-- Start Email Settings -->
        <div class="row ms-3 settings-section" id="email-settings" style="padding:20px;height: auto;width: 700px;background-color:#f9f9fe">
            <?php
            // banner image and logo settings email template
            $this->email_template_banner_and_logo();
            ?>
            <div style="font-size:160%;padding-top:100px;padding-top:40px;" class="">
                <span style="font-weight:800;color:#314bf8;">EMAIL QUOTE</span> SETTINGS
                
                    <a href="#" style="color:black;" class="tooltipadmin-right" data-tooltip="Your email must have the same domain name as your website for this to work.<br><br> Two emails get sent during every form submission. One to the <b>customer email</b>, and one email to the <b>from</b> email.
                    We recommend that you create a special folder in your email inbox to store all these quote forms. In the future, we're working on a feature to view all form submissions."> <img src="<?php echo esc_url(SCC_URL . '/assets/images/info-icon-scc.png'); ?>" alt="Info Icon" height="15px;"> </a>
                
            </div>
            <div style="padding-left: 40px;width: 600px;">
                <p></p>
                <button type="button" class="sccbutton2" id="email_form_short_codes_button" onclick="toggleShortCodes()" style='padding-bottom:15px;margin-bottom:20px;padding-top:7px;cursor:pointer; background-color: #314bf8;color:#fff; height:35px; border:none; width:160px !important'>Shortcodes</button>
                <div id="email_form_short_codes_section" style="display: none;background: #dddff8;padding:20px;margin-bottom:10px;">
                    <strong>
                        <p id="email-customer-note"></p>
                    </strong>
                    <p id="email-customer-email"></p>
                    <p id="email-customer-name"></p>
                    <p id="email-customer-phone"></p>
                    <p id="browser-customer-info"></p>
                    <p id="device"></p>
                    <p id="email-customer-ip"></p>
                    <p id="email-customer-sender"></p>
                </div>
                <div class="scc_temp_email" style="display:flex; margin-bottom: 15px;">
                    <input type="text" id="sendername" placeholder="Sender Name (You)" value="<?php echo sanitize_text_field($scc_sendername); ?>" class="" style="margin: 0 10px 0 0; padding: 7px 10px; width: 50%; height: 40px;" />
                    <input type="email" id="senderemail" placeholder="Sender Email (Your Email)" value="<?php echo sanitize_text_field($scc_emailsender); ?>" class="" style="padding: 7px 10px; width: 50%; height: 40px;" />
                </div>
                <div class="scc_temp_email" style="display:flex; margin-bottom: 15px;">
                    <input placeholder="CC Email Address (optional)" id="scc_email_send_copy" type="email" style="width:100%;padding: 7px 10px;  height: 40px;" value="<?php echo  get_option('df_scc_email_send_copy') ?>">
                </div>
                <div class="scc_temp_email" style="margin-bottom: 15px;">
                    <input <?php if ($isSCCFreeVersion) echo "disabled" ?> type="text" id="emailsubject" placeholder="Email Subject" value="<?php echo stripslashes(htmlspecialchars($scc_emailsubject)); ?>" class="" style="padding: 7px 10px; width: 100%; height: 40px;" />
                </div>
                <div>
                    <?php
                    $tags = ["<customer-name>", "<customer-phone>", "<customer-email>", "<customer-ip-address>", "<customer-browser-info>", "<device>", "<customer-referral>"];
                    function htmlify($a)
                    {
                        return htmlentities($a);
                    }
                    $tags_htmlified = array_map('htmlify', $tags);
                    $scc_messageform = str_replace($tags, $tags_htmlified, $scc_messageform);
                    wp_editor(stripslashes(str_replace(array("<br/>", "<br>", "< br/>"), array("\r\n", "\r", "\n"), $scc_messageform)), "messagetemplate", []);
                    ?>
                </div>
                <div class="sccsubdiv" style="margin-top:20px;">
                    <input class="sccbutton scc_save_emdl" style="min-width:560px;height:45px;font-size:18px" type="submit" name="Save" value="SAVE EMAIL & DETAILED LIST" />
                    <hr />
                </div>
            </div>
            <br><br>
            <div id="savingemailresult" style="font-size:20px;color:green; margin-top: 30px;"></div>
            <?php
            if (is_plugin_active('wp-mail-smtp/wp_mail_smtp.php') == false && is_plugin_active('wp-mail-smtp-pro/wp_mail_smtp.php') == false) {
                echo '<div id="border1" style="margin-top: 100px"><span class="yellow_dot"></span> <span style="font-size:1em;font-weight:bold;">Potential Email Config Error: </span>';
                echo 'Please install <a href="https://en-ca.wordpress.org/plugins/wp-mail-smtp/" target="_blank">WP Forms SMTP plugin</a> for the best email delivery.';
                echo "</div>";
            }
            ?>
            <div style="padding:20px 20px 20px 20px ; font-size: 14px; font-weight: 300;line-height: 20px;margin-top:70px;border-radius:10px;border: 1px solid #dddff8;font-weight:300;width:600px;">
                <div style="padding-bottom:10px;font-size:18px;font-weight: 700;color:red;">IMPORTANT</div>
                Read the <a href="https://designful.freshdesk.com/support/solutions/articles/48000945308-sending-quotes-by-email-smtp-server-" target="_blank">ultimate email setup guide</a> to get started.
            </div>
        </div>
        <!-- END OF DETAILED SETTINGS AND EMIAL -->
        <div class="row ms-3 settings-section" style="margin-top:20px;margin-bottom:20px;padding:20px;min-height: 280px;width: 700px;background-color:#f9f9fe" id="scc_pdf_settings">
            <div style="font-size:160%;" class=""><span style="font-weight:800;color:#314bf8">PDF</span> Settings</div>
            <div style="margin-left:20px;padding-top:10px;">
                Select the font and date format you would like to use for email quote and detailed list view.<br><br>
                <p>PDF Font</p>

                <select id="pdf_font" <?php if ($isSCCFreeVersion) echo "disabled" ?>>
                    <option value="regular" <?php if (get_option('sccPDFFont') == 'regular') echo 'selected' ?>>Regular</option>
                    <option value="cid0jp" <?php if (get_option('sccPDFFont') == 'cid0jp') echo 'selected' ?>>cid0jp (Japanese and Russian support)</option>
                    <option value="dejavusans" <?php if (get_option('sccPDFFont') == 'dejavusans') echo 'selected' ?>>DejaVuSans</option>
                    <option value="dejavusansb" <?php if (get_option('sccPDFFont') == 'dejavusansb') echo 'selected' ?>>DejaVuSans-Bold</option>
                    <option value="dejavusansbi" <?php if (get_option('sccPDFFont') == 'dejavusansbi') echo 'selected' ?>>DejaVuSans-BoldOblique</option>
                    <option value="helvetica" <?php if (get_option('sccPDFFont') == 'helvetica') echo 'selected' ?>>Helvetica</option>
                    <option value="Helvetica-Bold" <?php if (get_option('sccPDFFont') == 'Helvetica-Bold') echo 'selected' ?>>Helvetica-Bold</option>
                    <option value="Helvetica-BoldOblique" <?php if (get_option('sccPDFFont') == 'Helvetica-BoldOblique') echo 'selected' ?>>Helvetica-BoldOblique</option>
                    <option value="Helvetica-Italic" <?php if (get_option('sccPDFFont') == 'Helvetica-Italic') echo 'selected' ?>>Helvetica-Italic</option>
                </select>
            </div>
            <div style="margin-left:20px;padding-top:10px;">
                <p>Date format</p>
                <select id="pdf_datefmt">
                    <option value="mm-dd-yyyy" <?php if (get_option('scc_pdf_datefmt') == 'mm-dd-yyyy') echo 'selected' ?>>mm-dd-yyyy</option>
                    <option value="dd-mm-yyyy" <?php if (get_option('scc_pdf_datefmt') == 'dd-mm-yyyy') echo 'selected' ?>>dd-mm-yyyy</option>
                </select>
            </div>
            <div style="margin-left:20px;padding-top:10px;">
                <button class="sccbutton" type="button" onclick="sccPDFSettings()">Save</button>
            </div>
            <div style="margin-left:20px;padding-top:10px;">
                <p id="scc_pdf_font_message"></p>
            </div>
        </div>
        <div class="row ms-3 settings-section" style="padding:20px;height: auto;width: 700px;background-color:#f9f9fe" id="recaptcha">
            <?php if ($isSCCFreeVersion): ?>
                
            <?php endif; ?>
            <div style="font-size:160%;" class=""><span style="font-weight:800;color:#314bf8">reCaptcha</span> Settings</div>
            <div style="margin-left:20px;padding-top:10px;">
                Please enter the recaptcha keys in the following fields<br><br>
                <p><input <?php if ($isSCCFreeVersion) echo "disabled"; ?> class="<?php if ($isSCCFreeVersion) echo "use-premium-tooltip"; ?>" type="checkbox" name="captcha-enablement-status" <?php if (get_option('df_scc-captcha-enablement-status', false)) echo 'checked' ?>> <span>Enable reCaptcha v2</span></p>
                <label>Site Key</label>
                <input <?php if ($isSCCFreeVersion) echo "disabled"; ?> type="text" placeholder="Please enter Site Key" value="<?php echo get_option('df_scc-recaptcha-site-key') ?>" name="site-key-recaptcha" style="width:100%;padding: 7px 10px;  height: 40px;">
                <label>Secret Key</label>
                <input <?php if ($isSCCFreeVersion) echo "disabled"; ?> type="text" placeholder="Please enter Secret Key" value="<?php echo get_option('df_scc-recaptcha-secret-key') ?>" name="secret-key-recaptcha" style="width:100%;padding: 7px 10px;  height: 40px;">
                <br>
                <button <?php if ($isSCCFreeVersion) echo "disabled"; ?> class="sccbutton <?php if ($isSCCFreeVersion) echo "use-premium-tooltip"; ?>" style="margin-top: 5px;" type="button" onclick="sccSaveRecaptchaKeys()">Save</button>
                <p id="scc_recaptcha_message"></p>
            </div>
        </div>
        <div class="row ms-3 settings-section" style="padding:20px;height: auto;width: 700px;background-color:#f9f9fe" id="restore_container">
            <?php if ($isSCCFreeVersion): ?>
                
            <?php endif; ?>
            <div style="font-size:160%;" class=""><span style="font-weight:800;color:#314bf8">RESTORE</span> SCC</div>
            <div style="margin-left:20px;padding-top:10px;">
                You can restore an instance of a calculator that you bave previously backedup.<br><br>
                <input id="backup_scc_file" type="file" accept=".json">
                <button class="sccbutton" type="button" onclick="sscUploadSccBackup()">Restore</button>
                <p id="scc_backup_message"></p>
            </div>
        </div>
        <script>
            jQuery(document).ready(function($) {
                jQuery('.use-premium-tooltip').attr('title', 'You need to buy Stylish Cost Calculator Premium')
                jQuery('.use-premium-tooltip').tooltip();
                var selected = jQuery("#scc_currency_coversion_mode").val()
                if (selected == "manual_selection") {
                    jQuery("#scc_currency_coversion_manual_selection_container").css("display", "")
                }

                // Upload button click
                $('.scc-media-upload-button').click(function(event) {
                    event.preventDefault();

                    formField = $(this).parents('.scc-form-field');

                    if (typeof(mediaUploader) !== 'undefined') {
                        mediaUploader.open();
                        return;
                    }

                    mediaUploader = wp.media.frames.file_frame = wp.media({
                        title: 'Choose Image',
                        button: {
                            text: 'Choose Image'
                        },
                        multiple: false
                    });

                    mediaUploader.on("select", onPDFLogoMediaImageSelect);

                    mediaUploader.open();
                });

                // Remove button click
                $('.scc-media-uploader-remove').click(function(e) {
                    var formField = $(this).parents('.scc-form-field');

                    var buttons = formField.find('.scc-media-uploader-buttons');
                    var spinner = buttons.find('span.spinner');
                    spinner.addClass('is-active');

                    var name = buttons.find('.scc-media-upload-field').attr('name');

                    setUploadedImage(name, '', function(response) {
                        var image = formField.find('.scc-media-uploader-image');
                        image.hide();
                        image.find('img').remove();
                        buttons.show();
                        spinner.removeClass('is-active');
                    });
                });
            })
            /**
             * Handle upload settings functionalty
             */
            function setUploadedImage(name, url, callback) {
                var data = {
                    action: "pdf_logo_settings_ajax",
                    security: SCC_Settings.security,
                    method: "pdf_logo_save_uploaded_image",
                    data: {
                        name: name,
                        value: url,
                    }
                };

                jQuery.post(ajaxurl, data, callback);
            }
            /**
             * On media image select
             */
            function onPDFLogoMediaImageSelect() {
                var attachment = mediaUploader.state().get('selection').first().toJSON();
                var field = formField.find('.scc-media-upload-field');
                var spinner = formField.find('span.spinner');
                field.val(attachment.url);
                spinner.addClass('is-active');

                setUploadedImage(field.attr('name'), attachment.url, function(response) {
                    spinner.removeClass('is-active');
                    var html = '<img src="' + response.data.url + '" />';
                    var image = formField.find('div.scc-media-uploader-image');
                    image.append(html);
                    image.show();
                    field.parent().hide();
                });
            }
            jQuery('#email-customer-note').text("NOTE: Use these shortcodes to customize your email template to your customers.")
            jQuery('#email-customer-name').text("Customer Name <customer-name>")
            jQuery('#email-customer-email').text("Customer's Email <customer-email>")
            jQuery('#email-customer-phone').text("Customer Phone <customer-phone>")
            jQuery('#email-customer-ip').text("Customer IP <customer-ip-address>")
            jQuery('#browser-customer-info').text("Customer Broswer <customer-browser-info>")
            jQuery('#device').text("Customer Device <device>")
            jQuery('#email-customer-sender').text("Sender (Your) Name <sender>")
            document.addEventListener('DOMContentLoaded', (event) => {
                jQuery('.sccbutton.scc_save_emdl').hover(() => {
                    tinyMCE.triggerSave();
                });
            })

            function handleCurrencyCoversionMode(element) {
                var selection = jQuery(element).val()
                if (selection == "manual_selection") {
                    jQuery("#scc_currency_coversion_manual_selection_container").css("display", "")
                } else {
                    jQuery("#scc_currency_coversion_manual_selection_container").css("display", "none")
                }
            }

            function handleCurrency() {
                if (jQuery('#currency_code').val() == 'AED' ||
                    jQuery('#currency_code').val() == 'COP' ||
                    jQuery('#currency_code').val() == 'ANG' ||
                    jQuery('#currency_code').val() == 'PKR' ||
                    jQuery('#currency_code').val() == 'TWD' ||
                    jQuery('#currency_code').val() == 'ZMW' ||
                    jQuery('#currency_code').val() == 'CFA') {
                    jQuery('#currency_conversion_incompatibility_message').html('The current selected currency is not supported for the "Currency conversion feature"')
                    jQuery('#scc_currency_coversion_global_container').css('display', 'none')
                } else {
                    jQuery('#currency_conversion_incompatibility_message').html('')
                    jQuery('#scc_currency_coversion_global_container').css('display', 'inline')
                }
            }

            function saveSCCEmailSetting() {
                return
                event.preventDefault();
                var sendername = jQuery('#sendername').val();
                var senderemail = jQuery('#senderemail').val();
                <?php
                if (get_option('df_scc_licensed') != 0) {
                ?>
                    var messageform = jQuery('#messagetemplate').val();
                <?php
                } else {
                ?>
                    var messageform = "Hello <customer-name>, <br><br> Attached to this email is a PDF file that contains your quote. <br> If you have any further questions please call us email us here ____. <br><br> Sincerely,<br> Your Company Name<br><br> <hr><br> <b>Customer's Name</b> l <customer-name> <b>Customer's Phone</b> l <customer-phone> <b>Customer's Emai</b> l <customer-email> <b>Customer's IP</b> l <customer-ip-address> <b>Browser Info</b> l <customer-browser-info ><b>Device</b> l <device> <b> Referral </b> | <customer-referral>";
                <?php
                }
                ?>
                var sccemailfooter = jQuery('#sccemailfooter').val();
                var scc_emailsubject = jQuery('#emailsubject').val();
                var scc_email_banner_image = jQuery('#scc_email_banner_image').val();
                var scc_email_logo_image = jQuery('#scc_email_logo_image').val()
                var scc_email_send_copy = jQuery('#scc_email_send_copy').val();
                if (location.protocol === 'https:') {
                    if (scc_email_banner_image) {
                        if (scc_email_banner_image.indexOf('http://') != -1) {
                            scc_email_banner_image = scc_email_banner_image.replace('http://', 'https://')
                        }
                    }
                    if (scc_email_logo_image) {
                        if (scc_email_logo_image.indexOf('http://') != -1) {
                            scc_email_logo_image = scc_email_logo_image.replace('http://', 'https://')
                        }
                    }
                } else {
                    // is http
                }
                messageform = messageform.replace(/(\r\n|\n|\r)/gm, "<br>")
                if (senderemail == '') {
                    showSweet(false, 'Sender Email is Mandatory. Please, add a valid email. Thank you ')
                    // alert('Sender Email is Mandatory. Please, add a valid email. Thank you ')
                } else if (sendername == '') {
                    showSweet(false, 'Sender Name is Mandatory. Please, add a valid email. Thank you ')
                    // alert('Sender Name is Mandatory. Please, add a valid email. Thank you ')
                } else if (scc_emailsubject == '') {
                    showSweet(false, 'Email subject is Mandatory. Please, add a valid email. Thank you ')
                    // alert('Email subject is Mandatory. Please, add a valid email. Thank you ')
                } else {
                    $fragment_refresh = {
                        url: ajaxurl,
                        type: 'POST',
                        data: {
                            action: 'sccSaveEmailSettings',
                            sender_name: sendername,
                            sender_email: senderemail,
                            emailsubject_testing: scc_emailsubject,
                            scc_email_send_copy: scc_email_send_copy,
                            message_form: messageform,
                            sccemailfooter: sccemailfooter,
                            nonce: pageGlobalSettings.nonce
                        },
                        success: function(data) {
                            showSweet(true, 'Email Quote & Detailed List has been saved!')
                            // jQuery(".scc_save_emdl").removeClass('scc_save_flash');
                            // jQuery('#savingemailresult').html('Email Quote & Detailed List has been saved!').show();
                            // jQuery('#savingemailresult').hide(3000);
                        }
                    };
                    jQuery.ajax($fragment_refresh);
                }
            }

            function toggleShortCodes() {
                if (jQuery('#email_form_short_codes_section').css('display') === 'none') {
                    jQuery('#email_form_short_codes_section').css('display', 'block')
                } else {
                    jQuery('#email_form_short_codes_section').css('display', 'none')
                }
            }

            function saveCurencySettings() {
                var currency = jQuery("#currency_code").val()
                var style = jQuery("#currency-style").val()
                var mode = jQuery("#scc_currency_coversion_mode").val()
                var manual = jQuery("#scc_currency_coversion_manual_selection").val()
                if (!currency) {
                    showSweet(false, "Please select a currency")
                    return
                }
                if (mode == "manual_selection") {
                    if (!manual) {
                        showSweet(false, "Please select a currency convertion or change currency convertion mode")
                        return
                    }
                }

                jQuery.ajax({
                    url: ajaxurl,
                    data: {
                        action: 'sccGlobalSettings',
                        currency: currency,
                        format: style,
                        mode: mode,
                        manual_select: manual,
                        nonce: pageGlobalSettings.nonce
                    },
                    success: function(data) {
                        var datajson = JSON.parse(data)
                        if (datajson.passed == true) {
                            showSweet(true, "The changes have been saved.")
                        } else {
                            showSweet(false, "An error occurred, please try again")
                        }
                    }
                })
            }

            /**
             * *Handles backup restore from json file
             */
            function sscUploadSccBackup() {
                // restore2()
                // return
                showLoadingChanges()
                // jQuery('#scc_backup_message').html('Wait... Analyzing your file and uploading it...');
                // jQuery('#scc_backup_message').css('color', 'orange')
                var files = jQuery('#backup_scc_file')[0].files[0];
                if (!files) {
                    console.log("no hay archivo ")
                    return
                }
                var reader = new FileReader()
                reader.readAsText(files, "UTF-8")
                reader.onload = function(ee) {
                    let json = JSON.parse(ee.target.result)
                    var o = ("scc_form" in json)
                    if (o) {
                        showConfirmOld(restore2)
                    } else {
                        const fdata = new FormData()
                        fdata.append('file', files)
                        fdata.append('action', "sccRestoreBackup")
                        jQuery.ajax({
                            type: 'POST',
                            url: ajaxurl,
                            data: fdata,
                            contentType: false,
                            processData: false,
                            success: function(data) {
                                if (data.passed) {
                                    showSweet(true, 'SCC restored successfully.')
                                    // jQuery('#scc_backup_message').html('SCC restored successfully.');
                                    // jQuery('#scc_backup_message').css('color', 'green')
                                } else {
                                    showSweet(false, data.msj)
                                    // jQuery('#scc_backup_message').html(data.msj);
                                    // jQuery('#scc_backup_message').css('color', 'red')
                                }

                            }
                        })
                    }
                }
                // console.log(files)

            }
            /*
             * *To test old backup 
             */
            function restore2() {
                showLoadingChanges()
                var files = jQuery('#backup_scc_file')[0].files[0];
                const fdata = new FormData()
                fdata.append('file', files)
                fdata.append('action', 'sccRestoreBackup2')
                jQuery.ajax({
                    type: 'POST',
                    url: '<min_url() ?>admin-ajax.php',
                    data: fdata,
                    contentType: false,
                    processData: false,
                    success: function(data) {
                        if (data.passed) {
                            showSweet(true, 'SCC restored successfully.')
                            // jQuery('#scc_backup_message').html('SCC restored successfully.');
                            // jQuery('#scc_backup_message').css('color', 'green')
                        } else {
                            showSweet(false, data.msj)
                            // jQuery('#scc_backup_message').html(data.msj);
                            // jQuery('#scc_backup_message').css('color', 'red')
                        }

                    }
                })
            }

            function showSweet(respuesta, message) {
                if (respuesta) {
                    Swal.fire({
                        toast: true,
                        title: message,
                        icon: "success",
                        background: 'orange',
                        showConfirmButton: false,
                        timer: 5000,
                        position: 'top-end',
                    })
                } else {
                    Swal.fire({
                        toast: true,
                        title: message,
                        icon: "error",
                        background: 'orange',
                        showConfirmButton: false,
                        timer: 5000,
                        position: 'top-end',
                    })
                }
            }

            function showLoadingChanges() {
                let timerInterval
                Swal.fire({
                    toast: true,
                    showConfirmButton: false,
                    timer: 5000,
                    background: 'orange',
                    didOpen: () => {
                        Swal.showLoading()
                    },
                    willClose: () => {
                        clearInterval(timerInterval)
                    }
                })
            }

            /**
             * *Handles the old backup
             */
            function showConfirmOld(next) {
                Swal.fire({
                    title: 'Are you sure?',
                    text: "Are you sure you want to restore old backup",
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, continue!'
                }).then((result) => {
                    if (result.isConfirmed) {
                        console.log("backup old")
                        next()
                    }
                })
            }

            function sccPDFSettings() {
                // jQuery('#scc_pdf_font_message').html('Saving... ');
                // jQuery('#scc_pdf_font_message').css('color', 'orange')
                var sccPDFFont = jQuery('#pdf_font').children("option:selected").val();
                var sccPDFDateFmt = jQuery('#pdf_datefmt').children("option:selected").val();
                $fragment_refresh = {
                    url: ajaxurl,
                    type: 'POST',
                    data: {
                        action: 'sccPDFSettings',
                        pdfSettings: {
                            sccPDFFont,
                            sccPDFDateFmt
                        },
                        nonce: pageGlobalSettings.nonce
                    },
                    success: function(data) {
                        showSweet(true, 'Saved successfully.')
                        // jQuery('#scc_pdf_font_message').html('Saved successfully.');
                        // jQuery('#scc_pdf_font_message').css('color', 'green')
                    },
                    error: function(err) {}
                };
                jQuery.ajax($fragment_refresh);
            }
        </script>
    <?php
    }

    /**
     * HTML for email template banner and logo
     */
    private function email_template_banner_and_logo()
    {
        $disclaimer = wp_kses_post(get_option('df_scc_footerdisclaimer'));
        $banner_image = get_option('df_scc_email_banner_image', false);
        $logo_image = get_option('df_scc_email_logo_image', false);
    ?>
        <h2 class="scc-settings-card-title"><span class="highlighted">EMAIL, PDF & DETAILED LIST</span> SETTINGS <a href="https://designful.freshdesk.com/a/solutions/articles/48001167920" target="_blank"><i class="fa fa-book" aria-hidden="true"></i></a></h2>
        </span>
        <div class="scc-settings-card-inner" id="scc_email_quote_settings">
            <div class="scc-form-field">
                <label for="sccemailfooter">Footer/Disclaimer Notes</label>
                <textarea class="scc-textarea-field" placeholder="" id="sccemailfooter" rows="14"><?php echo str_replace('\\', '', stripslashes($disclaimer)); ?></textarea>
            </div>
            <div class="scc-form-field">
                <label>Banner</label>
                <div class="scc-media-uploader-buttons" style="display: <?php echo $banner_image ? 'none' : 'block'; ?>;">
                    <input type="button" class="sccbutton scc-media-upload-button" value="Upload Banner">
                    <input type="hidden" name="df_scc_email_banner_image" class="scc-media-upload-field" value="<?php echo esc_url($banner_image); ?>">
                    <span class="spinner"></span>
                </div>
                <div class="scc-media-uploader-image" style="display: <?php echo $banner_image ? 'block' : 'none'; ?>;">
                    <?php
                    if ($banner_image) {
                        echo '<img src="' . esc_url($banner_image) . '" />';
                    }
                    ?>
                    <span class="scc-media-uploader-remove">&times;</span>
                </div>
            <div class="scc-form-field">
                <label>Logo</label>
                <div class="scc-media-uploader-buttons" style="display: <?php echo $logo_image ? 'none' : 'block'; ?>;">
                    <input type="button" class="sccbutton scc-media-upload-button" value="Upload Logo">
                    <input type="hidden" name="df_scc_email_logo_image" class="scc-media-upload-field" value="<?php echo esc_url($logo_image); ?>">
                    <span class="spinner"></span>
                </div>
                <div class="scc-media-uploader-image" style="display: <?php echo $logo_image ? 'block' : 'none'; ?>;">
                    <?php
                    if ($logo_image) {
                        echo '<img src="' . esc_url($logo_image) . '" />';
                    }
                    ?>
                    <span class="scc-media-uploader-remove">&times;</span>
                </div>
            </div>
                </div>
        </div>
<?php
    }
}

new Stylish_Cost_Calculator_Settings();

?>