<?php
if ( ! class_exists( 'WP_Async_Request', false ) ) {
    require_once SCC_DIR . '/lib/sccbgprocess/wp-async-request.php';
}
if ( ! class_exists( 'WP_Background_Process', false ) ) {
    require_once SCC_DIR . '/lib/sccbgprocess/wp-background-process.php';
}
// don't call the file directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
class DF_SCC_7_0_0_DB_MIGRATE extends \WP_Background_Process {
/**
* Background process name.
*
* @var string
*/
protected $action = 'df_scc_migrate_to_7_0_0_database';
/**
* Task
*
* Override this method to perform any actions required on each
* queue item. Return the modified item for further processing
* in the next pass through. Or, return false to remove the
* item from the queue.
*
* @param object $calc queue item to iterate over
*
* @return mixed
*/
protected function task( $calc ) {
    // check if db migration has ran before and stop it
    if (get_option('ongoing_db_migration') && get_option('scc_db_migration_dispatched')) {
        update_option('scc-normal-migration-cron', false);
        parent::complete();
        return;
    }
    // set a db migration flag
    update_option('ongoing_db_migration', true);
    ajaxRequest::scc_migrateAuto();
    return false;
}
/**
* Complete
*/
protected function complete() {
    update_option('ongoing_db_migration', false);
    update_option('scc_db_migration_dispatched', false);
    update_option('scc-normal-migration-cron', true);
    parent::complete();
}
}
global $df_scc_migrate_to_7_0_0_database;
$df_scc_migrate_to_7_0_0_database = new DF_SCC_7_0_0_DB_MIGRATE();