<?php
if (!defined('ABSPATH')) exit;
// var_dump($f1->formstored);
// $f2 = json_decode(json_encode($f1), true);
// var_dump($f2["sections"]);
$defaultFields = json_decode('[{"name":{"name":"Your Name","description":"Type in your name","type":"text","isMandatory":null,"trnKey":"Your Name","deletable":false}},{"email":{"name":"Your Email","description":"Type in your email","type":"email","isMandatory":true,"trnKey":"Your Email","deletable":false}},{"phone":{"name":"Your Phone","description":"phone","type":"phone","isMandatory":null,"trnKey":"Your Phone (Optional)","deletable":false}}]', true);
$formFieldsArray = empty($f1->formFieldsArray) ? $defaultFields : json_decode($f1->formFieldsArray, 1);
$paypalConfig = json_decode($f1->paypalConfigArray, true);
$stripeConfig = (get_option('df_scc_stripe_keys') == '')? array("pubKey" => null,"privKey" => null) : get_option('df_scc_stripe_keys');
$stripeConfig['enabled'] = $f1->isStripeEnabled && ($f1->isStripeEnabled !== "false") ? true : false;
$stripeData = '';
$isStripeSetupDone = $stripeConfig['pubKey'] && $stripeConfig['privKey'];
$isPayPalEnabled = $paypalConfig && $paypalConfig['paypal_checked'] == "true" ? true : false;
$isStripeEnabled = $stripeConfig && $stripeConfig['enabled'] == "true" ? true : false;
$isWoocommerceCheckoutEnabled = $f1->isWoocommerceCheckoutEnabled == "true" ? true : false;
$isForceQuoteFormEnabled = $f1->preCheckoutQuoteForm == "true" ? true : false;
$ShowFormBuilderOnDetails = ($f1->ShowFormBuilderOnDetails == "false" || !$f1->ShowFormBuilderOnDetails) ? false : true;
if ($isStripeSetupDone) {
    $stripeDataAttr = "data-pub-key=" . $stripeConfig['pubKey'] . " " . "data-priv-key=" . $stripeConfig['privKey'];
}
$isWoocommerceActive = false;
if (is_plugin_active('woocommerce/woocommerce.php')) $isWoocommerceActive = true;
$isWoocommerceCheckoutEnabled = $f1->isWoocommerceCheckoutEnabled == "true" ? true : false;
if ($isWoocommerceActive && get_option('df_scc_licensed') == 1 && $isWoocommerceCheckoutEnabled) {
    $woo_commerce_products = array();
    $args = array(
        'post_type'      => 'product',
        'posts_per_page' => -1
    );
    $loop = new WP_Query($args);
    while ($loop->have_posts()) : $loop->the_post();
        global $product;
        array_push($woo_commerce_products, $product);
    endwhile;
    wp_reset_query();
}
// preparing an array for use in dropdown choices in the elements added via ajax
$woocommerce_products_array = [];
if ($isWoocommerceCheckoutEnabled && $isWoocommerceActive) {
    foreach ($woo_commerce_products as $product) {
        if ($product->is_type('variable')) {
            $available_variations = $product->get_available_variations();
            foreach ($available_variations as $product_variable) {
                $attributes = array();
                foreach ($product_variable['attributes'] as $key => $value) {
                    $attributes[] = $product->get_name() . ': ' . $value;
                }
                array_push($woocommerce_products_array, [esc_html($product_variable['variation_id']) => esc_html(implode(' | ', $attributes)) . ' | Price: ' . get_woocommerce_currency_symbol() . '' . esc_html($product_variable['display_regular_price'])]);
            }
        } else {
            array_push($woocommerce_products_array, [esc_html($product->get_id()) => esc_html($product->get_name()) . ' | Price: ' . get_woocommerce_currency_symbol() . '' . esc_html($product->get_price())]);
        }
    }
}
wp_localize_script('scc-backend', 'pageEditCalculator', ["nonce" => wp_create_nonce('edit-calculator-page')]);
?>

<script>
    window["woocommerceProducts"] = <?php echo json_encode($woocommerce_products_array) ?>;
    jQuery(document).ready(function() {
        var isNewCalculator = "<?php echo (isset($_GET["new"])) ? 1 : 0; ?>"
        if (isNewCalculator == 1) {
            showSweet(true, "Calculator was successfully created")
        }
    })
</script>
<div class="row ms-2 mt-4" >
    <input type="text" id="id_scc_form_" value="<?php echo intval($f1->id) ?>" hidden>
    <div class="col-xs-12 col-sm-12 col-md-6 col-lg-7 left-pane">
        <!-- SECTION -->
        <div id="allinputstoadd" class="scc-col-xs-6 scc-col-lg-12 scc-col-md-12" style="width:100% !important; padding-left:0px !important;">
            <?php foreach ($f1->sections as $section) {
                ?>
                <div class="addedFieldsStyle" style="display:grid;" id="Sccvo_0">
                    <input class="id_section_class" type="text" value="<?php echo intval($section->id) ?>" hidden>
                    <div id="title54-bar-btns">
                        <button id="settings-btn" class="btnn material-icons" href="javascript:void(0)" onclick="settingsIconShow(this)" style="line-height: 40px; float: left; margin-left: 25px;">settings</button>
                        <div class="scc-accordion-container scc-accordion-tooltip-hidden" style="display:inline-block;width: 50%">
                            <div class="scc-accordion-tooltip-left-arrow" style="top: -22px;"></div>
                            <div class="scc-accordion-tooltip scc-accordion-content">
                                <button onclick="settingsIconHide(this)" class="scc-accordion-btn-close"></button>
                                <!-- SETTINGS TOOGLE -->
                                <p>
                                    <label class="scc-accordion_switch_button">
                                        <input class="scc_accordion_section" onchange="changeAccordion(this)" name="scc_accordion_section" type="checkbox" <?php if ($section->accordion == "true") echo "checked"; ?>>
                                        <span class="scc-accordion_toggle_button round"></span>
                                    </label>
                                    Accordion
                                </p>
                                <p>
                                    <label class="scc-accordion_switch_button">
                                        <input class="scc-section-total" onchange="changeShowSectionTotal(this)" name="scc-section-total" type="checkbox" <?php if ($section->showSectionTotal == "true") echo "checked"; ?>>
                                        <span class="scc-accordion_toggle_button round"></span>
                                    </label>
                                    Show Section Total
                                </p>
                                <p class="section-total-on-pdf-container" style="display : <?php echo esc_attr($section->showSectionTotal) == "true" ? 'inline' : 'none' ?>">
                                    <label class="scc-accordion_switch_button">
                                        <input onchange="changeShowSectionTotalOnPdf(this)" name="scc-section-total-on-pdf" type="checkbox" <?php if ($section->showSectionTotalOnPdf == "true") echo "checked"; ?>>
                                        <span class="scc-accordion_toggle_button round"></span>
                                    </label>
                                    Show Section Total on PDF/Detail View
                                </p>
                            </div>
                        </div>
                        <button id="close-btn" class="btnn material-icons" href="javascript:void(0)" onclick="removeSection(this)" style="line-height: 34px;width: 39px">close</button>
                        <button id="down-btn" class="btnn material-icons down" style="display: block; line-height: 34px; width: 39px;" href="javascript:void(0)" onclick="rdown(this)">arrow_drop_down</button>
                        <button id="up-btn" class="btnn material-icons up" style="display: none; line-height: 34px;width: 39px;" href="javascript:void(0)" onclick="rup(this)">arrow_drop_up</button>
                    </div>
                    <!-- TITLE -->
                    <div class="title_section_no_edit_container" style="margin-top:30px;">
                        <div class="scc-col-md-1" style="padding:0px;margin-right:5px;">
                            <img style="cursor: pointer" onclick="toggleEditTitle(this)" src="<?php echo esc_url(SCC_URL . '/assets/images/pen-blue.png') ?>" width="15">
                        </div>
                        <div class="scc-col-md-11" style="padding:0px">
                            <p style="margin-top:-5px; font-size: 24px" class="title_section_no_edit">
                                <?php echo esc_attr($section->name) ?>
                            </p>
                        </div>
                        <div style="vertical-align: middle; margin-left:4px">
                            <input value="<?php echo esc_attr($section->name) ?>" onkeyup="changeTitleSection(this)" type="text" class="input_pad sectiontitle scc_edit_section_input" placeholder="Section Title" value="" style="border: none !important;box-shadow: none !important;outline: 0;border-radius:10px;margin-top:10px;width: 350px;height: 50px;margin-bottom:10px;display:none">
                            <span class="mandatory" style="display:none">*</span>
                        </div>
                    </div>
                    <!-- DESCRIPTION -->
                    <div class="description_section_no_edit_container" style="margin-top:10px">
                        <div class="scc-col-md-1" style="padding:0px;margin-right:5px;">
                            <img style="cursor: pointer" onclick="toggleEditDescription(this)" src="<?php echo esc_url(SCC_URL . '/assets/images/pen-blue.png') ?>" width="15">
                            <i class="material-icons-outlined more-settings-info" title="You can add html tags: h4,br,b,i,'ul,li,hr" style="color:#314af3;cursor:pointer">info</i>
                        </div>
                        <div class="scc-col-md-11" style="padding:0px">
                            <p style="margin-top:2px; font-size: 14px" class="description_section_no_edit">
                                <?php echo esc_html($section->description) ?>
                            </p>
                        </div>
                        <textarea onkeyup="changeDescriptionSection(this)" class="input_pad sectionDescription scc_section_description_textarea" placeholder="Description of the products/services that will be listed below. (Optional)" style="background: rgb(255, 255, 255); height: 125px; padding: 15px; width: 95%; margin-bottom: 20px; margin-top: 15px; display: none;"><?php echo wp_kses($section->description, SCC_ALLOWTAGS) ?></textarea>
                    </div>
                    <!-- SUBSECTION -->
                    <div class="fieldDatatoAdd">
                        <?php
                        foreach ($section->subsection as $sub) { ?>
                            <div class="boardOption">
                                <input class="input_subsection_id" type="text" value="<?php echo intval($sub->id) ?>" hidden>
                                <div class="scc_subsection">
                                    <button id="close-btn" class="collapsible" href="javascript:void(0)" onclick="removeSubsection(this)" style="float:right; font-size:20px;">x</button>
                                    <button class="collapsible subsect-title">Subsection </button>
                                    <div class="scc_help_btn_right" style="left:26px;float:right;top:23px;font-size:18px;"><a href="#" style="padding-left:10px;color:black;" class="tooltipadmin-right" data-tooltip="Use subsections to control which elements a slider has an effect on. Note: You can only add one slider per subsection.">
                                        <img src="<?php echo esc_url(SCC_URL . '/assets/images/info-icon-scc.png'); ?>" alt="Info Icon" height="15px;"> </a></div>
                                    </div>
                                    <div class="subsection-area BodyOption ">
                                        <?php
                                        foreach ($sub->element as $el) { ?>
                                            <?php
                                        /**
                                         * Here, we sort the conditions by the 'condition_set' property.
                                         * the $conditionsBySet object is used to store it.
                                         */
                                        $conditionsBySet = [];
                                        for ($i=0; $i < count($el->conditions); $i++) { 
                                            $tmpConditionSet = $el->conditions[$i]->condition_set;
                                            if (!in_array($tmpConditionSet, array_keys($conditionsBySet))) {
                                                $conditionsBySet += array($tmpConditionSet => [$el->conditions[$i]]);
                                            } else {
                                                array_push($conditionsBySet[$tmpConditionSet], $el->conditions[$i]);
                                            }
                                        }
                                        /**
                                         * if condition set are empty, we set a condition set with key 1, so the choice
                                         * dropdowns show up
                                         */
                                        if (!count($conditionsBySet)) {
                                            $conditionsBySet = [1 => []];
                                        }
                                        /**
                                         * define truncated element title
                                         */
                                        $truncatedTitleElement = strlen($el->titleElement) > 30 ? substr(stripslashes($el->titleElement), 0, 29).".." : stripslashes($el->titleElement);
                                        $truncatedTitleElement = htmlentities($truncatedTitleElement);
                                        if ($el->type == "Dropdown Menu") {
                                            ?>
                                            <div class="elements_added">
                                                <input type="text" class="input_id_element" value="<?php echo intval($el->id) ?>" hidden>
                                                <div class="elements_added_v2">
                                                    <div class="element-icon">
                                                        <i class="far fa-list-alt" style="font-size:25px;"></i>
                                                    </div>
                                                    <div class="element-title-desc">
                                                        <div class="title-desc-wrapper">
                                                            <span class="element-title"><?php echo esc_attr($el->type) ?></span>
                                                            <p class="element-description">
                                                                <?php echo esc_attr($truncatedTitleElement) ?>
                                                            </p>
                                                        </div>
                                                    </div>
                                                    <div class="element-action-icons">
                                                        <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">add</i>
                                                        <i class="material-icons-outlined with-tooltip" title="Shows a dropdown choice on the frontend">info</i>
                                                        <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                                                        <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                                                        <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
                                                    </div>
                                                </div>
                                                <div class="scc-element-content" value="selectoption" style="display:none; height:auto">
                                                    <!-- CONTENIDO DE CADA ELEMENTO -->
                                                    <!-- ELEMENT -->
                                                    <div class="row m-0 selopt5 col-xs-12 col-md-12" style="margin-top: 20px; padding: 0px;">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Title</span></div>
                                                        <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title" onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value="<?php echo esc_html($el->titleElement) ?>"></div>
                                                    </div>
                                                    <!-- ELEMENTS INSIDE ELEMENTS -->
                                                    <div class="selectoption_2 col-xs-12 col-md-12" style="margin-top:20px;">
                                                        <?php foreach ($el->elementitems as $key => $elit) { ?>
                                                            <div class="row m-0 selopt3 col-md-12 col-xs-12" style="margin-top:10px;padding:0px">
                                                                <div class="row p-0 m-0 col-md-11 col-xs-11">
                                                                    <input class="swichoptionitem_id" type="text" value="<?php echo intval($elit->id) ?>" hidden>
                                                                    <div class="col-xs-2 col-md-2 tooltipadmin-left" onclick="setDefaultOption(this,false)" id="dropdownOpt" data-tooltip="Click to make this option default." <?php echo ($elit->opt_default == "1") ? 'style="padding:0px;background:#f8f9ff;height:40px;padding: 0px; background: rgb(86, 182, 101); height: 40px;" data-selected="true"' : 'style="padding:0px;background:#f8f9ff;height:40px;"'; ?>>
                                                                        <label class="" style="float: none;margin-top:10px;font-size:14px;font-weight: normal;"><?php echo intval($key) + 1 ?></label>
                                                                    </div>
                                                                    <div class="col-md-7 col-xs-7" style="padding: 0px 5px 0px 1px;">
                                                                    <input type="text" onkeyup="changeNameElementItem(this)" class="input_pad inputoption" style="width:100%;height:40px;" value="<?php echo esc_html($elit->name) ?>" placeholder="Product or service name">
                                                                    </div>
                                                                    <div class="col-md-3 col-xs-3" style="padding:0px">
                                                                        <input type="number" onchange="changePriceElementItem(this)" onkeyup="changePriceElementItem(this)" class="input_pad inputoption_2" style="width:100%;text-align:center;height:40px;" placeholder="Price" value="<?php echo floatval($elit->price) ?>">
                                                                    </div>
                                                                    <span class="col-xs-0 col-md-2">
                                                                        <img class="scc-image-picker" style="height: 80px;width:80px" onclick="choseImageElementItem(this)" src="<?php echo ($elit->value1 == null) ? esc_url(SCC_ASSETS_URL . "/images/image.png") : esc_url($elit->value1); ?> " title="Pick an image. Please choose an image with a 1:1 aspect ratio for best results.">
                                                                        <span class="scc-dropdown-image-remove" onclick="removeDropdownImage(this)">x</span>
                                                                    </span>
                                                                    <div class="col-md-9 col-xs-9" style="padding:0px; padding-right:5px; margin-top:5px;">
                                                                    <textarea onkeyup="changeDescriptionElementItem(this)" class="input_pad inputoption_desc" style="width:100%;height:75px;" placeholder="Description"><?php echo esc_html($elit->description) ?></textarea>
                                                                    </div>
                                                                    <div class="col-md-1 col-xs-1" style="padding:0px;"></div>
                                                                    <?php if (isset($woo_commerce_products)) : ?>
                                                                        <div class="col-md-12 dd-woocommerce" style="padding:0px;">
                                                                            <div class="scc-col-xs-2 scc-col-md-2" style="padding:0px;"></div>
                                                                            <div class="scc-col-xs-3 scc-col-md-3" style="padding:0px;background: #f8f9ff;height: 40px;"><span class="scc_label" style="text-align:right;padding-right:5px;margin-top:5px;">WooCommerce</span></div>
                                                                            <div class="woo-product-dd scc-col-xs-7 scc-col-md-7" style="padding:0px;">
                                                                                <select class="scc_woo_commerce_product_id" data-target="selopt3" onchange="attachProductId(this)" style="width:100%;float:left;height:41px;margin-bottom:20px">
                                                                                    <option style="font-size: 10px" value=0>Select a product..</option>
                                                                                    <?php
                                                                                    foreach ($woo_commerce_products as $product) {
                                                                                        ?>
                                                                                        <?php
                                                                                        if ($product->is_type('variable')) {
                                                                                            $available_variations = $product->get_available_variations();
                                                                                            foreach ($available_variations as $product_variable) {
                                                                                                $attributes = array();
                                                                                                foreach ($product_variable['attributes'] as $key => $value) {
                                                                                                    $attributes[] = $product->get_name() . ': ' . $value;
                                                                                                }
                                                                                                ?>
                                                                                                <option value=<?php echo esc_html($product_variable['variation_id']) ?> <?php echo selected($product->get_id() == $elit->woocomerce_product_id) ?>><?php echo esc_html(implode(' | ', $attributes)) . ' | Price: ' . get_woocommerce_currency_symbol() . '' . esc_html($product_variable['display_regular_price'])  ?></option>
                                                                                            <?php                                }
                                                                                        } else {
                                                                                            ?>
                                                                                            <option value=<?php echo esc_html($product->get_id()) ?> <?php echo selected($product->get_id() == $elit->woocomerce_product_id) ?>><?php echo esc_html($product->get_name()) . ' | Price: ' . get_woocommerce_currency_symbol() . '' . esc_html($product->get_price()) ?></option>
                                                                                        <?php                            }
                                                                                    }
                                                                                    ?>
                                                                                </select>
                                                                            </div>
                                                                        </div>
                                                                    <?php endif; ?>
                                                                </div>
                                                                <div class="col-md-1 col-xs-1" style="padding-left: 0;">
                                                                    <button onclick="removeSwitchOptionDropdown(this)" style="height:40px;width:100%; padding-left: 0; border: none; background:#fff;"><i class="fa fa-trash"></i></button>
                                                                </div>
                                                            </div>
                                                        <?php }
                                                        ?>
                                                    </div>
                                                    <a onclick="addOptiontoSelect(this)" class="crossnadd" style="margin-top:5px;margin-bottom:20px;">[+] Add Item (Product/Service) </a>
                                                    <div class="scc-new-accordion-container">
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <p>
                                                                        <label class="scc-accordion_switch_button">
                                                                            <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->mandatory == "1")  echo "checked" ?>>
                                                                            <span class="scc-accordion_toggle_button round"></span>
                                                                        </label>
                                                                        <span><b>Mandatory</b> <i class="material-icons-outlined more-settings-info " title="Enabling this will be necessary to select before it can be sent or show details" style="margin-right:5px">info</i> <i class="material-icons-outlined more-settings-info t-img" data-toggle="tooltip" title='<img src="<?php echo esc_url(SCC_ASSETS_URL . "/images/tooltip-images/mandatory-element.png") ?>"></img>'>visibility</i></span>
                                                                    </p>
                                                                    <p>
                                                                        <label class="scc-accordion_switch_button">
                                                                            <input onchange="changeShowTitlePdf(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->showTitlePdf == "1")  echo "checked" ?>>
                                                                            <span class="scc-accordion_toggle_button round"></span>
                                                                        </label>
                                                                        <span><b>Show Title on Detailed List & PDF</b><i class="material-icons-outlined more-settings-info t-img" data-toggle="tooltip" title='<img src="<?php echo esc_url(SCC_ASSETS_URL . "/images/tooltip-images/show-title-pdf.png") ?>"></img>'>visibility</i></span>
                                                                    </p>
                                                                    <span style="text-align: left;display: block;"><b>Responsive Options</b></span>
                                                                    <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">
                                                                        <div class="text-scc-col d-flex tooltipadmin-right" title="Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.">
                                                                            <div class="col-md-6" style="padding:1px;">
                                                                                <label>Title column (desktop)</label>
                                                                            </div>
                                                                            <div class="col-md-6" style="padding:1px;">
                                                                                <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" value="<?php echo intval($el->titleColumnDesktop) ?>">
                                                                            </div>
                                                                        </div>
                                                                        <div class="text-scc-col d-flex">
                                                                            <div class="col-md-6" style="padding:1px;">
                                                                                <label>Title column (mobile)</label>
                                                                            </div>
                                                                            <div class="col-md-6" style="padding:1px;">
                                                                                <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" value="<?php echo intval($el->titleColumnMobile) ?>">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <?php foreach ($conditionsBySet as $key => $conditionCollection):
                                                                        ?>
                                                                        <?php if ($key > 1): ?>
                                                                            <p>OR condition <?php echo intval($key) ?></p>
                                                                        <?php endif; ?>
                                                                        <div class="condition-container clearfix" data-condition-set=<?php echo intval($key) ?>>
                                                                            <?php foreach ($conditionCollection as $index => $condition) {
                                                                                if (($condition->op == "eq" || $condition->op == "ne" || $condition->op == "any") && !($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box")) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo intval($index) > 0 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "eq") echo '<option value="eq">Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "ne") echo '<option value="ne">Not Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "any") echo '<option value="any">Any</option>'; ?>
                                                                                                    </select>
                                                                                                    <?php if ($condition->op != "any") { ?>
                                                                                                        <select disabled class="third-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option value="eq"><?php echo esc_attr($condition->elementitem_name->name) ?></option>
                                                                                                        </select>
                                                                                                    <?php } ?>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->elementitem_id && !$condition->condition_element_id) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo intval($index) > 0 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->elementitem_name->name); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "chec") { ?>
                                                                                                            <option value="">Checked</option>
                                                                                                        <?php } else { ?>
                                                                                                            <option value="">Unchecked</option>
                                                                                                        <?php } ?>
                                                                                                    </select>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->condition_element_id) {
                                                                                    if ($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box") {
                                                                                        ?>
                                                                                        <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                            <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                            <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                                <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo intval($index) > 0 ? "And" : "Show if" ?></span>
                                                                                            </div>
                                                                                            <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                                <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                    <div class="item_conditionals">
                                                                                                        <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                        </select>
                                                                                                        <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <?php if ($condition->op == "eq") echo '<option style="font-size: 10px" value="0">Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "ne") echo '<option style="font-size: 10px" value="0">Not Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "gr") echo '<option style="font-size: 10px" value="0">Greater than</option>' ?>
                                                                                                            <?php if ($condition->op == "les") echo '<option style="font-size: 10px" value="0">Less than</option>' ?>
                                                                                                        </select>
                                                                                                        <input disabled value="<?php echo intval($condition->value) ?>" type="number" placeholder="Number" style="height: 40px;" class="conditional-number-value col-xs-2">
                                                                                                        <div class="btn-group" style="margin-left: 10px;">
                                                                                                            <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <?php
                                                                                    }
                                                                                }
                                                                            } ?>
                                                                            <!-- <div style="background-color: black;height:50px"></div> -->
                                                                            <div class="row col-xs-12 col-md-12 conditional-selection <?php if (count($conditionCollection)) echo "hidden" ?>" style="padding: 0px; margin-bottom: 5px;">
                                                                                <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                    <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo empty(count($el->conditions)) ? "Show if" : "And" ?></span>
                                                                                </div>
                                                                                <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                    <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                        <div class="item_conditionals">
                                                                                            <select onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                <option style="font-size: 10px" value="0">Select an element</option>
                                                                                            </select>
                                                                                            <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">
                                                                                            <div class="btn-group" style="margin-left: 10px;display:none">
                                                                                                <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>
                                                                                                <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <button onclick="(($this) => {jQuery($this).prev().removeClass('hidden'); jQuery($this).addClass('hidden')})(this)" class="btn btn-addcondition cond-add-btn <?php if (empty(count($el->conditions))) echo "hidden" ?>">+ AND</button>
                                                                        </div>
                                                                        <?php
                                                                    endforeach; ?>
                                                                    <div style="margin-left: auto; margin-right: auto; width: 28%">
                                                                        <button class="btn btn-primary btn-cond-or <?php echo empty(count($el->conditions)) ? "hidden" : "" ?>">+ OR</button>
                                                                    </div>
                                                                </div><!-- conditional logic accordion close -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                        }
                                        if ($el->type == "checkbox") {
                                            if($el->value1=="8") continue;
                                            $hasCheckboxColumns = $el->value2 > 1;
                                            $responsiveColumnTooltipText = $hasCheckboxColumns ? "It is disabled due to \"checkbox columns\" feature being utilized" : "Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.";
                                            $responsiveColumnTooltipText = htmlentities($responsiveColumnTooltipText);
                                            $type__ = '';
                                            $checkboxIcon = "far fa-check-square";
                                            $typeDescription = "Shows a checkbox on the frontend";
                                            switch($el->value1){
                                                case "1":
                                                case "5": 
                                                case "2": 
                                                    $type__ = 'Checkbox';
                                                    break;
                                                case "6" :
                                                    $type__ = 'Simple Buttons';
                                                    $checkboxIcon = 'use-material-simple-btn';
                                                    $typeDescription = "Shows simple buttons on the frontend";
                                                    break;
                                                case "3": 
                                                case "4":
                                                    $type__ = 'Toggle Switch';
                                                    $checkboxIcon = 'use-material-simple-btn';
                                                    $typeDescription = 'Shows toggle switch on the frontend';
                                                    break;
                                                case "7" : 
                                                    $type__ = 'Radio';
                                                    $typeDescription = 'Shows checkbox items with only one selectable';
                                                    break;
                                                case "8" :
                                                    $type__ = 'Image button' ;
                                                    $checkboxIcon = 'fas fa-image';
                                                    $typeDescription = 'Shows selectable image choices';
                                                    break;
                                                default: 
                                                    $type__ = 'Checkbox / Toggle / Button';
                                                    break;
                                            }
                                            ?>
                                            <div class="elements_added">
                                                <input type="text" class="input_id_element" value="<?php echo intval($el->id) ?>" hidden>
                                                <div class="elements_added_v2">
                                                    <div class="element-icon">
                                                        <?php if ($checkboxIcon == "use-material-simple-btn"): ?>
                                                            <span class="material-icons-outlined" style="font-size:25px;">smart_button</span>
                                                        <?php else: ?>
                                                            <i class="<?php echo esc_attr($checkboxIcon); ?>" style="font-size:25px;"></i>
                                                        <?php endif; ?>
                                                    </div>
                                                    <div class="element-title-desc">
                                                        <div class="title-desc-wrapper">
                                                            <span class="element-title"><?php echo esc_attr($type__) ?></span>
                                                        </div>
                                                    </div>
                                                    <div class="element-action-icons">
                                                        <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">add</i>
                                                        <i class="material-icons-outlined with-tooltip" title="<?php echo $typeDescription ?>">info</i>
                                                        <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                                                        <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                                                        <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
                                                    </div>
                                                </div>
                                                <div class="scc-element-content" value="selectoption" style="display:none; height:auto">
                                                    <!-- CONTENIDO DE CADA ELEMENTO -->
                                                    <!-- ELEMENT -->
                                                    <div class="scc-col-xs-12 scc-col-md-12" style="margin-top: 30px;padding:0px;">
                                                        <div class="scc-col-xs-3 scc-col-md-3" style="padding:0px;background: #f8f9ff;height: 40px;">
                                                            <span class="scc_label " style="text-align:right;padding-right: 10px;margin-top:5px;">Style</span>
                                                        </div>
                                                        <div class="scc-col-xs-9 scc-col-md-9" style="padding:0px;">
                                                            <select onchange="changeValue1(this)" class="fieldFormat" style="width:100%;max-width:100%;height:40px;border-color:#f8f9ff;">
                                                                <option value="6" <?php if ($el->value1 == "6") echo "selected"; ?>>Simple Buttons</option>
                                                                <option value="1" <?php if ($el->value1 == "1") echo "selected"; ?>>Circle Checkbox</option>
                                                                <option value="5" <?php if ($el->value1 == "5") echo "selected"; ?>>Circle Checkbox (Animated)</option>
                                                                <option value="2" <?php if ($el->value1 == "2") echo "selected"; ?>>Square Checkbox (Animated)</option>
                                                                <option value="3" <?php if ($el->value1 == "3") echo "selected"; ?>>Rectangle Toggle Switch</option>
                                                                <option value="4" <?php if ($el->value1 == "4") echo "selected"; ?>>Rounded Toggle Switch </option>
                                                                <option value="7" <?php if ($el->value1 == "7") echo "selected"; ?>>Radio (Single Choice)</option>
                                                                <option value="8" <?php if ($el->value1 == "8") echo "selected"; ?> disabled>Image Buttons</option>
                                                            </select>
                                                        </div>
                                                        <span class="scc-col-xs-6 scc-col-md-7"></span>
                                                    </div>
                                                    <!-- ELEMENTS INSIDE ELEMENTS (Pulled from DB) -->
                                                    <div class="selectoption_2 col-xs-12 col-md-12" style="margin-top:20px;">
                                                        <?php
                                                        foreach ($el->elementitems as $key => $elit) { ?>
                                                            <div class="row m-0 selopt3 col-md-12 col-xs-12" style="margin-bottom:5px;padding:0px">                                                                <div class="row">
                                                                    <div class="row p-0 m-0 mt-2 col-md-11 col-xs-11">
                                                                        <input class="swichoptionitem_id" type="text" value="<?php echo intval($elit->id) ?>" hidden>
                                                                        <div class="col-xs-2 col-md-2 tooltipadmin-left" onclick="setDefaultOption(this)" id="dropdownOpt" data-tooltip="Click to make this option default." <?php echo ($elit->opt_default == "1") ? 'style="padding:0px;background:#f8f9ff;height:40px;padding: 0px; background: rgb(86, 182, 101); height: 40px;" data-selected="true"' : 'style="padding:0px;background:#f8f9ff;height:40px;"'; ?>>
                                                                            <label class="" style="float: none;margin-top:10px;font-size:14px;font-weight: normal;"><?php echo intval($key) + 1 ?></label>
                                                                        </div>
                                                                        <div class="col-md-7 col-xs-7" style="padding: 0px 5px 0px 1px;">
                                                                            <input type="text" onkeyup="changeNameElementItem(this)" class="input_pad inputoption" style="width:100%;height:40px;" value="<?php echo esc_html($elit->name) ?>" placeholder="Product or service name">
                                                                        </div>
                                                                        <div class="col-md-3 col-xs-3" style="padding:0px">
                                                                            <input type="number" onchange="changePriceElementItem(this)" onkeyup="changePriceElementItem(this)" class="input_pad inputoption_2" style="width:100%;text-align:center;height:40px;" placeholder="Price" value="<?php echo floatval($elit->price) ?>">
                                                                        </div>
                                                                        <!-- Added for image button -->
                                                                        <div class="col-md-2 col-xs-2 checkbox-image" style="padding:5px;<?php if($el->value1 != 8 ) echo 'display:none' ?>">
                                                                            <img class="scc-image-picker" style="height: 50px;width:50px;object-fit:contain;" onclick="choseImageElementItem(this)" src="<?php echo ($elit->value1 == null) ?  esc_url(SCC_ASSETS_URL . "/images/image.png") : esc_url($elit->value1); ?>" title="Pick an image. Please choose an image with a 1:1 aspect ratio for best results.">
                                                                            <span class="scc-dropdown-image-remove" onclick="removeDropdownImage(this)">x</span>
                                                                        </div>
                                                                        <!-- < -->
                                                                    </div>
                                                                    <div class="col-md-1 col-xs-1" style="padding-left: 0;">
                                                                        <button onclick="removeSwitchOptionDropdown(this)" style="height:40px;width:100%;border: none; padding-left:0; background:#fff;"><i class="fa fa-trash"></i></button>
                                                                    </div>
                                                                </div>
                                                                <?php if (isset($woo_commerce_products)) : ?>
                                                                    <div class="row">
                                                                        <div class="col-md-2"></div>
                                                                        <div class="col-md-9 dd-woocommerce" style="padding:0px;">
                                                                            <div class="scc-col-xs-3 scc-col-md-3" style="padding:0px;background: #f8f9ff;height: 40px;"><span class="scc_label" style="text-align:right;padding-right:5px;margin-top:5px;">WooCommerce</span></div>
                                                                            <div class="woo-product-dd scc-col-xs-9 scc-col-md-9" style="padding:0px;">
                                                                                <select class="scc_woo_commerce_product_id" data-target="elements_added" onchange="attachProductId(this, <?php echo intval($elit->id) ?>)" style="width:100%;float:left;height:41px;margin-bottom:20px;max-width: 100%;">
                                                                                    <option style="font-size: 10px" value=0>Select a product..</option>
                                                                                    <?php
                                                                                    foreach ($woo_commerce_products as $product) {
                                                                                        ?>
                                                                                        <?php
                                                                                        if ($product->is_type('variable')) {
                                                                                            $available_variations = $product->get_available_variations();
                                                                                            foreach ($available_variations as $product_variable) {
                                                                                                $attributes = array();
                                                                                                foreach ($product_variable['attributes'] as $key => $value) {
                                                                                                    $attributes[] = $product->get_name() . ': ' . $value;
                                                                                                }
                                                                                                ?>
                                                                                                <option value=<?php echo esc_html($product_variable['variation_id']) ?> <?php echo selected($product->get_id() == $elit->woocomerce_product_id) ?>><?php echo esc_html(implode(' | ', $attributes)) . ' | Price: ' . get_woocommerce_currency_symbol() . '' . esc_html($product_variable['display_regular_price'])  ?></option>
                                                                                            <?php                                }
                                                                                        } else {
                                                                                            ?>
                                                                                            <option value=<?php echo esc_html($product->get_id()) ?> <?php echo selected($product->get_id() == $elit->woocomerce_product_id) ?>><?php echo esc_html($product->get_name()) . ' | Price: ' . get_woocommerce_currency_symbol() . '' . esc_html($product->get_price()) ?></option>
                                                                                        <?php                            }
                                                                                    }
                                                                                    ?>
                                                                                </select>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                <?php endif; ?>
                                                            </div>
                                                        <?php }
                                                        ?>
                                                    </div>
                                                    <a onclick="addCheckboxItems(this)" data-type="<?php echo ($el->value1 == 8)? 'image-button' : 'otro' ?>" class="crossnadd" style="margin-top:5px;margin-bottom:20px;">[+] Add Item (Product/Service) </a>
                                                    <div class="scc-new-accordion-container">
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <!-- Show only for image button element -->
                                                                    <p class="image-button-border" style="<?php if($el->value1 != 8) echo 'display:none' ?>">
                                                                        <label class="scc-accordion_switch_button">
                                                                            <input onchange="changeValue4(this)" class="scc_show_border" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->value4 == "true")  echo "checked" ?>>
                                                                            <span class="scc-accordion_toggle_button round"></span>
                                                                        </label>
                                                                        <span><b>Show border of image button</b></span>
                                                                    </p>
                                                                    <!-- Show only for image button element -->
                                                                    <p>
                                                                        <label class="scc-accordion_switch_button">
                                                                            <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->mandatory == "1")  echo "checked" ?>>
                                                                            <span class="scc-accordion_toggle_button round"></span>
                                                                        </label>
                                                                        <span><b>Mandatory</b></span>
                                                                    </p>
                                                                    <p>
                                                                        <label class="scc-accordion_switch_button">
                                                                            <input onchange="changeShowPriceHintElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->showPriceHint == "1")  echo "checked" ?>>
                                                                            <span class="scc-accordion_toggle_button round"></span>
                                                                        </label>
                                                                        <span><b>Show Price Hint</b></span>
                                                                    </p>
                                                                    <span style="text-align: left;display: block;"><b>Responsive Options</b></span>
                                                                    <div class="scc-accordion-tooltip <?php if ($hasCheckboxColumns) echo "has-chkbx-column" ?>" style="width: 95%; text-align:left;">
                                                                        <div class="text-scc-col d-flex tooltipadmin-right" title="<?php echo esc_attr($responsiveColumnTooltipText) ?>">
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <label>Title Column (desktop)</label>
                                                                            </div>
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" <?php if ($hasCheckboxColumns) echo "disabled" ?> value="<?php echo intval($el->titleColumnDesktop) ?>">
                                                                            </div>
                                                                        </div>
                                                                        <div class="text-scc-col d-flex">
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <label>Title Column (mobile)</label>
                                                                            </div>
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" <?php if ($hasCheckboxColumns) echo "disabled" ?> value="<?php echo intval($el->titleColumnMobile) ?>">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <span style="margin-top: 10px;text-align: left;display: block;"><b>Column Settings</b></span>
                                                                    <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">
                                                                        <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                            <label for="" style="font-weight:normal">Columns</label>
                                                                        </div>
                                                                        <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                        <select onchange="changeColumnsCheckbox(this)" name="" id="" style="margin-left:10px" disabled="true" data-tooltip="This is a premium feature.">
                                                                            <option value="1" <?php if($el->value2 == '1') echo 'selected' ?> >One (default)</option>
                                                                            <option value="2" <?php if($el->value2 == '2') echo 'selected' ?> >Two</option>
                                                                            <option value="3" <?php if($el->value2 == '3') echo 'selected' ?> >Three</option>
                                                                        </select>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <?php foreach ($conditionsBySet as $key => $conditionCollection):
                                                                        ?>
                                                                        <?php if ($key > 1): ?>
                                                                            <p>OR condition <?php echo intval($key) ?></p>
                                                                        <?php endif; ?>
                                                                        <div class="condition-container clearfix" data-condition-set=<?php echo intval($key) ?>>
                                                                            <?php foreach ($conditionCollection as $index => $condition) {
                                                                                if (($condition->op == "eq" || $condition->op == "ne" || $condition->op == "any") && !($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box")) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_html($condition->element_condition->titleElement); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "eq") echo '<option value="eq">Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "ne") echo '<option value="ne">Not Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "any") echo '<option value="any">Any</option>'; ?>
                                                                                                    </select>
                                                                                                    <?php if ($condition->op != "any") { ?>
                                                                                                        <select disabled class="third-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option value="eq"><?php echo esc_attr($condition->elementitem_name->name) ?></option>
                                                                                                        </select>
                                                                                                    <?php } ?>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->elementitem_id && !$condition->condition_element_id) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->elementitem_name->name); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "chec") { ?>
                                                                                                            <option value="">Checked</option>
                                                                                                        <?php } else { ?>
                                                                                                            <option value="">Unchecked</option>
                                                                                                        <?php } ?>
                                                                                                    </select>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->condition_element_id) {
                                                                                    if ($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box") {
                                                                                        ?>
                                                                                        <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                            <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                            <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                                <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                            </div>
                                                                                            <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                                <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                    <div class="item_conditionals">
                                                                                                        <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                        </select>
                                                                                                        <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <?php if ($condition->op == "eq") echo '<option style="font-size: 10px" value="0">Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "ne") echo '<option style="font-size: 10px" value="0">Not Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "gr") echo '<option style="font-size: 10px" value="0">Greater than</option>' ?>
                                                                                                            <?php if ($condition->op == "les") echo '<option style="font-size: 10px" value="0">Less than</option>' ?>
                                                                                                        </select>
                                                                                                        <input disabled value="<?php echo esc_attr($condition->value) ?>" type="number" placeholder="Number" style="height: 40px;" class="conditional-number-value col-xs-2">
                                                                                                        <div class="btn-group" style="margin-left: 10px;">
                                                                                                            <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <?php
                                                                                    }
                                                                                }
                                                                            } ?>
                                                                            <!-- <div style="background-color: black;height:50px"></div> -->
                                                                            <div class="row col-xs-12 col-md-12 conditional-selection  <?php if (count($conditionCollection)) echo "hidden" ?>" style="padding: 0px; margin-bottom: 5px;">
                                                                                <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                    <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo empty(count($el->conditions)) ? "Show if" : "And" ?></span>
                                                                                </div>
                                                                                <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                    <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                        <div class="item_conditionals">
                                                                                            <select onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                <option style="font-size: 10px" value="0">Select an element</option>
                                                                                            </select>
                                                                                            <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">
                                                                                            <div class="btn-group" style="margin-left: 10px;display:none">
                                                                                                <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>
                                                                                                <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <button onclick="(($this) => {jQuery($this).prev().removeClass('hidden'); jQuery($this).addClass('hidden')})(this)" class="btn btn-addcondition cond-add-btn <?php if (empty(count($el->conditions))) echo "hidden" ?>">+ AND</button>
                                                                        </div>
                                                                    <?php endforeach; ?>
                                                                    <div style="margin-left: auto; margin-right: auto; width: 28%">
                                                                        <button class="btn btn-primary btn-cond-or <?php echo empty(count($el->conditions)) ? "hidden" : "" ?>">+ OR</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                        }
                                        if ($el->type == "comment box") {
                                            ?>
                                            <div class="elements_added">
                                                <input type="text" class="input_id_element" value="<?php echo intval($el->id) ?>" hidden>
                                                <div class="elements_added_v2">
                                                    <div class="element-icon">
                                                        <i class="fas fa-comment" style="font-size:25px;"></i>
                                                    </div>
                                                    <div class="element-title-desc">
                                                        <div class="title-desc-wrapper">
                                                            <span class="element-title">Comment Box</span>
                                                            <p class="element-description">
                                                                <?php echo esc_attr($truncatedTitleElement) ?>
                                                            </p>
                                                        </div>
                                                    </div>
                                                    <div class="element-action-icons">
                                                        <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">add</i>
                                                        <i class="material-icons-outlined with-tooltip" title="Shows an textarea on the frontend, where user can type out the comment">info</i>
                                                        <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                                                        <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                                                        <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
                                                    </div>
                                                </div>
                                                <div class="scc-element-content" value="selectoption" style="display:none; height:auto">
                                                    <!-- CONTENIDO DE CADA ELEMENTO -->
                                                    <!-- ELEMENT -->
                                                    <div class="row m-0 selopt5 col-xs-12 col-md-12" style="margin-top: 20px; padding: 0px;">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Title</span></div>
                                                        <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title" onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value="<?php echo esc_html($el->titleElement) ?>"></div>
                                                    </div>
                                                    <!-- ELEMENTS INSIDE ELEMENTS -->
                                                    <div class="selectoption_2 col-xs-12 col-md-12" style="margin-top:20px;">
                                                        <div class="row m-0 mt-3 col-xs-12 col-md-12" >
                                                            <div class="col-xs-3 col-md-3" style="padding:0px; background: #f8f9ff;height: 40px;">
                                                                <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;" placeholder="Height">Height</span>
                                                            </div>
                                                            <div class="col-xs-9 col-md-9" style="text-align:left;padding:0px;">
                                                                <input onkeyup="changeValue2(this)" onchange="changeValue2(this)" type="number" class="input_pad inputoption_2" style="text-align:center;width:80px;height:40px" placeholder="rows" value="<?php echo esc_attr($el->value2) ?>">
                                                            </div>
                                                        </div>
                                                        <div class="row m-0 mt-3 col-xs-12 col-md-12" >
                                                            <div class="col-xs-3 col-md-3" style="padding:0px;background: #f8f9ff;height: 40px;">
                                                                <span class="scc_label" style="margin-top:5px;text-align:right;padding-right:10px;">Placeholder</span>
                                                            </div>
                                                            <div class="col-xs-9 col-md-9" style="padding:0px;">
                                                                <textarea onkeyup="changeValue3(this)" class="input_pad inputoption_desc" style="height:40px;width:100%;max-width: 100%;" rows="1" placeholder=""><?php echo esc_textarea($el->value3) ?></textarea>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="scc-new-accordion-container">
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <p>
                                                                        <label class="scc-accordion_switch_button">
                                                                            <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->mandatory == "1")  echo "checked" ?>>
                                                                            <span class="scc-accordion_toggle_button round"></span>
                                                                        </label>
                                                                        <span><b>Mandatory</b></span>
                                                                    </p>
                                                                    <span style="text-align: left;display: block;"><b>Responsive Options</b></span>
                                                                    <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">
                                                                        <div class="text-scc-col d-flex tooltipadmin-right" title="Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.">
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <label>Title column (desktop)</label>
                                                                            </div>
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" value="<?php echo intval($el->titleColumnDesktop) ?>">
                                                                            </div>
                                                                        </div>
                                                                        <div class="text-scc-col d-flex">
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <label>Title column (mobile)</label>
                                                                            </div>
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" value="<?php echo intval($el->titleColumnMobile) ?>">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <?php foreach ($conditionsBySet as $key => $conditionCollection):
                                                                        ?>
                                                                        <?php if ($key > 1): ?>
                                                                            <p>OR condition <?php echo intval($key) ?></p>
                                                                        <?php endif; ?>
                                                                        <div class="condition-container clearfix" data-condition-set=<?php echo intval($key) ?>>
                                                                            <?php foreach ($conditionCollection as $index => $condition) {
                                                                                if (($condition->op == "eq" || $condition->op == "ne" || $condition->op == "any") && !($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box")) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "eq") echo '<option value="eq">Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "ne") echo '<option value="ne">Not Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "any") echo '<option value="any">Any</option>'; ?>
                                                                                                    </select>
                                                                                                    <?php if ($condition->op != "any") { ?>
                                                                                                        <select disabled class="third-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option value="eq"><?php echo esc_attr($condition->elementitem_name->name) ?></option>
                                                                                                        </select>
                                                                                                    <?php } ?>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->elementitem_id && !$condition->condition_element_id) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->elementitem_name->name); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "chec") { ?>
                                                                                                            <option value="">Checked</option>
                                                                                                        <?php } else { ?>
                                                                                                            <option value="">Unchecked</option>
                                                                                                        <?php } ?>
                                                                                                    </select>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->condition_element_id) {
                                                                                    if ($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box") {
                                                                                        ?>
                                                                                        <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                            <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                            <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                                <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                            </div>
                                                                                            <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                                <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                    <div class="item_conditionals">
                                                                                                        <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                        </select>
                                                                                                        <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <?php if ($condition->op == "eq") echo '<option style="font-size: 10px" value="0">Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "ne") echo '<option style="font-size: 10px" value="0">Not Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "gr") echo '<option style="font-size: 10px" value="0">Greater than</option>' ?>
                                                                                                            <?php if ($condition->op == "les") echo '<option style="font-size: 10px" value="0">Less than</option>' ?>
                                                                                                        </select>
                                                                                                        <input disabled value="<?php echo esc_html($condition->value) ?>" type="number" placeholder="Number" style="height: 40px;" class="conditional-number-value col-xs-2">
                                                                                                        <div class="btn-group" style="margin-left: 10px;">
                                                                                                            <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <?php
                                                                                    }
                                                                                }
                                                                            } ?>
                                                                            <!-- <div style="background-color: black;height:50px"></div> -->
                                                                            <div class="row col-xs-12 col-md-12 conditional-selection  <?php if (count($conditionCollection)) echo "hidden" ?>" style="padding: 0px; margin-bottom: 5px;">
                                                                                <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                    <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo empty(count($el->conditions)) ? "Show if" : "And" ?></span>
                                                                                </div>
                                                                                <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                    <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                        <div class="item_conditionals">
                                                                                            <select onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                <option style="font-size: 10px" value="0">Select an element</option>
                                                                                            </select>
                                                                                            <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">
                                                                                            <div class="btn-group" style="margin-left: 10px;display:none">
                                                                                                <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>
                                                                                                <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <button onclick="(($this) => {jQuery($this).prev().removeClass('hidden'); jQuery($this).addClass('hidden')})(this)" class="btn btn-addcondition cond-add-btn <?php if (empty(count($el->conditions))) echo "hidden" ?>">+ AND</button>
                                                                        </div>
                                                                    <?php endforeach; ?>
                                                                    <div style="margin-left: auto; margin-right: auto; width: 28%">
                                                                        <button class="btn btn-primary btn-cond-or <?php echo empty(count($el->conditions)) ? "hidden" : "" ?>">+ OR</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                        }
                                        if ($el->type == "quantity box") {
                                            ?>
                                            <div class="elements_added">
                                                <input type="text" class="input_id_element" value="<?php echo intval($el->id) ?>" hidden>
                                                <div class="elements_added_v2">
                                                    <div class="element-icon">
                                                        <i class="material-icons" style="font-size:25px;">exposure</i>
                                                    </div>
                                                    <div class="element-title-desc">
                                                        <div class="title-desc-wrapper">
                                                            <span class="element-title">Quantity Input Box</span>
                                                            <p class="element-description">
                                                                <?php echo esc_attr($truncatedTitleElement) ?>
                                                            </p>
                                                        </div>
                                                    </div>
                                                    <div class="element-action-icons">
                                                        <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">add</i>
                                                        <i class="material-icons-outlined with-tooltip" title="Shows a input box where users can define the number of units">info</i>
                                                        <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                                                        <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                                                        <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
                                                    </div>
                                                </div>
                                                <div class="scc-element-content" value="selectoption" style="display:none; height:auto">
                                                    <!-- CONTENIDO DE CADA ELEMENTO -->
                                                    <!-- ELEMENT -->
                                                    <div class="row m-0 selopt5 col-xs-12 col-md-12" style="margin-top: 20px; padding: 0px;">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Title</span></div>
                                                        <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title" onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value="<?php echo esc_html($el->titleElement) ?>"></div>
                                                    </div>
                                                    <!-- ELEMENTS INSIDE ELEMENTS -->
                                                    <div class="row m-0 mt-3 col-xs-12 col-md-12" style="padding:0px;margin-bottom:10px;margin-top: 20px;">
                                                        <div class="col-xs-3 col-md-3" style="background:#f8f9ff;height:40px;">
                                                            <span class="scc_label" style="text-align:left;padding-right:10px;margin-top:5px;">Input Box Style</span>
                                                        </div>
                                                        <div class="col-xs-9 col-md-9" style="padding:0px;">
                                                            <select onchange="changeValue1(this)" type="select-one" name="quantity-input--style-selection" style="width:100%;max-width:100%;float:left;height:40px;">
                                                                <option value="default" <?php if ($el->value1 == "default") echo "selected"; ?>>Default</option>
                                                                <option value="compact" <?php if ($el->value1 == "compact") echo "selected"; ?>>Compact</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <?php if (isset($woo_commerce_products)) : ?>
                                                    <div class="text-scc-col d-flex">
                                                        <div class="col-md-12" style="margin-top:10px;padding:0px;">
                                                            <div class="scc-col-xs-3 scc-col-md-3" style="background:#f8f9ff;height:40px;padding-right:5px"><span class="scc_label" style="text-align:right;margin-top:5px;">WooCommerce</span></div>
                                                            <div class="woo-product-dd scc-col-xs-9 scc-col-md-9" style="padding:0px;">
                                                                <select class="scc_woo_commerce_product_id" data-target="elements_added" onchange="attachProductId(this, <?php echo intval($el->id) ?>, '<?php echo esc_attr($el->type) ?>')" style="width:100%;float:left;height:41px;margin-bottom:20px;max-width: 100%;">
                                                                    <option style="font-size: 10px" value=0>Select a product..</option>
                                                                    <?php
                                                                    foreach ($woo_commerce_products as $product) {
                                                                        ?>
                                                                        <?php
                                                                        if ($product->is_type('variable')) {
                                                                            $available_variations = $product->get_available_variations();
                                                                            foreach ($available_variations as $product_variable) {
                                                                                $attributes = array();
                                                                                foreach ($product_variable['attributes'] as $key => $value) {
                                                                                    $attributes[] = $product->get_name() . ': ' . $value;
                                                                                }
                                                                                ?>
                                                                                <option value=<?php echo esc_html($product_variable['variation_id']) ?> <?php echo selected($product->get_id() == $el->element_woocomerce_product_id) ?>><?php echo esc_html(implode(' | ', $attributes)) . ' | Price: ' . get_woocommerce_currency_symbol() . '' . esc_html($product_variable['display_regular_price'])  ?></option>
                                                                            <?php                                }
                                                                        } else {
                                                                            ?>
                                                                            <option value=<?php echo esc_html($product->get_id()) ?> <?php echo selected($product->get_id() == $el->element_woocomerce_product_id) ?>><?php echo esc_html($product->get_name()) . ' | Price: ' . get_woocommerce_currency_symbol() . '' . esc_html($product->get_price()) ?></option>
                                                                        <?php                            }
                                                                    }
                                                                    ?>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <?php endif ?>
                                                    <div class="selectoption_2 col-xs-12 col-md-12" style="padding: 0px;">
                                                        <div class="row m-0 mt-3 col-xs-12 col-md-12" style="margin-top:10px;margin-bottom:10px;">
                                                            <div class="col-xs-3 col-md-3" style="padding:0px; background: #f8f9ff;height: 40px;">
                                                                <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Price</span>
                                                            </div>
                                                            <div class="col-xs-9 col-md-9" style="text-align:left;padding:0px;">
                                                                <input onkeyup="changeValue2(this)" onchange="changeValue2(this)" type="number" class="input_pad inputoption_2" style="text-align:center;width:80px;height:40px" placeholder="Price" value="<?php echo esc_attr($el->value2) ?>">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="scc-new-accordion-container">
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <p>
                                                                        <label class="scc-accordion_switch_button">
                                                                            <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->mandatory == "1")  echo "checked" ?>>
                                                                            <span class="scc-accordion_toggle_button round"></span>
                                                                        </label>
                                                                        <span><b>Mandatory</b></span>
                                                                    </p>
                                                                    <span style="text-align: left;display: block;"><b>Responsive Options</b></span>
                                                                    <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">
                                                                        <div class="text-scc-col d-flex tooltipadmin-right" title="Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.">
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <label>Title column (desktop)</label>
                                                                            </div>
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" value="<?php echo intval($el->titleColumnDesktop) ?>">
                                                                            </div>
                                                                        </div>
                                                                        <div class="text-scc-col d-flex">
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <label>Title column (mobile)</label>
                                                                            </div>
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" value="<?php echo intval($el->titleColumnMobile) ?>">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <?php foreach ($conditionsBySet as $key => $conditionCollection):
                                                                        ?>
                                                                        <?php if ($key > 1): ?>
                                                                            <p>OR condition <?php echo intval($key) ?></p>
                                                                        <?php endif; ?>
                                                                        <div class="condition-container clearfix" data-condition-set=<?php echo intval($key) ?>>
                                                                            <?php foreach ($conditionCollection as $index => $condition) {
                                                                                if (($condition->op == "eq" || $condition->op == "ne" || $condition->op == "any") && !($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box")) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "eq") echo '<option value="eq">Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "ne") echo '<option value="ne">Not Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "any") echo '<option value="any">Any</option>'; ?>
                                                                                                    </select>
                                                                                                    <?php if ($condition->op != "any") { ?>
                                                                                                        <select disabled class="third-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option value="eq"><?php echo esc_attr($condition->elementitem_name->name) ?></option>
                                                                                                        </select>
                                                                                                    <?php } ?>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->elementitem_id && !$condition->condition_element_id) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->elementitem_name->name); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "chec") { ?>
                                                                                                            <option value="">Checked</option>
                                                                                                        <?php } else { ?>
                                                                                                            <option value="">Unchecked</option>
                                                                                                        <?php } ?>
                                                                                                    </select>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->condition_element_id) {
                                                                                    if ($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box") {
                                                                                        ?>
                                                                                        <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                            <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                            <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                                <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                            </div>
                                                                                            <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                                <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                    <div class="item_conditionals">
                                                                                                        <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                        </select>
                                                                                                        <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <?php if ($condition->op == "eq") echo '<option style="font-size: 10px" value="0">Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "ne") echo '<option style="font-size: 10px" value="0">Not Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "gr") echo '<option style="font-size: 10px" value="0">Greater than</option>' ?>
                                                                                                            <?php if ($condition->op == "les") echo '<option style="font-size: 10px" value="0">Less than</option>' ?>
                                                                                                        </select>
                                                                                                        <input disabled value="<?php echo esc_attr($condition->value) ?>" type="number" placeholder="Number" style="height: 40px;" class="conditional-number-value col-xs-2">
                                                                                                        <div class="btn-group" style="margin-left: 10px;">
                                                                                                            <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <?php
                                                                                    }
                                                                                }
                                                                            } ?>
                                                                            <!-- <div style="background-color: black;height:50px"></div> -->
                                                                            <div class="row col-xs-12 col-md-12 conditional-selection  <?php if (count($conditionCollection)) echo "hidden" ?>" style="padding: 0px; margin-bottom: 5px;">
                                                                                <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                    <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo empty(count($el->conditions)) ? "Show if" : "And" ?></span>
                                                                                </div>
                                                                                <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                    <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                        <div class="item_conditionals">
                                                                                            <select onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                <option style="font-size: 10px" value="0">Select an element</option>
                                                                                            </select>
                                                                                            <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">
                                                                                            <div class="btn-group" style="margin-left: 10px;display:none">
                                                                                                <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>
                                                                                                <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <button onclick="(($this) => {jQuery($this).prev().removeClass('hidden'); jQuery($this).addClass('hidden')})(this)" class="btn btn-addcondition cond-add-btn <?php if (empty(count($el->conditions))) echo "hidden" ?>">+ AND</button>
                                                                        </div>
                                                                    <?php endforeach; ?>
                                                                    <div style="margin-left: auto; margin-right: auto; width: 28%">
                                                                        <button class="btn btn-primary btn-cond-or <?php echo empty(count($el->conditions)) ? "hidden" : "" ?>">+ OR</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                        }
                                        if ($el->type == "custom math") {
                                            continue;
                                            ?>
                                            <div class="elements_added">
                                                <input type="text" class="input_id_element" value="<?php echo intval($el->id) ?>" hidden>
                                                <div class="elements_added_v2">
                                                    <div class="element-icon">
                                                        <i class="fas fa-calculator" style="font-size:25px;"></i>
                                                    </div>
                                                    <div class="element-title-desc">
                                                        <div class="title-desc-wrapper">
                                                            <span class="element-title">Custom Math</span>
                                                            <p class="element-description">
                                                                <?php echo esc_attr($truncatedTitleElement) ?>
                                                            </p>
                                                        </div>
                                                    </div>
                                                    <div class="element-action-icons">
                                                        <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">add</i>
                                                        <i class="material-icons-outlined with-tooltip" title="Note: Custom Math applies extra calculation over the value returned by the elements in a subsection. E.g. If the subsection returns 100, and the custom math is 10%, the final value of the subsection will be 110. You can use to decrease the subsection total using negative sign to the value, for example, -10%">info</i>
                                                        <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                                                        <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                                                        <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
                                                    </div>
                                                </div>
                                                <div class="scc-element-content" value="selectoption" style="display:none; height:auto">
                                                    <!-- CONTENIDO DE CADA ELEMENTO -->
                                                    <div class="edit-element-notice" style="margin-left: 15px;">
                                                    <i class="material-icons with-tooltip" title="Note: Custom Math applies extra calculation over the value returned by the elements in a subsection. E.g. If the subsection returns 100, and the custom math is 10%, the final value of the subsection will be 110. You can use to decrease the subsection total using negative sign to the value, for example, -10%">info</i>
                                                    </div>
                                                    <!-- ELEMENT -->
                                                    <div class="row m-0 selopt5 col-xs-12 col-md-12" style="margin-top: 20px; padding: 0px;">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Name</span></div>
                                                        <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title" onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value="<?php echo esc_html($el->titleElement) ?>"></div>
                                                    </div>
                                                    <!-- ELEMENTS INSIDE ELEMENTS -->
                                                    <div class="col-md-12 col-xs-12" style="margin-top:10px;padding:0px;">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">
                                                            <span class="scc_label" style="margin-top:5px;text-align:right;padding-right:10px;">Type</span>
                                                        </div>
                                                        <div class="col-xs-9 col-md-9" style="padding:0px;padding:0px;text-align:left;">
                                                            <select onchange="changeValue1(this)" class="input_pad scc_custom_math_type" style="text-align:center;height:40px;width:150px; padding: 1px!important;text-align-last: center;font-size: 17px;">
                                                                <option value="+" <?php if ($el->value1 == "+") echo "selected"; ?>>+</option>
                                                                <option value="-" <?php if ($el->value1 == "-") echo "selected"; ?>>-</option>
                                                                <option value="x" <?php if ($el->value1 == "x") echo "selected"; ?>>x</option>
                                                                <option value="%" <?php if ($el->value1 == "%") echo "selected"; ?>>%</option>
                                                                <option value="/" <?php if ($el->value1 == "/") echo "selected"; ?>>/</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12 col-xs-12" style="margin-top:10px;padding:0px;margin-bottom:10px">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">
                                                            <span class="scc_label" style="margin-top:5px;text-align:right ;padding-right:10px;">Value</span>
                                                        </div>
                                                        <div>
                                                            <div class="col-xs-9 col-md-9" style="padding:0px;text-align:left">
                                                                <input onkeyup="changeValue2(this)" onchange="changeValue2(this)" type="number" class="input_pad scc_custom_math_value" style="text-align:center;height:40px;left:-8px;width:150px;" value="<?php echo esc_attr($el->value2) ?>">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="scc-new-accordion-container">
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <p>
                                                                        <label class="scc-accordion_switch_button">
                                                                            <input onchange="changeDisplayFrontend(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->displayFrontend == "1")  echo "checked" ?>>
                                                                            <span class="scc-accordion_toggle_button round"></span>
                                                                        </label>
                                                                        <span><b>Display on Frontend Form</b></span>
                                                                    </p>
                                                                    <p>
                                                                        <label class="scc-accordion_switch_button">
                                                                            <input onchange="changeDisplayDetail(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->displayDetailList == "1")  echo "checked" ?>>
                                                                            <span class="scc-accordion_toggle_button round"></span>
                                                                        </label>
                                                                        <span><b>Display on Detailed List</b></span>
                                                                    </p>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <?php foreach ($conditionsBySet as $key => $conditionCollection):
                                                                        ?>
                                                                        <?php if ($key > 1): ?>
                                                                            <p>OR condition <?php echo intval($key) ?></p>
                                                                        <?php endif; ?>
                                                                        <div class="condition-container clearfix" data-condition-set=<?php echo intval($key) ?>>
                                                                            <?php foreach ($conditionCollection as $index => $condition) {
                                                                                if (($condition->op == "eq" || $condition->op == "ne" || $condition->op == "any") && !($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box")) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo esc_attr($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "eq") echo '<option value="eq">Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "ne") echo '<option value="ne">Not Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "any") echo '<option value="any">Any</option>'; ?>
                                                                                                    </select>
                                                                                                    <?php if ($condition->op != "any") { ?>
                                                                                                        <select disabled class="third-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option value="eq"><?php echo esc_attr($condition->elementitem_name->name) ?></option>
                                                                                                        </select>
                                                                                                    <?php } ?>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->elementitem_id && !$condition->condition_element_id) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->elementitem_name->name); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "chec") { ?>
                                                                                                            <option value="">Checked</option>
                                                                                                        <?php } else { ?>
                                                                                                            <option value="">Unchecked</option>
                                                                                                        <?php } ?>
                                                                                                    </select>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->condition_element_id) {
                                                                                    if ($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box") {
                                                                                        ?>
                                                                                        <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                            <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                            <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                                <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                            </div>
                                                                                            <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                                <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                    <div class="item_conditionals">
                                                                                                        <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                        </select>
                                                                                                        <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <?php if ($condition->op == "eq") echo '<option style="font-size: 10px" value="0">Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "ne") echo '<option style="font-size: 10px" value="0">Not Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "gr") echo '<option style="font-size: 10px" value="0">Greater than</option>' ?>
                                                                                                            <?php if ($condition->op == "les") echo '<option style="font-size: 10px" value="0">Less than</option>' ?>
                                                                                                        </select>
                                                                                                        <input disabled value="<?php echo esc_attr($condition->value) ?>" type="number" placeholder="Number" style="height: 40px;" class="conditional-number-value col-xs-2">
                                                                                                        <div class="btn-group" style="margin-left: 10px;">
                                                                                                            <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <?php
                                                                                    }
                                                                                }
                                                                            } ?>
                                                                            <!-- <div style="background-color: black;height:50px"></div> -->
                                                                            <div class="row col-xs-12 col-md-12 conditional-selection <?php if (count($conditionCollection)) echo "hidden" ?>" style="padding: 0px; margin-bottom: 5px;">
                                                                                <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                    <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo empty(count($el->conditions)) ? "Show if" : "And" ?></span>
                                                                                </div>
                                                                                <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                    <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                        <div class="item_conditionals">
                                                                                            <select onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                <option style="font-size: 10px" value="0">Select an element</option>
                                                                                            </select>
                                                                                            <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">
                                                                                            <div class="btn-group" style="margin-left: 10px;display:none">
                                                                                                <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>
                                                                                                <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <button onclick="(($this) => {jQuery($this).prev().removeClass('hidden'); jQuery($this).addClass('hidden')})(this)" class="btn btn-addcondition cond-add-btn <?php if (empty(count($el->conditions))) echo "hidden" ?>">+ AND</button>
                                                                        </div>
                                                                    <?php endforeach; ?>
                                                                    <div style="margin-left: auto; margin-right: auto; width: 28%">
                                                                        <button class="btn btn-primary btn-cond-or <?php echo empty(count($el->conditions)) ? "hidden" : "" ?>">+ OR</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                        }
                                        if ($el->type == "file upload") {
                                            continue;
                                            ?>
                                            <div class="elements_added">
                                                <input type="text" class="input_id_element" value="<?php echo intval($el->id) ?>" hidden>
                                                <div class="elements_added_v2">
                                                    <div class="element-icon">
                                                        <i class="fas fa-paperclip" style="font-size:25px;"></i>
                                                    </div>
                                                    <div class="element-title-desc">
                                                        <div class="title-desc-wrapper">
                                                            <span class="element-title">File Upload Field</span>
                                                            <p class="element-description">
                                                                <?php echo esc_attr($truncatedTitleElement) ?>
                                                            </p>
                                                        </div>
                                                    </div>
                                                    <div class="element-action-icons">
                                                        <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">add</i>
                                                        <i class="material-icons-outlined with-tooltip" title="File upload element shows a file input field. You can limit file size and the allowed file types">info</i>
                                                        <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                                                        <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                                                        <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
                                                    </div>
                                                </div>
                                                <div class="scc-element-content" value="selectoption" style="display:none; height:auto;">
                                                    <!-- CONTENIDO DE CADA ELEMENTO -->
                                                    <!-- ELEMENT -->
                                                    <div class="row m-0selopt5 col-xs-12 col-md-12" style="padding: 0px;">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Title</span></div>
                                                        <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title" onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value="<?php echo esc_attr($el->titleElement) ?>"></div>
                                                    </div>
                                                    <!-- ELEMENTS INSIDE ELEMENTS -->
                                                    <div class="col-xs-12 col-md-12" style="padding:0px;margin-bottom:10px; margin-top: 12px;">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">
                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Placeholder text</span>
                                                        </div>
                                                        <div>
                                                            <div class="col-xs-9 col-md-9" style="padding:0px;">
                                                                <input onkeyup="changeValue2(this)" type="text" class="input_pad inputoption_placeholder" style="width:100%;max-width:100%;float:left;height:40px;" placeholder="Please choose a file" value="<?php echo esc_attr($el->value2) ?>">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-12 col-md-12" style="padding:0px;margin-bottom:10px;">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">
                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Allowed FileTypes (comma separated):</span>
                                                        </div>
                                                        <div>
                                                            <div class="col-xs-9 col-md-9" style="padding:0px;">
                                                                <input onkeyup="changeValue3(this)" type="text" class="input_pad inputoption_filetypes" style="width:100%;max-width:100%;float:left;height:40px;" placeholder="png,pdf,jpeg,jpg" value="<?php echo esc_attr($el->value3) ?>">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-12 col-md-12" style="padding:0px;margin-bottom:15px">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">
                                                            <span class="scc_label" style="text-align:right;margin-top:5px;padding-right:10px;">Max file size (in kilobytes): </span>
                                                        </div>
                                                        <div>
                                                            <div class="col-xs-9 col-md-9" style="padding:0px;">
                                                                <input onchange="changeValue4(this)" onkeyup="changeValue4(this)" type="number" class="input_pad inputoption_2" style="float:left;margin-right:10px;width:80px;height:40px" placeholder="10" min="0" value="<?php echo esc_attr($el->value4) ?>">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="scc-new-accordion-container">
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <p>
                                                                        <label class="scc-accordion_switch_button">
                                                                            <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->mandatory == "1")  echo "checked" ?>>
                                                                            <span class="scc-accordion_toggle_button round"></span>
                                                                        </label>
                                                                        <span><b>Mandatory</b></span>
                                                                    </p>
                                                                    <span style="text-align: left;display: block;"><b>Responsive Options</b></span>
                                                                    <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">
                                                                        <div class="text-scc-col d-flex tooltipadmin-right" title="Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.">
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <label>Title column (desktop)</label>
                                                                            </div>
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" value="<?php echo intval($el->titleColumnDesktop) ?>">
                                                                            </div>
                                                                        </div>
                                                                        <div class="text-scc-col d-flex">
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <label>Title column (mobile)</label>
                                                                            </div>
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" value="<?php echo intval($el->titleColumnMobile) ?>">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <?php foreach ($conditionsBySet as $key => $conditionCollection):
                                                                        ?>
                                                                        <?php if ($key > 1): ?>
                                                                            <p>OR condition <?php echo intval($key) ?></p>
                                                                        <?php endif; ?>
                                                                        <div class="condition-container clearfix" data-condition-set=<?php echo intval($key) ?>>
                                                                            <?php foreach ($conditionCollection as $index => $condition) {
                                                                                if (($condition->op == "eq" || $condition->op == "ne" || $condition->op == "any") && !($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box")) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "eq") echo '<option value="eq">Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "ne") echo '<option value="ne">Not Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "any") echo '<option value="any">Any</option>'; ?>
                                                                                                    </select>
                                                                                                    <?php if ($condition->op != "any") { ?>
                                                                                                        <select disabled class="third-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option value="eq"><?php echo esc_attr($condition->elementitem_name->name) ?></option>
                                                                                                        </select>
                                                                                                    <?php } ?>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->elementitem_id && !$condition->condition_element_id) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->elementitem_name->name); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "chec") { ?>
                                                                                                            <option value="">Checked</option>
                                                                                                        <?php } else { ?>
                                                                                                            <option value="">Unchecked</option>
                                                                                                        <?php } ?>
                                                                                                    </select>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->condition_element_id) {
                                                                                    if ($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box") {
                                                                                        ?>
                                                                                        <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                            <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                            <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                                <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                            </div>
                                                                                            <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                                <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                    <div class="item_conditionals">
                                                                                                        <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                        </select>
                                                                                                        <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <?php if ($condition->op == "eq") echo '<option style="font-size: 10px" value="0">Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "ne") echo '<option style="font-size: 10px" value="0">Not Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "gr") echo '<option style="font-size: 10px" value="0">Greater than</option>' ?>
                                                                                                            <?php if ($condition->op == "les") echo '<option style="font-size: 10px" value="0">Less than</option>' ?>
                                                                                                        </select>
                                                                                                        <input disabled value="<?php echo esc_attr($condition->value) ?>" type="number" placeholder="Number" style="height: 40px;" class="conditional-number-value col-xs-2">
                                                                                                        <div class="btn-group" style="margin-left: 10px;">
                                                                                                            <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <?php
                                                                                    }
                                                                                }
                                                                            } ?>
                                                                            <!-- <div style="background-color: black;height:50px"></div> -->
                                                                            <div class="row col-xs-12 col-md-12 conditional-selection  <?php if (count($conditionCollection)) echo "hidden" ?>" style="padding: 0px; margin-bottom: 5px;">
                                                                                <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                    <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo empty(count($el->conditions)) ? "Show if" : "And" ?></span>
                                                                                </div>
                                                                                <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                    <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                        <div class="item_conditionals">
                                                                                            <select onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                <option style="font-size: 10px" value="0">Select an element</option>
                                                                                            </select>
                                                                                            <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">
                                                                                            <div class="btn-group" style="margin-left: 10px;display:none">
                                                                                                <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>
                                                                                                <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <button onclick="(($this) => {jQuery($this).prev().removeClass('hidden'); jQuery($this).addClass('hidden')})(this)" class="btn btn-addcondition cond-add-btn <?php if (empty(count($el->conditions))) echo "hidden" ?>">+ AND</button>
                                                                        </div>
                                                                    <?php endforeach; ?>
                                                                    <div style="margin-left: auto; margin-right: auto; width: 28%">
                                                                        <button class="btn btn-primary btn-cond-or <?php echo empty(count($el->conditions)) ? "hidden" : "" ?>">+ OR</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                        }
                                        if ($el->type == "texthtml") {
                                            continue;
                                            ?>
                                            <div class="elements_added">
                                                <input type="text" class="input_id_element" value="<?php echo intval($el->id) ?>" hidden>
                                                <div class="elements_added_v2">
                                                    <div class="element-icon">
                                                        <i class="fas fa-code" style="font-size:25px;"></i>
                                                    </div>
                                                    <div class="element-title-desc">
                                                        <div class="title-desc-wrapper">
                                                            <span class="element-title">Text/HTML Field</span>
                                                            <p class="element-description">
                                                                <?php echo esc_attr($truncatedTitleElement) ?>
                                                            </p>
                                                        </div>
                                                    </div>
                                                    <div class="element-action-icons">
                                                        <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">add</i>
                                                        <i class="material-icons-outlined with-tooltip" title="You can add custom HTML code inside this element">info</i>
                                                        <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                                                        <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                                                        <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
                                                    </div>
                                                </div>
                                                <div class="scc-element-content" value="selectoption" style="display:none; height:auto;">
                                                    <!-- CONTENIDO DE CADA ELEMENTO -->
                                                    <!-- ELEMENT -->
                                                    <div class="row m-0 selopt5 col-xs-12 col-md-12" style="padding: 0px;">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Title</span></div>
                                                        <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title" onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value="<?php echo esc_attr($el->titleElement) ?>"></div>
                                                    </div>
                                                    <!-- ELEMENTS INSIDE ELEMENTS -->
                                                    <div class="row m-0 mt-3 col-xs-12 col-md-12" style="padding:0px;margin-bottom:10px;margin-top: 15px;">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">
                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Your Custom Code</span>
                                                        </div>
                                                        <div class="col-xs-9 col-md-9 p-0 ">
                                                            <div  style="padding:0px;">
                                                            <textarea data-type="<?php echo esc_html($el->type) ?>" onkeyup="changeValue2(this)" rows="5" cols="33" class="input_pad inputoption_text" style="width: 100%;" placeholder="<div></div>"><?php echo esc_attr($el->value2, SCC_ALLOWTAGS) ?></textarea>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="scc-new-accordion-container">
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <p>
                                                                        <label class="scc-accordion_switch_button">
                                                                            <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->mandatory == "1")  echo "checked" ?>>
                                                                            <span class="scc-accordion_toggle_button round"></span>
                                                                        </label>
                                                                        <span><b>Mandatory</b></span>
                                                                    </p>
                                                                    <span style="text-align: left;display: block;"><b>Responsive Options</b></span>
                                                                    <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">
                                                                        <div class="text-scc-col d-flex tooltipadmin-right" title="Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.">
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <label>Title column (desktop)</label>
                                                                            </div>
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" value="<?php echo intval($el->titleColumnDesktop) ?>">
                                                                            </div>
                                                                        </div>
                                                                        <div class="text-scc-col d-flex">
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <label>Title column (mobile)</label>
                                                                            </div>
                                                                            <div class="col-md-6 col-sm-12" style="padding:1px;">
                                                                                <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" value="<?php echo intval($el->titleColumnMobile) ?>">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <?php foreach ($conditionsBySet as $key => $conditionCollection):
                                                                        ?>
                                                                        <?php if ($key > 1): ?>
                                                                            <p>OR condition <?php echo intval($key) ?></p>
                                                                        <?php endif; ?>
                                                                        <div class="condition-container clearfix" data-condition-set=<?php echo intval($key) ?>>
                                                                            <?php foreach ($conditionCollection as $index => $condition) {
                                                                                if (($condition->op == "eq" || $condition->op == "ne" || $condition->op == "any") && !($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box")) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "eq") echo '<option value="eq">Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "ne") echo '<option value="ne">Not Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "any") echo '<option value="any">Any</option>'; ?>
                                                                                                    </select>
                                                                                                    <?php if ($condition->op != "any") { ?>
                                                                                                        <select disabled class="third-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option value="eq"><?php echo esc_attr($condition->elementitem_name->name) ?></option>
                                                                                                        </select>
                                                                                                    <?php } ?>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->elementitem_id && !$condition->condition_element_id) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->elementitem_name->name); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "chec") { ?>
                                                                                                            <option value="">Checked</option>
                                                                                                        <?php } else { ?>
                                                                                                            <option value="">Unchecked</option>
                                                                                                        <?php } ?>
                                                                                                    </select>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->condition_element_id) {
                                                                                    if ($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box") {
                                                                                        ?>
                                                                                        <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                            <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                            <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                                <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                            </div>
                                                                                            <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                                <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                    <div class="item_conditionals">
                                                                                                        <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                        </select>
                                                                                                        <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <?php if ($condition->op == "eq") echo '<option style="font-size: 10px" value="0">Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "ne") echo '<option style="font-size: 10px" value="0">Not Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "gr") echo '<option style="font-size: 10px" value="0">Greater than</option>' ?>
                                                                                                            <?php if ($condition->op == "les") echo '<option style="font-size: 10px" value="0">Less than</option>' ?>
                                                                                                        </select>
                                                                                                        <input disabled value="<?php echo esc_attr($condition->value) ?>" type="number" placeholder="Number" style="height: 40px;" class="conditional-number-value col-xs-2">
                                                                                                        <div class="btn-group" style="margin-left: 10px;">
                                                                                                            <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <?php
                                                                                    }
                                                                                }
                                                                            } ?>
                                                                            <!-- <div style="background-color: black;height:50px"></div> -->
                                                                            <div class="row col-xs-12 col-md-12 conditional-selection  <?php if (count($conditionCollection)) echo "hidden" ?>" style="padding: 0px; margin-bottom: 5px;">
                                                                                <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                    <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo empty(count($el->conditions)) ? "Show if" : "And" ?></span>
                                                                                </div>
                                                                                <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                    <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                        <div class="item_conditionals">
                                                                                            <select onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                <option style="font-size: 10px" value="0">Select an element</option>
                                                                                            </select>
                                                                                            <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">
                                                                                            <div class="btn-group" style="margin-left: 10px;display:none">
                                                                                                <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>
                                                                                                <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <button onclick="(($this) => {jQuery($this).prev().removeClass('hidden'); jQuery($this).addClass('hidden')})(this)" class="btn btn-addcondition cond-add-btn <?php if (empty(count($el->conditions))) echo "hidden" ?>">+ AND</button>
                                                                        </div>
                                                                    <?php endforeach; ?>
                                                                    <div style="margin-left: auto; margin-right: auto; width: 28%">
                                                                        <button class="btn btn-primary btn-cond-or <?php echo empty(count($el->conditions)) ? "hidden" : "" ?>">+ OR</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                        }
                                        if ($el->type == "slider") {
                                            ?>
                                            <div class="elements_added">
                                                <input type="text" class="input_id_element" value="<?php echo intval($el->id) ?>" hidden>
                                                <div class="elements_added_v2">
                                                    <div class="element-icon">
                                                        <i class="fas fa-sliders-h" style="font-size:25px;"></i>
                                                    </div>
                                                    <div class="element-title-desc">
                                                        <div class="title-desc-wrapper">
                                                            <span class="element-title">Slider</span>
                                                            <p class="element-description">
                                                                <?php echo esc_attr($truncatedTitleElement) ?>
                                                            </p>
                                                        </div>
                                                    </div>
                                                    <div class="element-action-icons">
                                                        <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">add</i>
                                                        <i class="material-icons-outlined with-tooltip" title="Note: Sliders are linked to any elements in the same subsection. Example: If you select 10 units with the slider, it will add 10 units to any dropdown or checkbox element above it. If you want to unlink them, make sure the slider sits in its own subsection.">info</i>
                                                        <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                                                        <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                                                        <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
                                                    </div>
                                                </div>
                                                <div class="scc-element-content" value="selectoption" style="display:none; height:auto;">
                                                    <!-- CONTENIDO DE CADA ELEMENTO -->
                                                    <!-- ELEMENT -->
                                                    <div class="edit-element-notice" style="padding-left: 15px;">
                                                        <i class="material-icons with-tooltip" title="Note: Sliders are linked to any elements in the same subsection. Example: If you select 10 units with the slider, it will add 10 units to any dropdown or checkbox element above it. If you want to unlink them, make sure the slider sits in its own subsection.">info</i>
                                                    </div>
                                                    <div class="row m-0 selopt5 col-xs-12 col-md-12" style="padding: 0px;">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Title</span></div>
                                                        <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title" onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value="<?php echo esc_attr($el->titleElement) ?>"></div>
                                                    </div>
                                                    <div class="row m-0 mt-3 col-md-12 col-xs-12" style="padding:0px;">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">
                                                            <span class="scc_label" style="margin-top:5px;text-align:right;padding-right:10px;">Step</span>
                                                        </div>
                                                        <div class="row m-0 col-xs-9 col-md-9 p-0">
                                                            <div style="padding:0px;padding:0px;text-align:left;">
                                                                <input onchange="changeValue2(this)" onkeyup="changeValue2(this)" value="<?php echo esc_attr($el->value2) ?>" type="number" class="input_pad slidoption_3" style="text-align:center;height:40px;width:100px">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row m-0 mt-3 col-md-12 col-xs-12" style="padding:0px;">
                                                        <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">
                                                            <span class="scc_label" style="margin-top:5px;text-align:right ;padding-right:10px;">Starting number</span>
                                                        </div>
                                                        <div class="col-xs-9 col-md-9 p-0">
                                                            <div style="padding:0px;text-align:left">
                                                                <input onchange="changeValue3(this)" onkeyup="changeValue3(this)" value="<?php echo esc_attr($el->value3) ?>" type="number" class="input_pad slidoption_4" style="text-align:center;height:40px;left:-8px;width:100px;">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row m-0 mt-3 col-md-12 col-xs-12" style="padding:0px;">
                                                        <div class="col-xs-3 col-md-3" style="background:#f8f9ff;height:40px;margin-top:10px;padding-left: 15px;">
                                                            <span class="scc_label tooltipadmin-right" style="text-align:right;padding-right:5x;margin-top:5px;" data-tooltip="Bulk Pricing: Between 1 and 10 = $100 per unit price | Sliding Scale: 1 and 10 = $100 flat price">Pricing Structure</span>
                                                        </div>
                                                        <div class="col-xs-9 col-md-9" style="padding:0px;text-align:left">
                                                            <select onchange="changeValue1(this)" class="slider-discount-type" style="margin-top:10px;width:100%;max-width:100%;float:left;height:40px;">
                                                                <option value="bulk" <?php if ($el->value1 == "bulk") echo "selected"; ?>>Bulk Quantity Discounts/Default Pricing</option>
                                                                <option value="sliding" <?php if ($el->value1 == "sliding") echo "selected"; ?>>Sliding Scale Prciing</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <?php if (isset($woo_commerce_products)) : ?>
                                                        <div class="col-md-12 dd-woocommerce" style="padding:0px;">
                                                            <div class="scc-col-xs-3 scc-col-md-3" style="padding:0px;background: #f8f9ff;height: 40px;"><span class="scc_label" style="text-align:right;padding-right:5px;margin-top:5px;">WooCommerce</span></div>
                                                            <div class="woo-product-dd scc-col-xs-9 scc-col-md-9" style="padding:0px;">
                                                                <select class="scc_woo_commerce_product_id" data-target="elements_added" onchange="attachProductId(this, <?php echo intval($el->elementitems[0]->id) ?>)" style="width:100%;float:left;height:41px;margin-bottom:20px;max-width: 100%;">
                                                                    <option style="font-size: 10px" value=0>Select a product..</option>
                                                                    <?php
                                                                    foreach ($woo_commerce_products as $product) {
                                                                        ?>
                                                                        <?php
                                                                        if ($product->is_type('variable')) {
                                                                            $available_variations = $product->get_available_variations();
                                                                            foreach ($available_variations as $product_variable) {
                                                                                $attributes = array();
                                                                                foreach ($product_variable['attributes'] as $key => $value) {
                                                                                    $attributes[] = $product->get_name() . ': ' . $value;
                                                                                }
                                                                                ?>
                                                                                <option value=<?php echo esc_html($product_variable['variation_id']) ?> <?php echo selected($product->get_id() == $el->elementitems[0]->woocomerce_product_id) ?>><?php echo esc_html(implode(' | ', $attributes)) . ' | Price: ' . get_woocommerce_currency_symbol() . '' . esc_html($product_variable['display_regular_price'])  ?></option>
                                                                            <?php                                }
                                                                        } else {
                                                                            ?>
                                                                            <option value=<?php echo esc_html($product->get_id()) ?> <?php echo selected($product->get_id() == $el->elementitems[0]->woocomerce_product_id) ?>><?php echo esc_html($product->get_name()) . ' | Price: ' . get_woocommerce_currency_symbol() . '' . esc_html($product->get_price()) ?></option>
                                                                        <?php                            }
                                                                    }
                                                                    ?>
                                                                </select>
                                                            </div>
                                                        </div>
                                                    <?php endif; ?>
                                                    <!-- ELEMENTS INSIDE ELEMENTS -->
                                                    <div class="row m-0 col-md-12 col-xs-12" style="padding:0px;">
                                                        <div class="col-xs-3 col-md-3" style="background:#f8f9ff;height:40px;margin-top:10px;padding-left: 15px;">
                                                            <span class="scc_label tooltipadmin-right" style="text-align:right;padding-right:5x;margin-top:5px;">Price Range</span>
                                                        </div>
                                                        <div class="row col-xs-9 col-md-9" style="padding-top: 15px;background:#f8f9ff;margin-top:10px;">
                                                            <div class="col-xs-4 col-md-4">From</div>
                                                            <div class="col-xs-4 col-md-4">To</div>
                                                            <div class="col-xs-4 col-md-4">Price</div>
                                                        </div>
                                                        <div class="offset-md-3  col-xs-9 col-md-9 price-range-container" style="padding-top: 15px;background:#f8f9ff;padding-bottom:10px">
                                                            <!-- ELEMENT ITEMS -->
                                                            <?php foreach ($el->elementitems as $key => $item) { ?>
                                                                <div class="row col-xs-12 col-md-12 price-slider-item" style="margin-top: 10px;">
                                                                    <input type="text" class="id_element_slider_item" value="<?php echo intval($item->id) ?>" hidden>
                                                                    <div class="col-xs-4 col-md-4"><input <?php if ($key > 0) echo "disabled" ?> onchange="changeElementItemValue1(this)" onkeyup="changeElementItemValue1(this)" type="number" min="0" class="scc_label input_pad sliderinputoption scc_input" value="<?php echo esc_attr($item->value1) ?>" style="width:90PX;height:40px;margin-left:12px;padding:6px;"></div>
                                                                    <div class="col-xs-4 col-md-4"><input onchange="changeSliderToNumber(this),changeElementItemValue2(this)" onkeyup="changeSliderToNumber(this),changeElementItemValue2(this)" value="<?php echo intval($item->value2) ?>" type="number" min="0" class="scc_label  input_pad sliderinputoption_2 scc_input" style="width:90PX;height:40px;margin-left:12px;padding:6px;"></div>
                                                                    <div class="col-xs-4 col-md-4"><input onchange="changeElementItemValue3(this)" onkeyup="changeElementItemValue3(this)" type="number" min="0" class="scc_label  input_pad sliderinputoption_5 scc_input" value="<?php echo esc_attr($item->value3) ?>" style="width:90PX;height:40px;margin-left:0px;padding:6px;"><?php if ($key > 0) echo '<a style="cursor:pointer;padding-left:5px" onclick="deleteSliderItem(this)">X</a>' ?> </div>
                                                                </div>
                                                            <?php } ?>
                                                        </div>
                                                        <div class="col-xs-3 col-md-3"></div>
                                                        <div class="col-xs-9 col-md-9 " style="margin-bottom: 0;margin-top:20px;">
                                                            <a onclick="addNewRangeSlider(this)" class="crossnadd" style="color:#314af3;font-size: 13px;">+ Add Price Range</a>
                                                        </div>
                                                    </div>
                                                    <!-- ADVANCE -->
                                                    <div class="scc-new-accordion-container">
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <p>
                                                                        <label class="scc-accordion_switch_button">
                                                                            <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->mandatory == "1")  echo "checked" ?>>
                                                                            <span class="scc-accordion_toggle_button round"></span>
                                                                        </label>
                                                                        <span><b>Mandatory</b></span>
                                                                    </p>
                                                                    <p>
                                                                        <label class="scc-accordion_switch_button">
                                                                            <input onchange="changeShowPriceHintElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->showPriceHint == "1")  echo "checked" ?>>
                                                                            <span class="scc-accordion_toggle_button round"></span>
                                                                        </label>
                                                                        <span><b>Show Price Hint</b></span>
                                                                    </p>
                                                                    <span style="text-align: left;display: block;"><b>Responsive Options</b></span>
                                                                    <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">
                                                                        <div class="text-scc-col d-flex tooltipadmin-right" title="Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.">
                                                                            <div class="col-md-9" style="padding:1px;">
                                                                                <label>Title column (desktop)</label>
                                                                            </div>
                                                                            <div class="col-md-3" style="padding:1px;">
                                                                                <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" value="<?php echo intval($el->titleColumnDesktop) ?>">
                                                                            </div>
                                                                        </div>
                                                                        <div class="text-scc-col d-flex">
                                                                            <div class="col-md-9" style="padding:1px;">
                                                                                <label>Title column (mobile)</label>
                                                                            </div>
                                                                            <div class="col-md-3" style="padding:1px;">
                                                                                <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" value="<?php echo intval($el->titleColumnMobile) ?>">
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="styled-accordion">
                                                            <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">
                                                                <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>
                                                            </div>
                                                            <div class="scc-content" style="display: none;">
                                                                <div class="scc-transition">
                                                                    <?php foreach ($conditionsBySet as $key => $conditionCollection):
                                                                        ?>
                                                                        <?php if ($key > 1): ?>
                                                                            <p>OR condition <?php echo intval($key) ?></p>
                                                                        <?php endif; ?>
                                                                        <div class="condition-container clearfix" data-condition-set=<?php echo intval($key) ?>>
                                                                            <?php foreach ($conditionCollection as $index => $condition) {
                                                                                if (($condition->op == "eq" || $condition->op == "ne" || $condition->op == "any") && !($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box")) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "eq") echo '<option value="eq">Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "ne") echo '<option value="ne">Not Equal To</option>'; ?>
                                                                                                        <?php if ($condition->op == "any") echo '<option value="any">Any</option>'; ?>
                                                                                                    </select>
                                                                                                    <?php if ($condition->op != "any") { ?>
                                                                                                        <select disabled class="third-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option value="eq"><?php echo esc_attr($condition->elementitem_name->name) ?></option>
                                                                                                        </select>
                                                                                                    <?php } ?>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->elementitem_id && !$condition->condition_element_id) {
                                                                                    ?>
                                                                                    <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                        <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                        <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                            <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                        </div>
                                                                                        <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                            <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                <div class="item_conditionals">
                                                                                                    <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->elementitem_name->name); ?></option>
                                                                                                    </select>
                                                                                                    <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                        <?php if ($condition->op == "chec") { ?>
                                                                                                            <option value="">Checked</option>
                                                                                                        <?php } else { ?>
                                                                                                            <option value="">Unchecked</option>
                                                                                                        <?php } ?>
                                                                                                    </select>
                                                                                                    <div class="btn-group" style="margin-left: 10px;">
                                                                                                        <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <?php
                                                                                }
                                                                                if ($condition->condition_element_id) {
                                                                                    if ($condition->element_condition->type == "slider" || $condition->element_condition->type == "quantity box") {
                                                                                        ?>
                                                                                        <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">
                                                                                            <input type="text" class="id_conditional_item" value="<?php echo intval($condition->id) ?>" hidden>
                                                                                            <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                                <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo $index >= 1 ? "And" : "Show if" ?></span>
                                                                                            </div>
                                                                                            <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                                <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                                    <div class="item_conditionals">
                                                                                                        <select disabled class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <option style="font-size: 10px" value="0"><?php echo esc_attr($condition->element_condition->titleElement); ?></option>
                                                                                                        </select>
                                                                                                        <select disabled class="second-conditional-step col-xs-3" style="height: 40px;">
                                                                                                            <?php if ($condition->op == "eq") echo '<option style="font-size: 10px" value="0">Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "ne") echo '<option style="font-size: 10px" value="0">Not Equal To</option>' ?>
                                                                                                            <?php if ($condition->op == "gr") echo '<option style="font-size: 10px" value="0">Greater than</option>' ?>
                                                                                                            <?php if ($condition->op == "les") echo '<option style="font-size: 10px" value="0">Less than</option>' ?>
                                                                                                        </select>
                                                                                                        <input disabled value="<?php echo esc_attr($condition->value) ?>" type="number" placeholder="Number" style="height: 40px;" class="conditional-number-value col-xs-2">
                                                                                                        <div class="btn-group" style="margin-left: 10px;">
                                                                                                            <button onclick="deleteCondition(this)" class="btn btn-danger">x</button>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <?php
                                                                                    }
                                                                                }
                                                                            } ?>
                                                                            <!-- <div style="background-color: black;height:50px"></div> -->
                                                                            <div class="row col-xs-12 col-md-12 conditional-selection  <?php if (count($conditionCollection)) echo "hidden" ?>" style="padding: 0px; margin-bottom: 5px;">
                                                                                <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">
                                                                                    <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"><?php echo empty(count($el->conditions)) ? "Show if" : "And" ?></span>
                                                                                </div>
                                                                                <div class="col-xs-11 col-md-11" style="padding:0px;">
                                                                                    <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">
                                                                                        <div class="item_conditionals">
                                                                                            <select onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">
                                                                                                <option style="font-size: 10px" value="0">Select an element</option>
                                                                                            </select>
                                                                                            <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">
                                                                                            </select>
                                                                                            <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">
                                                                                            <div class="btn-group" style="margin-left: 10px;display:none">
                                                                                                <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>
                                                                                                <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <button onclick="(($this) => {jQuery($this).prev().removeClass('hidden'); jQuery($this).addClass('hidden')})(this)" class="btn btn-addcondition cond-add-btn <?php if (empty(count($el->conditions))) echo "hidden" ?>">+ AND</button>
                                                                        </div>
                                                                    <?php endforeach; ?>
                                                                    <div style="margin-left: auto; margin-right: auto; width: 28%">
                                                                        <button class="btn btn-primary btn-cond-or <?php echo empty(count($el->conditions)) ? "hidden" : "" ?>">+ OR</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                        }
                                        ?>
                                        <?php
                                    }
                                    ?>
                                    <!-- ELEMENTS SHOWS HERE -->
                                </div>
                                <!-- BUTTONS AREA -->
                                <div class="scc-col-md-12 scc-col-xs-12">
                                    <label class="scc_label_2" style="margin-top:15px;margin-right: 0px !important;padding: 8px;background:#314af3;margin-top: 20px;border-radius:6px;">
                                        <a style="color:white" class="add-element-btn save_button" onclick="togglebuttonsadd(this)">
                                            + Add Element
                                        </a>
                                    </label>
                                </div>
                                <div class="df_scc_groupbuttonsadd scc-col-md-12 scc-col-xs-12" style="margin:15px; display:none ">
                                    <button value="dropdowninput" class="scc_button btn-backend" onclick="addDropdownMenuElement(this)"><i class="far fa-list-alt" style="padding-top:3px;font-size:13px;"></i>
                                        <div class="btn-backend-text">DropDown</div>
                                    </button>
                                    <button value="switchinput" class="scc_button btn-backend" onclick="addCheckboxElement(this,1)"><i class="far fa-check-square" style="padding-top:3px;font-size:13px;"></i>
                                        <div class="btn-backend-text">Checkbox</div>
                                    </button>
                                    <button value="switchinput" class="scc_button btn-backend" onclick="addCheckboxElement(this,3)"><i class="fas fa-toggle-off" style="padding-top:3px;font-size:13px;"></i>
                                        <div class="btn-backend-text">Toggle Switch</div>
                                    </button>
                                    <button value="switchinput" class="scc_button btn-backend" onclick="addCheckboxElement(this,6)"><i class="far fa-rectangle-wide" style="margin-top:5px;font-size:13px;width:26px;height: 9px;background-color: white;"></i>
                                        <div class="btn-backend-text">Simple Button </div>
                                    </button>
                                    <button value="switchinput" class="scc_button btn-backend" onclick="addCheckboxElement(this,8)"><i class="fas fa-image" style="font-size:13px;"></i>
                                        <div class="btn-backend-text">Image Button </div>
                                    </button>
                                    <button class="scc_button btn-backend" onclick="addSliderElement(this)"><i class="fas fa-sliders-h" style="padding-top:3px;font-size:13px;"></i>
                                        <div class="btn-backend-text">Slider</div>
                                    </button>
                                    <input class="inputoption_slidchk" type="checkbox" onClick="addSlider(this)" style="display:none;" />
                                    <button value="comment_input" class="scc_button btn-backend" onclick="addCommentBoxElement(this)"><i class="fas fa-comment" style="padding-top:3px;font-size:13px;"></i>
                                        <div class="btn-backend-text">Comment Box</div>
                                    </button>
                                    <button value="number_input" class="scc_button btn-backend" onclick="addQuantityBox(this)"><i class="material-icons" style="padding-top:3px;font-size:13px;">exposure</i>
                                        <div class="btn-backend-text">Quantity Box</div>
                                    </button>
                                    <button class="scc_button btn-backend" onclick="addCustomMath(this)"><i class="fas fa-calculator" style="padding-top:3px;font-size:13px;"></i>
                                        <div class="btn-backend-text">Custom Math</div>
                                    </button>
                                    <button value="file_input" class="scc_button btn-backend" onclick="addFileUpload(this)"><i class="fas fa-paperclip" style="padding-top:3px;font-size:13px;"></i>
                                        <div class="btn-backend-text">File Upload</div>
                                    </button>
                                    <button value="custom_code" class="scc_button btn-backend" onclick="addTextHtml(this)"><i class="fas fa-code" style="padding-top:3px;font-size:13px;"></i>
                                        <div class="btn-backend-text">Text/HTML Field</div>
                                    </button>
                                    <button value="custom_code" class="scc_button btn-backend" onclick="addTextHtml(this)"><i class="fas fa-calculator" style="padding-top:3px;font-size:13px;"></i>
                                        <div class="btn-backend-text">Variable Math</div>
                                    </button>
                                    <br>
                                    <span style="font-size:13px;margin-top:5px;">Add 1 or more elements to this subsection</span>
                                    <input class="scc_custom_math_checkbox" type="checkbox" style="display:none;" />
                                </div>
                            </div>
                        <?php }
                        ?>
                        <div class="boardOption1">
                            <label class="add-subsection-btn">
                                <!-- This one works -->
                                <a href="javascript:void(0)" onclick="addSubSectionElement(this)" style="border-radius:6px;padding:8px;background:#314af3;color:white" class="crossnadd2">+ Add Subsection
                                </a>
                            </label>
                        </div>
                    </div>
                </div>
            <?php }
            ?>
        </div>
        <div class="scc-col-xs-6 scc-col-lg-12 scc-col-md-12 clearfix" style="width:100% !important; padding-left:0px !important;">
            <label class="scc-col-xs-12 scc-col-lg-12 scc-col-md-12 add-section-btn" style="max-width: 985px;">
                <a href="javascript:void(0)" onclick="addSectionSubsectionElement()" style="border-radius:6px;padding:8px;background:#314af3;color:white" class="crossnadd2 scc_new_sec">+ Add Section </a>
            </label>
        </div>
    </div>
    <style>
</style>
<div class="col-xs-12 col-sm-12 col-md-6 col-lg-5">
    <!-- PREVIEW -->
    <div class="preview_form_right_side" style="background-color: #f8f9ff; margin-right: 15px;padding: 30px;border-radius:20px;">
        <div class="df-scc-progress df-scc-progress-striped active">
            <div class="df-scc-progress-bar" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="background-color: orange; width: 100%"></div>
        </div>
    </div>
</div>
</div>
<div class="modal df-scc-modal fade in" id="webhook-setup-placeholder" style="padding-right: 0px;" role="dialog" data-backdrop="0"></div>
<script type="text/javascript">
    /** preview */
    /**
     * *Loads the preview with page load
     * @param id calulator
     */
     jQuery(function() {
        var id = jQuery("#id_scc_form_").val()
        loadPreviewForm(id)
        // find existing quote form fields backend buttons and register click events on it
        addEventsToQuoteFormBtns(jQuery('.editing-action-cards.action-quoteform .btn.btn-cards:not(.btn-plus)'))
    })
     const resources = {
        dropdownTumbnailDefaultImage : "<?php echo esc_url(SCC_ASSETS_URL.'/images/image.png'); ?>"
    }
    function loadPreviewForm(formId) {
        var previewContainer = jQuery("body").find(".preview_form_right_side")
        var load = jQuery("body").find(".loading")
        // load.empty()
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccPreviewOneForm',
                id_form: formId,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                previewContainer.html(data)
                previewContainer.trigger('previewLoaded')
                registerWebhookActions(formId)
            }
        })
    }
    /**
     * 
     */
    function changeColumnsCheckbox(element){
        showLoadingChanges()
        var numberCols = jQuery(element).val()
        var id_element = jQuery(element).closest('.elements_added').find('.input_id_element').val()
        jQuery.ajax({
            url: ajaxurl,
            element,
            numberCols,
            cache: false,
            data: {
                action: 'sccUpElement',
                id_element,
                value2: numberCols,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var datajson = JSON.parse(data)
                if (datajson.passed == true) {
                    if (this.numberCols > 1) {
                        jQuery(this.element).closest('.elements_added').find('.scc-accordion-tooltip:first input').attr('disabled', true)
                        jQuery(this.element).closest('.elements_added').find('.scc-accordion-tooltip:first .tooltipadmin-right').attr('title', 'It is disabled due to "checkbox columns" feature being utilized')
                    } else {
                        jQuery(this.element).closest('.elements_added').find('.scc-accordion-tooltip:first input').attr('disabled', false)
                        jQuery(this.element).closest('.elements_added').find('.scc-accordion-tooltip:first .tooltipadmin-right').attr('title', 'Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.')
                    }
                    showSweet(true, "The changes have been saved.")
                } else {
                    showSweet(false, "There was an error, please try again.")
                }
            }
        })
    }
    /** preview */
    /**
     * *Add sortable feature to elements in subsection
     * !impotant after element is moved the order of the element is updated
     * !this is mage with sortable lib, it needs to be loaded
     */
     jQuery(document).ready(function() {
        <?php if ((get_option('df-scc-save-count') == scc_feedback_invokation('form')) && scc_feedback_invokation('form') != 0) echo "jQuery('#user-scc-sv').modal('show').show();" ?>
        var sortableContainers = []
        jQuery('body').find('.subsection-area').each(function(index, ob) {
            if (!jQuery(ob).is('[class*="sortable_container"]')) {
                jQuery(ob).addClass('sortable_container_' + index)
                sortableContainers.push({
                    'element': ob,
                    'className': 'sortable_container_' + index
                })
            }
        })
        const barra = jQuery("#wpadminbar");
        for (var i = 0; i < sortableContainers.length; i++) {
            //console.log(sortableContainers[0].element);
            Sortable.create(sortableContainers[i].element, {
                group: 'nested',
                forceFallback: true,
                handle: '.sortable_subsection_element',
                animation: 150,
                ghostClass: "scc_sortable-ghosts", // Class name for the drop placeholder
                chosenClass: "scc_sortable-chosens", // Class name for the chosen item
                dragClass: "scc_sortable-drags", // Class name for the dragging item
                onStart: function(event) {
                    barra.hide(); // element index within parent
                },
                onEnd: function(e) {
                    barra.show();
                    showLoadingChanges()
                    var arr = []
                    var idElement = jQuery(e.to).find(".input_id_element").val()
                    var idSubDest = jQuery(e.to).parent().find(".input_subsection_id").val()
                    var todos = jQuery(e.to).parent().find(".elements_added").each(function(index) {
                        // usamos el index para actualizar los elementos
                        var obj = {}
                        var id = jQuery(this).find(".input_id_element").val()
                        obj.id_element = id
                        obj.order = index
                        obj.subsection = idSubDest
                        arr.push(obj)
                    })
                    jQuery.ajax({
                        url: ajaxurl,
                        cache: false,
                        data: {
                            action: 'sccUpElementOrder',
                            arr,
                            nonce: pageEditCalculator.nonce
                        },
                        success: function(data) {
                            console.log(data)
                            if (data.passed == true) {
                                showSweet(true, "The changes have been saved.")
                            } else {
                                showSweet(false, "There was an error, please try again.")
                            }
                        }
                    })
                },
            })
        }
        sortableContainers = []
    })
    /**
     * *Duplicates element
     */
     function handleElementCopy(element, type = 1) {
        showLoadingChanges()
        //1 dropdown, checkboxes, coment box //2 slider
        var id_element = jQuery(element).parent().find(".input_id_element").val();
        //clone element add type b
        var el = jQuery(element);
        var clonedElement = el.closest('.elements_added').clone()
        jQuery.ajax({
            url: ajaxurl,
            cache:false,
            data: {
                action: 'sccDuplicateElement',
                id_element: id_element,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
             if(data.passed){
                switch(type){
                    case 1 : 
                    duplicatedDrop(data.id,data.ids,data.ids_c)
                    break
                    case 2: 
                    duplicateSlider(data.id,data.ids,data.ids_c)
                    break  
                }
                showSweet(true, "The element was duplicated")
            }else{
                showSweet(false, data?.error);
            }
        }
    })
        //reder duplicated element in dom
        // var popo = duplicatedDrop(clonedElement,["10","20","30","40"])
        function duplicatedDrop(id ,arrayItemsIds, arrayConditional){
            clonedElement.find(".input_id_element").attr("value",id)
            // var opop = ["10","20","30","40"]
            clonedElement.find(".swichoptionitem_id").each(function(e,i){
                jQuery(this).attr("value",arrayItemsIds[e])
            })
            clonedElement.find(".id_conditional_item").each(function(e,i){
                jQuery(this).attr("value",arrayConditional[e])
            })
            clonedElement.css({border: '2px solid rgb(138, 153, 248)'}).delay(10000).queue(function(next){
                jQuery(this).css({border: 'unset'});
                next();
            });
            el.closest('.elements_added').after(clonedElement);
        }
        function duplicateSlider(id ,arrayItemsIds, arrayConditional){
            clonedElement.find(".input_id_element").attr("value",id)
            // var opop = ["10","20","30","40"]
            clonedElement.find(".id_element_slider_item").each(function(e,i){
                jQuery(this).attr("value",arrayItemsIds[e])
            })
            clonedElement.find(".id_conditional_item").each(function(e,i){
                jQuery(this).attr("value",arrayConditional[e])
            })
            clonedElement.css({border: '2px solid rgb(138, 153, 248)'}).delay(10000).queue(function(next){
                jQuery(this).css({border: 'unset'});
                next();
            });
            el.closest('.elements_added').after(clonedElement);
        }
    }
    /**
     * *Show title of element in pdf
     */
     function changeShowTitlePdf(element) {
        var element_id = jQuery(element).parentsUntil(".elements_added").parent().find(".input_id_element").val()
        var s = jQuery(element).is(":checked")
        var show_pdf
        if (s) {
            change_show("1")
        } else {
            change_show("0")
        }
        function change_show(value) {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElement',
                    id_element: element_id,
                    showTitlePdf: value,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        showSweet(true, "The changes have been saved.")
                    } else {
                        showSweet(false, "There was an error, please try again.")
                    }
                }
            })
        }
    }
    /**
     * *Updates database section accordion column to true or false after toggle
     * @params section_id
     */
     function changeAccordion(element) {
        var id = jQuery(element).parentsUntil(".addedFieldsStyle").parent().find(".id_section_class").val()
        var acordion = jQuery(element).is(":checked")
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccUpSection',
                id_section: id,
                accordion: acordion,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var datajson = JSON.parse(data)
                if (datajson.passed == true) {
                    showSweet(true, "The changes have been saved.")
                } else {
                    showSweet(false, "There was an error, please try again.")
                }
            }
        })
        console.log(id)
    }
    /**
     * *Changes database section showTotalSection column after toogle
     * @param section_id
     */
     function changeShowSectionTotal(element) {
        var parentElement = jQuery(element).parentsUntil(".addedFieldsStyle").parent()
        var id = parentElement.find(".id_section_class").val()
        var show = jQuery(element).is(":checked")
        if (show) {
            parentElement.find(".section-total-on-pdf-container").show(300)
        }
        if (!show) {
            parentElement.find(".section-total-on-pdf-container").hide(300)
        }
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccUpSection',
                id_section: id,
                showTotal: show,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var datajson = JSON.parse(data)
                if (datajson.passed == true) {
                    showSweet(true, "The changes have been saved.")
                } else {
                    showSweet(false, "There was an error, please try again.")
                }
            }
        })
        console.log(id)
    }
    /**
     * *Shows/hides Title input field in section 
     */
     function toggleEditTitle(element) {
        var input = jQuery(element).parents(".title_section_no_edit_container").find(".scc_edit_section_input")
        jQuery(input).next().toggle()
        input.toggle()
        var text = jQuery(element).parents(".title_section_no_edit_container").find(".title_section_no_edit")
        text.toggle()
    }
    /**
     * *Shows/hide Description input field in section 
     */
     function toggleEditDescription(element) {
        var textarea = jQuery(element).parents(".description_section_no_edit_container").find(".scc_section_description_textarea")
        textarea.toggle()
        var text = jQuery(element).parents(".description_section_no_edit_container").find(".description_section_no_edit")
        text.toggle()
    }
    /**
     * *On keyup changes title section in db and updates title text in section
     * @param Section_id,text
     */
     var timeChangeTitleSection = null
     function changeTitleSection(element) {
        var idSection = jQuery(element).parents(".addedFieldsStyle").find(".id_section_class").val()
        var text = jQuery(element).parents(".title_section_no_edit_container").find(".title_section_no_edit")
        var value = jQuery(element).val()
        text.text(value)
        jQuery(element).focusout(function() {
            timeChangeTitleSection = 0
        })
        clearTimeout(timeChangeTitleSection)
        timeChangeTitleSection = setTimeout(() => {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpSection',
                    id_section: idSection,
                    title: value,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        showSweet(true, "The changes have been saved.")
                    } else {
                        showSweet(false, "There was an error, please try again.")
                    }
                }
            })
        }, 2000);
    }
    /**
     * *On keyup changes description section in db and updates description text in section
     */
     var timechangeDescriptionSection = null
     function changeDescriptionSection(element) {
        var idSection = jQuery(element).parents(".addedFieldsStyle").find(".id_section_class").val()
        var text = jQuery(element).parents(".description_section_no_edit_container").find(".description_section_no_edit")
        var value = jQuery(element).val()
        text.text(value)
        jQuery(element).focusout(function() {
            timechangeDescriptionSection = 0
        })
        clearTimeout(timechangeDescriptionSection)
        timechangeDescriptionSection = setTimeout(() => {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpSection',
                    id_section: idSection,
                    description: value,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        showSweet(true, "The changes have been saved.")
                    } else {
                        showSweet(false, "There was an error, please try again.")
                    }
                }
            })
        }, 2000);
    }
    /**
     * *Changes colum showFrontend of element in db after toggle 
     * @param element_id
     */
     function changeDisplayFrontend(element) {
        var element_id = jQuery(element).parentsUntil(".elements_added").parent().find(".input_id_element").val()
        var checked = jQuery(element).is(":checked")
        if (checked) {
            updateDisplayFrontend("1")
        } else {
            updateDisplayFrontend("0")
        }
        function updateDisplayFrontend(value) {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElement',
                    id_element: element_id,
                    displayFront: value,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        showSweet(true, "The changes have been saved.")
                    } else {
                        showSweet(false, "There was an error, please try again.")
                    }
                }
            })
        }
    }
    /**
     * *Changes column DisplayinDetail column of element in db after toggle
     * @param element_id
     */
     function changeDisplayDetail(element) {
        var element_id = jQuery(element).parentsUntil(".elements_added").parent().find(".input_id_element").val()
        var checked = jQuery(element).is(":checked")
        if (checked) {
            updateDisplayDetail("1")
        } else {
            updateDisplayDetail("0")
        }
        function updateDisplayDetail(value) {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElement',
                    id_element: element_id,
                    displayDetail: value,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        showSweet(true, "The changes have been saved.")
                    } else {
                        showSweet(false, "There was an error, please try again.")
                    }
                }
            })
        }
    }
    /**
     * *Onkeyup changes column DesktopColum of element 
     * @param element_id
     */
     var timeColumnDesktop = null
     function changeColumnDesktop(element) {
        reloadform()
        var element_id = jQuery(element).parentsUntil(".elements_added").parent().find(".input_id_element").val()
        var value = jQuery(element).val()
        jQuery(element).focusout(function() {
            timeColumnDesktop = 0
        })
        clearTimeout(timeColumnDesktop)
        timeColumnDesktop = setTimeout(() => {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElement',
                    id_element: element_id,
                    desktop: value,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        console.warn(true, "The changes have been saved.")
                    } else {
                        console.warn(false, "There was an error, please try again.")
                    }
                }
            })
        }, 2000);
    }
    
    /**
     * *Onkeyup changes mobileColumn of element
     * @param element_id
     */
     var timeColumnMobile = null 
     function changeColumnMobile(element) {
        reloadform()
        var element_id = jQuery(element).parentsUntil(".elements_added").parent().find(".input_id_element").val()
        var value = jQuery(element).val()
        jQuery(element).focusout(function() {
            timeColumnMobile = 0
        })
        clearTimeout(timeColumnMobile)
        timeColumnMobile = setTimeout(() => {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElement',
                    id_element: element_id,
                    mobile: value,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        console.warn(true, "The changes have been saved.")
                    } else {
                        console.warn(false, "There was an error, please try again.")
                    }
                }
            })
        }, 2000);
    }
    /**
     * *On toggle changes Mandatory column of element in db to true or false 
     * @param id_element
     */
     function changeMandatoryElement(element) {
        var element_id = jQuery(element).parentsUntil(".elements_added").parent().find(".input_id_element").val()
        var checked = jQuery(element).is(":checked")
        if (checked) {
            updateMandatory("1")
        } else {
            updateMandatory("0")
        }
        function updateMandatory(value) {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElement',
                    mandatory: value,
                    id_element: element_id,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        showSweet(true, "The changes have been saved.")
                    } else {
                        showSweet(false, "There was an error, please try again.")
                    }
                }
            })
        }
    }
    /**
     * *On toggle changes showPriceHint column of element in db to true or false 
     * @param element_id
     */
     function changeShowPriceHintElement(element) {
        var element_id = jQuery(element).parentsUntil(".elements_added").parent().find(".input_id_element").val()
        var checked = jQuery(element).is(":checked")
        console.log(element_id)
        if (checked) {
            updateMandatory("1")
        } else {
            updateMandatory("0")
        }
        function updateMandatory(value) {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElement',
                    id_element: element_id,
                    pricehint: value,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        showSweet(true, "The changes have been saved.")
                    } else {
                        showSweet(false, "There was an error, please try again.")
                    }
                }
            })
        }
    }
    /**
     * *Onclick Deletes the condition row of db
     * @param condition_id
     */
     function deleteCondition(element) {
        return
    }
    /**
     * *Onchange if 2nd select is set to any 3rd select in codition is hidden
     */
     function changeSecondSelectCondition(element) {
        return
    }
    
     function addConditionElement(element) {
        
    }
    function insertConditionaDiv(divText = "And", hidden = true) {
        var element = `<div class="row col-xs-12 col-md-12 conditional-selection ${hidden ? "hidden" : ''}" style="padding: 0px; margin-bottom: 5px;">`
        element += '    <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;"> <span class="scc_label"'
        element += `            style="text-align:right;padding-right:10px;margin-top:5px;">${divText}</span> </div>`
        element += '    <div class="col-xs-11 col-md-11" style="padding:0px;">'
        element += '        <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">'
        element += '            <div class="item_conditionals"> <select onfocus="loadDataItemsCondition(this)"'
        element += '                    onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3"'
        element += '                    style="height: 40px;">'
        element += '                    <option style="font-size: 10px" value="0">Select an element</option>'
        element += '                </select> <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none"> </select>'
        element += '                <select class="third-conditional-step col-xs-3" style="height: 40px;display:none"> </select> <input'
        element += '                    type="number" placeholder="Number" style="height: 40px;display:none"'
        element += '                    class="conditional-number-value col-xs-2">'
        element += '                <div class="btn-group" style="margin-left: 10px;display:none"> <button'
        element += '                        onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button> '
        element += '                        <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>'
        element += '               </div>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        return element
    }
   
     function loadDataItemsCondition(element) {
        return
    }
    
     function loadSecondSelectCondition(element) {
        return
    }
    /**
     * *Adds element to db with type of slider, after sucess adds the element to dom
     * @param order,subsection_id
     */
     function addSliderElement(element) {
        showLoadingChanges()
        var subContainer = jQuery(element).parent().parent().find(".subsection-area.BodyOption")
        var idSub = jQuery(element).parent().parent().find(".input_subsection_id").val()
        var containerButtons = jQuery(element).parent()
        var count = jQuery(element).parent().parent().find(".elements_added").length + 1
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccAddElementSlider',
                id_sub: idSub,
                order: count,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var datajson = JSON.parse(data)
                if (datajson.passed == true) {
                    // falta pasar id
                    var element = insertSliderElement(datajson.id_element, datajson.id_elementitem)
                    element = jQuery(element)
                    new bootstrap.Tooltip(element.find('.with-tooltip')[0], {delay: { "hide": 300 }, trigger: 'hover focus', html: true})
                    subContainer.append(element)
                    containerButtons.hide()
                    showSweet(true, "The changes have been saved.")
                } else if (datajson.passed === false && datajson.msj === "slider already"){
                    showSweet(false, "You can have only one slider per subsection")
                }else {
                    showSweet(false, "There was an error, please try again")
                }
            }
        })
    }
    /**
     * *Adds new row range price in slider element
     * todo: to add new row range in slider is nedded the preview max value
     * todo: the min value in new row is disabled to be edited and is updated 
     * todo: when the previous element max changes
     * @param element_id, previous_max
     */
     function addNewRangeSlider(element) {
        var previousTo = jQuery(element).parent().parent().find(".price-slider-item").last().find(".scc_label.input_pad.sliderinputoption_2.scc_input").val()
        var container = jQuery(element).parent().parent().find(".price-range-container")
        // var item = newPriceRangeItem(previousTo, 5)
        previousTo = parseInt(previousTo) + 1
        var id_element = jQuery(element).parent().parent().parent().parent().find(".input_id_element").val()
        console.log(id_element)
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccAddElementItemSlider',
                id_element: id_element,
                value1: previousTo,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var datajson = JSON.parse(data)
                if (datajson.passed == true) {
                    showSweet(true, "the value has changed")
                    var item = newPriceRangeItem(previousTo, datajson.id_elementitem)
                    container.append(item)
                } else {
                    showSweet(false, "There was an error, please try again")
                }
            }
        })
        function newPriceRangeItem(previousNumber, idnewElement) {
            var item = '<div class="row col-xs-12 col-md-12 price-slider-item" style="margin-top: 10px;">'
            item += '    <input type="text" class="id_element_slider_item" value="' + idnewElement + '" hidden>'
            item += '    <div class="col-xs-4 col-md-4"><input disabled onchange="changeElementItemValue1(this)" onkeyup="changeElementItemValue1(this)" disabled type="number" min="0" class="scc_label input_pad sliderinputoption scc_input" value="' + previousNumber + '" style="width:90PX;height:40px;margin-left:12px;padding:6px;"></div>'
            item += '    <div class="col-xs-4 col-md-4"><input onchange="changeSliderToNumber(this),changeElementItemValue2(this)" onkeyup="changeSliderToNumber(this),changeElementItemValue2(this)" type="number" min="0" class="scc_label  input_pad sliderinputoption_2 scc_input" value="10" style="width:90PX;height:40px;margin-left:12px;padding:6px;"></div>'
            item += '    <div class="col-xs-4 col-md-4"><input onchange="changeElementItemValue3(this)" onkeyup="changeElementItemValue3(this)" type="number" min="0" class="scc_label  input_pad sliderinputoption_5 scc_input" value="2" style="width:90PX;height:40px;padding:6px;"><a style="cursor:pointer;padding-left:5px" onclick="deleteSliderItem(this)">X</a></div>'
            item += '</div>'
            return item
        }
    }
    /**
     * *Changes the min value of the next slider range item
     */
     function changeSliderToNumber(element) {
        reloadform()
        var number = jQuery(element).val()
        number = parseInt(number) + 1
        var input = jQuery(element).parent().parent().next("div").find(".scc_label.input_pad.sliderinputoption.scc_input")
        var id_inputChanged = jQuery(input).parent().parent().find(".id_element_slider_item").val()
        input.val(number)
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccUpElementItemSlider',
                id_element: id_inputChanged,
                value1: number,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                // var datajson = JSON.parse(data)
                // if (datajson.passed == true) {
                //     showSweet(true, "the value has changed")
                // } else {
                //     showSweet(false, "There was an error, please try again")
                // }
            }
        })
    }
    /**
     * *Deleted Slider range row
     * @param id_range
     */
     function deleteSliderItem(element) {
        var id_item = jQuery(element).parent().parent().find(".id_element_slider_item").val()
        var elementItem = jQuery(element).parent().parent()
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccDelElementItem',
                element_id: id_item,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var response = JSON.parse(data);
                if (response.passed == true) {
                    elementItem.remove()
                    showSweet(true, response.msj)
                } else {
                    showSweet(false, response.msj)
                }
            }
        })
    }
    /**
     * *Updates the column value1 of element in db 
     * !this value1 is use multiple tipe for more that one element
     * @param element_id
     */
     var timeElementitemValue1 = null
     function changeElementItemValue1(element) {
        reloadform()
        var id_elementItem = jQuery(element).parent().parent().find(".id_element_slider_item").val()
        var value = jQuery(element).val()
        jQuery(element).focusout(function() {
            timeElementitemValue1 = 0
        })
        clearTimeout(timeElementitemValue1)
        timeElementitemValue1 = setTimeout(() => {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElementItemSlider',
                    id_element: id_elementItem,
                    value1: value,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        console.warn(true, "the value has changed")
                    } else {
                        console.warn(false, "There was an error, please try again")
                    }
                }
            })
        }, 2000);
    }
    /**
     * *Updates coulmn value2 of element in db
     * !this value2 is use multiple times for more than one element
     * @param element_id
     */
     var timeElementitemValue2 = null
     function changeElementItemValue2(element) {
         reloadform()
        var id_elementItem = jQuery(element).parent().parent().find(".id_element_slider_item").val()
        var value = jQuery(element).val()
        jQuery(element).focusout(function() {
            timeElementitemValue2 = 0
        })
        clearTimeout(timeElementitemValue2)
        timeElementitemValue2 = setTimeout(() => {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElementItemSlider',
                    id_element: id_elementItem,
                    value2: value,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        console.warn(true, "the value has changed")
                    } else {
                        console.warn(false, "There was an error, please try again")
                    }
                }
            })
        }, 2000);
    }
    /**
     * *Updates column value3 of element in db
     * !this value2 is use multiple times for more than one element
     */
     var timeElementitemValue3 = null
     function changeElementItemValue3(element) {
         reloadform()
        var id_elementItem = jQuery(element).parent().parent().find(".id_element_slider_item").val()
        var value = jQuery(element).val()
        jQuery(element).focusout(function() {
            timeElementitemValue3 = 0
        })
        clearTimeout(timeElementitemValue3)
        timeElementitemValue3 = setTimeout(() => {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElementItemSlider',
                    id_element: id_elementItem,
                    value3: value,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        console.warn(true, "the value has changed")
                    } else {
                        console.warn(false, "There was an error, please try again")
                    }
                }
            })
        }, 2000);
    }
    /**
     * *Adds element to db with type checkbox after success the element is added to dom
     * @param subsection_id
     */
     function addTextHtml(element) {
        return
    }
    /**
     * *Adds element to db with type fileUpload after success the element is added to dom
     * @params subsection_id
     */
     function addFileUpload(element) {
        return
    }
    /**
     * *Adds element to db with type CustomMath after success the element is added to dom
     * @param subsection_id
     */
     function addCustomMath(element) {
        return
    }
    /**
     * *Adds element to db with type QuantityBox after success the element is added to dom
     * @param subsection_id
     */
     function addQuantityBox(element) {
        showLoadingChanges()
        var subContainer = jQuery(element).parent().parent().find(".subsection-area.BodyOption")
        var idSub = jQuery(element).parent().parent().find(".input_subsection_id").val()
        var containerButtons = jQuery(element).parent()
        var count = jQuery(element).parent().parent().find(".elements_added").length + 1
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccAddElementQuantityBox',
                id_sub: idSub,
                order: count,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var datajson = JSON.parse(data)
                if (datajson.passed == true) {
                    // falta pasar id
                    var element = insertQuantityBox(datajson.id_element)
                    element = jQuery(element)
                    new bootstrap.Tooltip(element.find('.with-tooltip')[0], {delay: { "hide": 300 }, trigger: 'hover focus', html: true})
                    subContainer.append(element)
                    containerButtons.hide()
                    showSweet(true, "The changes have been saved.")
                } else {
                    showSweet(false, "There was an error, please try again")
                }
            }
        })
    }
    /**
     * *Updates the column value4 of element in db 
     * !this value4 is use multiple times for more than one element
     */
     var timeElementValue4 = null
     function changeValue4(element) {
        var id_element = jQuery(element).closest('.elements_added').find(".input_id_element").val()
        var value = jQuery(element).val()
        var time = 2000
        //added for image button border
        if(jQuery(element).hasClass('scc_show_border')){
            value = jQuery(element).prop('checked')
            time = 0
        }
        jQuery(element).focusout(function() {
            timeElementValue4 = 0
        })
        clearTimeout(timeElementValue4)
        timeElementValue4 = setTimeout(() => {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElement',
                    id_element: id_element,
                    value4: value,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        showSweet(true, "The value has changed")
                    } else {
                        showSweet(false, "There was an error, please try again")
                    }
                }
            })
        }, time);
    }
    /**
     * *Updates the column value3 of element in db 
     * !this value3 is use multiple times for more than one element
     * @param element_id
     */
     var timeElementValue3
     function changeValue3(element) {
        reloadform()
        var id_element = jQuery(element).parent().parent().parent().parent().parent().find(".input_id_element").val()
        var value = jQuery(element).val()
        jQuery(element).focusout(function() {
            timeElementValue3 = 0
        })
        clearTimeout(timeElementValue3)
        timeElementValue3 = setTimeout(() => {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElement',
                    id_element: id_element,
                    value3: value,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        console.warn(true, "The placeholder has changed")
                    } else {
                        console.warn(false, "There was an error, please try again")
                    }
                }
            })
        }, 2000);
    }
    /**
     * *Updates the column value2 of element in db 
     * !this value2 is use multiple times for more than one element
     * @param element_id
     */
     var timeElementValue2 = null
     function changeValue2(element) {
        reloadform()
        var id_element = jQuery(element).parent().parent().parent().parent().parent().find(".input_id_element").css("background-color", "red").val()
        var value = jQuery(element).val()
        jQuery(element).focusout(function() {
            timeElementValue2 = 0
        })
        var tt = jQuery(element).attr('data-type') 
        clearTimeout(timeElementValue2)
        timeElementValue2 = setTimeout(() => {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElement',
                    id_element: id_element,
                    value2: value,
                    nonce: pageEditCalculator.nonce,
                    tt
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        console.warn(true, "the value has changed")
                    } else {
                        console.warn(false, "There was an error, please try again")
                    }
                }
            })
        }, 2000);
    }
    /**
     * *Adds element to db with type CommentBox after success the element is added to dom
     * @param subsection_id
     */
     function addCommentBoxElement(element) {
        showLoadingChanges()
        var subContainer = jQuery(element).parent().parent().find(".subsection-area.BodyOption")
        var idSub = jQuery(element).parent().parent().find(".input_subsection_id").val()
        var containerButtons = jQuery(element).parent()
        var count = jQuery(element).parent().parent().find(".elements_added").length + 1
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccAddElementCommentBox',
                id_sub: idSub,
                order: count,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var datajson = JSON.parse(data)
                if (datajson.passed == true) {
                    // falta pasar id
                    var element = insertCommentBoxElement(datajson.id_element)
                    element = jQuery(element)
                    new bootstrap.Tooltip(element.find('.with-tooltip')[0], {delay: { "hide": 300 }, trigger: 'hover focus', html: true})
                    subContainer.append(element)
                    containerButtons.hide()
                    showSweet(true, "The changes have been saved.")
                } else {
                    showSweet(false, "There was an error, please try again")
                }
            }
        })
    }
    /**
     * *Adds element to db with type Checkbox and value1 with the type of checkbox
     * todo: the values for type are: 6 - simple buttons, 1 - Checkbox circle (animated 1)
     * todo: 5 - Checkbox circle (animated 2), 2 - Checkbox Animated, 3 - Toggle Swicht (Rectangle)
     * todo: 4 - Toggle Switch (Circle), 7 - Radio (Single Choice) 
     * todo: 8 - Image button
     * !this types are also passed with the bottons in view
     * @param subsection_id
     */
     function addCheckboxElement(element, type) {
        showLoadingChanges()
        var subContainer = jQuery(element).parent().parent().find(".subsection-area.BodyOption")
        var idSub = jQuery(element).parent().parent().find(".input_subsection_id").val()
        var containerButtons = jQuery(element).parent()
        var count = jQuery(element).parent().parent().find(".elements_added").length + 1
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccAddElementCheckbox',
                id_sub: idSub,
                order: count,
                type: type,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var datajson = JSON.parse(data)
                if (datajson.passed == true) {
                    var element = insertCheckboxElement(datajson.id_element, datajson.id_element_item, type)
                    element = jQuery(element)
                    new bootstrap.Tooltip(element.find('.with-tooltip')[0], {delay: { "hide": 300 }, trigger: 'hover focus', html: true})
                    subContainer.append(element)
                    containerButtons.hide()
                    showSweet(true, "The changes have been saved.")
                } else {
                    showSweet(false, "There was an error, please try again")
                }
            }
        })
    }
    /**
     * *Adds elementItems of element to db  
     * @params element_id
     */
     function addCheckboxItems(element) {
         showLoadingChanges()
        var container = jQuery(element).parent().find(".selectoption_2")
        var id_element = jQuery(element).parent().parent().find(".input_id_element").val();
        var count = jQuery(container).find(".selopt3").length + 1
        var ocho = jQuery(element).closest("img")
        var type = jQuery(element).closest('.elements_added').find('select').val()
        console.log(type)
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccAddCheckboxItems',
                element_id: id_element,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var response = JSON.parse(data);
                if (response.passed == true) {
                    var newElementitem = newElementItemCheckbox(response.id_element, count,type);
                    container.append(newElementitem)
                    showSweet(true, response.msj)
                } else {
                    showSweet(false, response.msj)
                }
                console.log(response.msj)
            }
        })
    }
    /**
     * *Updates the column value1 of element in db 
     * !this value1 is use multiple times for more than one element
     * @param element_id
     */
     function changeValue1(element) {
        var selected = jQuery(element).val()
        //added to change element header on change
        var elementHeader = ''
        switch(selected){
            case '1' : case '5' : case '2' : elementHeader = 'Checkbox' 
                break
            case '6' : elementHeader = 'Simple button' 
                break
            case '3' : case '4' : elementHeader = 'Toggle Switch' 
                break
            case '7' : elementHeader = 'Radio' 
                break
            case '8' : elementHeader = 'Image Button'  
                break
            default : elementHeader = 'Checkbox / Toggle / Button'
                break
        }
        jQuery(element).closest('.elements_added').find('.scc-title-type-element').html(elementHeader)
        if(selected == 8){
            jQuery(element).closest('.elements_added').find('.checkbox-image').css('display','')
            jQuery(element).closest('.elements_added').find('.image-button-border').css('display','')
        }else{
            jQuery(element).closest('.elements_added').find('.checkbox-image').css('display','none')
            jQuery(element).closest('.elements_added').find('.image-button-border').css('display','none')
        }
        var id_element = jQuery(element).parent().parent().parent().parent().find(".input_id_element").val()
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccUpElement',
                id_element: id_element,
                typecheckbox: selected,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var datajson = JSON.parse(data)
                if (datajson.passed == true) {
                    showSweet(true, "The changes have been saved.")
                } else {
                    showSweet(false, "There was an error, please try again")
                }
            }
        })
    }
    /**
     * *Adds element to db with type of Dropdown
     * @param subsection_id
     */
     function addDropdownMenuElement(element) {
        showLoadingChanges()
        var subContainer = jQuery(element).parent().parent().find(".subsection-area.BodyOption")
        var idSub = jQuery(element).parent().parent().find(".input_subsection_id").val()
        var containerButtons = jQuery(element).parent()
        var count = jQuery(element).parent().parent().find(".elements_added").length + 1
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccAddElementDropdownMenu',
                id_sub: idSub,
                order: count,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var datajson = JSON.parse(data)
                if (datajson.passed == true) {
                    var element = insertDropdownElement(datajson.id_element, datajson.id_element_item)
                    element = jQuery(element)
                    new bootstrap.Tooltip(element.find('.with-tooltip')[0], {delay: { "hide": 300 }, trigger: 'hover focus', html: true})
                    subContainer.append(element)
                    containerButtons.hide()
                    showSweet(true, "The changes have been saved.")
                } else {
                    showSweet(false, "There was an error, please try again")
                }
            }
        })
    }
    /**
     * *Updates the title of the elements
     * todo: Not all elements have title
     * @param element_id
     */
     var timeTitledropdown = null
     function clickedTitleElement(element) {
        reloadform()
        var id_element = jQuery(element).parent().parent().parent().parent().find(".input_id_element").val()
        var title_element_dom = jQuery(element).parent().parent().parent().parent().find(".element-description")
        var text = jQuery(element).val()
        var truncatedText = truncateElementTitle(text, 30)
        jQuery(title_element_dom).text(truncatedText)
        jQuery(element).focusout(function() {
            timeTitledropdown = 0
        });
        clearTimeout(timeTitledropdown)
        timeTitledropdown = setTimeout(() => {
            if (text == "") {
                showSweet(false, "the title is empty")
                return
            }
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElement',
                    id_element: id_element,
                    title: text,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    var datajson = JSON.parse(data)
                    if (datajson.passed == true) {
                        console.warn(true, "The changes have been saved.")
                    } else {
                        console.warn(false, "There was an error, please try again")
                    }
                }
            })
        }, 2000);
    }
    /**
     * *Updates name elementItem of DropdownElement 
     * @param elementItem_id
     */
     var titmeNameElementItem = null 
     function changeNameElementItem(element) {
         reloadform()
        var id_elemntItem = jQuery(element).parent().parent().find(".swichoptionitem_id").val()
        jQuery(element).focusout(function() {
            titmeNameElementItem = 0
        });
        var name = jQuery(element).val()
        clearTimeout(titmeNameElementItem)
        titmeNameElementItem = setTimeout(() => {
            // showLoadingChanges()
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElementItemSwichoption',
                    id_elementitem: id_elemntItem,
                    name: name,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    if (data.passed == true) {
                        console.warn(true, "The changes have been saved.")
                    } else {
                        console.error(false, "There was an error, please try again")
                    }
                }
            })
        }, 2000);
    }
    /**
     * *Updates description elementItem of Dropdown 
     * @param elementItem_id
     */
     var timeDescriptionElementItem = null
     function changeDescriptionElementItem(element) {
        reloadform()
        var id_elemntItem = jQuery(element).parent().parent().find(".swichoptionitem_id").val()
        var description = jQuery(element).val();
        jQuery(element).focusout(function() {
            timeDescriptionElementItem = 0
        })
        clearTimeout(timeDescriptionElementItem)
        timeDescriptionElementItem = setTimeout(() => {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElementItemSwichoption',
                    id_elementitem: id_elemntItem,
                    description: description,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    if (data.passed == true) {
                        console.warn(true, "The changes have been saved.")
                    } else {
                        console.warn(false, "There was an error, please try again")
                    }
                }
            })
        }, 2000);
    }
    /**
     * *Updates price elementItem of DropdownElement
     * @param elementItem_id
     */
     var timePriceElementItem = null 
     function changePriceElementItem(element) {
        reloadform()
        var id_elemntItem = jQuery(element).parent().parent().find(".swichoptionitem_id").val()
        var price = jQuery(element).val()
        jQuery(element).focusout(function() {
            timePriceElementItem = 0
        })
        clearTimeout(timePriceElementItem)
        timePriceElementItem = setTimeout(() => {
            jQuery.ajax({
                url: ajaxurl,
                cache: false,
                data: {
                    action: 'sccUpElementItemSwichoption',
                    id_elementitem: id_elemntItem,
                    price: price,
                    nonce: pageEditCalculator.nonce
                },
                success: function(data) {
                    if (data.passed == true) {
                        console.warn(true, "The changes have been saved.")
                    } else {
                        console.warn(false, "There was an error, please try again")
                    }
                }
            })
        }, 2000);
    }
    /**
     * *Updates column default elementItems in db
     * @param {boolean} multi
     * @param {dom} element
     * !two types multiple and single
     */
     function setDefaultOption(element, multi = true) {
        let optBtn = jQuery(element)
        optBtn.attr("data-selected") ? optBtn.css("background-color", "#f8f9ff").removeAttr('data-selected').attr('data-tooltip', 'Click me make this option default.') : optBtn.css('background-color', '#56b665').removeAttr('data-tooltip').attr('data-selected', true)
        var id_elementitem = jQuery(element).parent().find(".swichoptionitem_id").val()
        var id_element = 0
        //check if radius or dropdown to allow multiple default options
        if (multi == false) {
            optRoot = jQuery(element).closest(".scc-element-content[value='selectoption']")
            opts = optRoot.find('.col-xs-2.col-md-2.tooltipadmin-left').not(element)
            opts.css("background-color", "#f8f9ff").removeAttr('data-selected').attr('data-tooltip', 'Click me make this option default.')
            id_element = jQuery(element).closest(".elements_added").find(".input_id_element").val()
        }
        var isDef = optBtn.attr("data-selected")
        isDef = (isDef == "true") ? 1 : isDef = 0
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccUpElementItemSwichoption',
                id_elementitem: id_elementitem,
                id_element: id_element,
                default: isDef,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                if (data.passed == true) {
                    showSweet(true, "The changes have been saved.")
                } else {
                    showSweet(false, "There was an error, please try again")
                }
            }
        })
    }
    /**
     * *Loads to dom selected image of slider dropdown elementitem   
     */
     function choseImageElementItem(element) {
        event.preventDefault();
        formField = jQuery(element);
        if (window.hasOwnProperty('mediaUploader')) {
            mediaUploader.open();
            return;
        }
        mediaUploader = wp.media.frames.file_frame = wp.media({
            title: 'Choose Image',
            button: {
                text: 'Choose Image'
            },
            multiple: false
        });
        mediaUploader.on("select", onEditFormMediaImageSelect);
        mediaUploader.open();
    }
    /**
     * *Update value1 column of elementItems in db with selected image in dropdown
     * @param elementItem_id
     */
     function onEditFormMediaImageSelect() {
        var attachment = mediaUploader.state().get('selection').first().toJSON()
        var field = formField;
        field.attr('src', attachment.sizes.thumbnail.url);
        var src = field.attr("src")
        var id_elementitem = jQuery(field).parent().parent().find(".swichoptionitem_id").val()
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccUpElementItemSwichoption',
                id_elementitem: id_elementitem,
                image: src,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                if (data.passed == true) {
                    showSweet(true, "The changes have been saved.")
                } else {
                    showSweet(false, "There was an error, please try again")
                }
            }
        })
    }
    /**
     * *deletes value1 of elementItem in db when dropdown image is removed
     * @param elementItem_id
     */
     function removeDropdownImage(element) {
        var id_element = jQuery(element).parent().parent().find(".swichoptionitem_id").val()
        var img = jQuery(element).parent().find(".scc-image-picker")
        var image_url = jQuery(element).parent().find(".scc-image-picker").attr("src")
        image_url = image_url.split("/")
        image_url = image_url[image_url.length - 1]
        if (image_url.trim() == "image.png") {
            showSweet(false, "The image is empty")
            return
        }
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccUpElementItemSwichoption',
                id_elementitem: id_element,
                image: null,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                if (data.passed == true) {
                    showSweet(true, "The changes have been saved.")
                    jQuery(img).attr("src", "<?php echo esc_url(SCC_ASSETS_URL . "/images/image.png") ?>")
                } else {
                    showSweet(false, "There was an error, please try again")
                }
            }
        })
    }
    /**
     * *Adds section and subsection in db after success the section and subsection is added to dom
     * @param form_id, order
     */
     function addSectionSubsectionElement() {
        showLoadingChanges()
        var numberSections = jQuery("body").find("#allinputstoadd").find(".addedFieldsStyle").length;
        var container = jQuery("body").find("#allinputstoadd")
        var order = numberSections + 1;
        var id_form = jQuery("#id_form_input").val();
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccSaveSection',
                id_form: id_form,
                order: order,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var response = JSON.parse(data);
                console.log(response)
                if (response.passed == true) {
                    var id_newSection = response.id_section;
                    var id_newSubsection = response.id_subsection;
                    var newSection = insertSection(id_newSection, id_newSubsection);
                    container.append(newSection)
                    // agregamos a dom si no mostramos un error para que actualize
                    showSweet(true, response.msj)
                } else {
                    showSweet(false, response.msj)
                }
                console.log(response.msj)
            }
        })
    }
    /**
     * *Adds subsection in db after success the its added to dom
     * @param section_id, order
     */
     function addSubSectionElement(element) {
        showLoadingChanges()
        // var tag = jQuery(element).parent().parent().parent().find(".boardOption").last().css("background-color","red")
        var containerAfter = jQuery(element).closest(".fieldDatatoAdd").parent().find(".boardOption").last() //ADD AFTER THIS
        var numberofsubsections = jQuery(element).parent().parent().parent(".fieldDatatoAdd").find(".boardOption").length;
        var ordersubsection = numberofsubsections + 1;
        var sectionid = jQuery(element).parent().parent().parent().parent().find(".id_section_class").val();
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccAddSubsection',
                order: ordersubsection,
                section_id: sectionid,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                console.log(data)
                var response = JSON.parse(data);
                if (response.passed == true) {
                    var id_newSubsection = response.id_subsection;
                    var newSubsection = insertSubSection(id_newSubsection);
                    if(containerAfter.length <=0){
                        containerAfter = jQuery(element).closest(".fieldDatatoAdd")                        
                        containerAfter.prepend(newSubsection)
                    }else{
                        jQuery(newSubsection).insertAfter(containerAfter)
                    }
                    // agregamos a dom si no mostramos un error para que actualize
                    showSweet(true, response.msj)
                } else {
                    showSweet(false, response.msj)
                }
                console.log(response.msj)
            }
        })
    }
    /**
     * *show success toast message after any change in element
     * !this is mage with sweetalert2 lib, needs to be loaded
     * todo: if there is any error in update shows error toast message
     */
     function showSweet(respuesta, message) {
        if (respuesta) {
            Swal.fire({
                toast:true,
                title: message,
                icon: "success",
                showConfirmButton: false,
                timer: 3000,
                position: 'top-end',
                background: 'orange',
            })
            var id_form = jQuery("#id_scc_form_").val()
            jQuery(".preview_form_right_side").html(`<div class="df-scc-progress df-scc-progress-striped active">
				<div class="df-scc-progress-bar" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="background-color: orange; width: 100%">
				</div>
				</div>`);
            loadPreviewForm(id_form)
        } else {
            Swal.fire({
                toast:true,
                title: message,
                icon: "error",
                showConfirmButton: false,
                timer: 5000,
                position: 'top-end',
                background: 'orange',
            })
        }
    }
    /**
     * *Adds elementItem to dropdown element after success its added to dom
     * @param element_id
     */
     function addOptiontoSelect(element) {
         showLoadingChanges()
        var container = jQuery(element).parent().find(".selectoption_2")
        var id_element = jQuery(element).parent().parent().find(".input_id_element").val();
        var count = jQuery(container).find(".selopt3").length + 1
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccAddElementSwichoption',
                element_id: id_element,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var response = JSON.parse(data);
                if (response.passed == true) {
                    var id_newelementitem = response.element_id;
                    var newElementitem = newElementitemDropdown(id_newelementitem, count);
                    container.append(newElementitem)
                    showSweet(true, response.msj)
                } else {
                    showSweet(false, response.msj)
                }
                console.log(response.msj)
            }
        })
    }
    /**
     * *Shows/hides advance option content of elements
     */
     function showAdvanceoptions(element) {
        var advance = jQuery(element).next(".scc-content")
        advance.toggle();
    }
    /**
     * *Shows/hides conditional content of elements
     */
     function showConditionaLogic(element) {
        var conditional = jQuery(element).next(".scc-content")
        conditional.toggle();
    }
    var array = <?php echo isset($f1->formstored) ? json_encode($f1->formstored) : json_encode([]) ?>;
    console.log(array);
    jQuery.each(array, (i, value) => {
        console.log(i);
        console.log(value);
        var sec = populate_sections(value.name, value.desc);
        // console.log(sec);
        //jQuery("#opopi").append(sec);
    });
    /**
     * *Deletes element of database after success its deleted of dom
     * @param element_id
     */
     function removeElement(element1) {
        showLoadingChanges()
        var element = jQuery(element1).closest(".elements_added");
        var id_element = jQuery(element).find(".input_id_element").val();
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccDelElement',
                element_id: id_element,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var response = JSON.parse(data);
                if (response.passed == true) {
                    element.remove()
                    // agregamos a dom si no mostramos un error para que actualize
                    showSweet(true, response.msj)
                } else {
                    showSweet(false, response.msj)
                }
                console.log(response.msj)
            }
        })
    }
    /**
     * *Deletes elementitem of dropdown element after success its deleted of dom
     * @param element_id
     */
     function removeSwitchOptionDropdown(element) {
        var elementitem = jQuery(element).closest(".selopt3")
        var idElementItem = jQuery(elementitem).find(".swichoptionitem_id").val()
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccDelElementItem',
                element_id: idElementItem,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var response = JSON.parse(data);
                if (response.passed == true) {
                    elementitem.remove()
                    showSweet(true, response.msj)
                } else {
                    showSweet(false, response.msj)
                }
            }
        })
    }
    /**
     * *Shows/hides add elements buttons 
     */
     function togglebuttonsadd(element) {
        var groupButtons = jQuery(element).closest('div').next('div');
        groupButtons.toggle();
    }
    /**
     * *Collapses/extends elements
     */
     function collapseElement(item) {
        var s = jQuery(item).closest('.elements_added').find(".scc-element-content");
        s.slideToggle(function() {
            if (jQuery(this).is(":visible")) {
                jQuery(this).parent().css('border', '2px solid rgb(138, 153, 248)')
            } else {
                jQuery(this).parent().css('border', '')
            }
        });
        jQuery(item).text(function(index, text) {
            return text === "add" ? "remove" : "add";
        });
    }
    /**
     * *Shows section settings 
     */
     function settingsIconShow(settingsIcon) {
        jQuery(settingsIcon).next().removeClass('scc-accordion-tooltip-hidden')
    }
    /**
     * *Hides section settings
     */
     function settingsIconHide(settingsIcon) {
        jQuery(settingsIcon).parent().parent().parent().find('.scc-accordion-container').each(function(index, ob) {
            jQuery(ob).toggleClass('scc-accordion-tooltip-hidden scc-accordion-tooltip-hidden scc-accordion-tooltip-hidden')
        })
    }
    /**
     * *Deletes section in db after success its deleted from dom
     * @param section_id
     */
     function removeSection(section1) {
        showLoadingChanges()
        // REMOVE FROM DOM AND FROM DB
        var section = jQuery(section1).parent().parent(".addedFieldsStyle");
        var id_section = jQuery(section).find(".id_section_class").val();
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccDelSection',
                id_section: id_section,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var response = JSON.parse(data);
                if (response.passed == true) {
                    section.remove();
                    // agregamos a dom si no mostramos un error para que actualize
                    showSweet(true, response.msj)
                } else {
                    showSweet(false, response.msj)
                }
                // console.log(response.msj)
            }
        })
    }
    /**
     * *Removes subsection in db after success its deleted from dom
     */
     function removeSubsection(element) {
        showLoadingChanges()
        var id_subsection = jQuery(element).parent().parent().find(".input_subsection_id").val();
        // its removing the fist subsection istead of the section corespondant
        var subsection = jQuery(element).parent().parent(".boardOption")
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action: 'sccDelSubsection',
                id_subsection: id_subsection,
                nonce: pageEditCalculator.nonce
            },
            success: function(data) {
                var response = JSON.parse(data);
                if (response.passed == true) {
                    subsection.remove();
                    // agregamos a dom si no mostramos un error para que actualize
                    showSweet(true, response.msj)
                } else {
                    showSweet(false, response.msj)
                }
            }
        })
    }
    /**
     * *It moves section down
     * !its not implemented yet with db, must be implemented
     * ?this only changes in dom
     */
     function rdown($this) {
        var wrapper = jQuery($this).closest('.addedFieldsStyle'); //.closest('div');
        wrapper.insertAfter(wrapper.next());
    }
    /**
     * *Checkbox element to be inserted in dom after success insert in db
     * @param element_id, order
     */
     function newElementItemCheckbox(idnewitem, count,type) {
        var item = '<div class="row m-0 selopt3 col-md-12 col-xs-12" style="margin-bottom:5px;padding:0px">'
        item += '    <div class="row p-0 m-0 mt-2 col-md-11 col-xs-11">'
        item += '        <input class="swichoptionitem_id" type="text" value="' + idnewitem + '" hidden="">'
        item += '        <div class="col-xs-2 col-md-2 tooltipadmin-left" onclick="setDefaultOption(this)" id="dropdownOpt" style="padding: 0px; background: #f8f9ff; height: 40px;" data-tooltip="Click me make this option default.">'
        item += '            <label class="" style="float: none;margin-top:10px;font-size:14px;font-weight: normal;">' + count + '</label>'
        item += '        </div>'
        item += '        <div class="col-md-7 col-xs-7" style="padding: 0px 5px 0px 1px;">'
        item += '            <input type="text" onkeyup="changeNameElementItem(this)" class="input_pad inputoption" style="width:100%;height:40px;" value="Name" placeholder="Product or service name">'
        item += '        </div>'
        item += '        <div class="col-md-3 col-xs-3" style="padding:0px">'
        item += '            <input type="number" onchange="changePriceElementItem(this)" onkeyup="changePriceElementItem(this)" class="input_pad inputoption_2" style="width:100%;text-align:center;height:40px;" placeholder="Price" value="10">'
        item += '        </div>'
        item += '        <div class="col-md-1 col-xs-1" style="padding:0px;">'
        item += '        </div>'
        item += '    </div>'
        item += '    <div class="col-md-1 col-xs-1" style="padding-left:0">'
        item += '        <button onclick="removeSwitchOptionDropdown(this)" style="height:40px;width:100%;padding-left:0; border: none; background:#fff;"><i class="fa fa-trash"></i></button>'
        item += '    </div>'
         // <!-- Added for image button -->    
        item += '<div class="col-md-2 col-xs-2 checkbox-image" style="padding:5px;'
        if(type!=8){
            item += 'display:none' 
        }
        item += '">'
        item += '    <img class="scc-image-picker" style="height: 50px;width:50px;object-fit:contain;" onclick="choseImageElementItem(this)" src="<?php echo esc_url(SCC_URL . '/assets/images/image.png'); ?>" title="Pick an image. Please choose an image with a 1:1 aspect ratio for best results.">'
        item += '    <span class="scc-dropdown-image-remove" onclick="removeDropdownImage(this)">x</span>'
        item += '</div>'
        // <!-- Added for image button -->   
        item += '</div>'
        return item;
    }
    /**
     * *Dropdown element to be inserted in dom after success insert in db
     * @param element_id, order
     */
     function newElementitemDropdown(idnewitem, count) {
        var item = '<div class="row m-0 selopt3 col-md-12 col-xs-12" style="margin-top:10px;padding:0px">'
        item += '    <div class="row p-0 m-0 col-md-11 col-xs-11">'
        item += '        <input class="swichoptionitem_id" type="text" value="' + idnewitem + '" hidden>'
        item += '        <div class="col-xs-2 col-md-2 tooltipadmin-left" onclick="setDefaultOption(this,false)" id="dropdownOpt" data-tooltip="Click to make this option default." style="padding:0px;background:#f8f9ff;height:40px;">'
        item += '            <label class="" style="float: none;margin-top:10px;font-size:14px;font-weight: normal;">' + count + '</label>'
        item += '        </div>'
        item += '        <div class="col-md-7 col-xs-7" style="padding: 0px 5px 0px 1px;">'
        item += '            <input type="text" onkeyup="changeNameElementItem(this)" class="input_pad inputoption" style="width:100%;height:40px;" value="Name of product" placeholder="Product or service name">'
        item += '        </div>'
        item += '        <div class="col-md-3 col-xs-3" style="padding:0px">'
        item += '            <input type="number" onchange="changePriceElementItem(this)" onkeyup="changePriceElementItem(this)" class="input_pad inputoption_2" style="width:100%;text-align:center;height:40px;" placeholder="Price" value="10">'
        item += '        </div>'
        item += '        <span class="col-xs-0 col-md-2">'
        item += '            <img class="scc-image-picker" style="height: 80px;width:80px" onclick="choseImageElementItem(this)" src="<?php echo esc_url(SCC_ASSETS_URL . "/images/image.png") ?>" title="Pick an image. Please choose an image with a 1:1 aspect ratio for best results."><span class="scc-dropdown-image-remove" onclick="removeDropdownImage(this)">x</span>'
        item += '        </span>'
        item += '        <div class="col-md-9 col-xs-9" style="padding:0px; padding-right:5px; margin-top:5px;">'
        item += '            <textarea onkeyup="changeDescriptionElementItem(this)" class="input_pad inputoption_desc" style="width:100%;height:75px;" placeholder="Description">Description example</textarea>'
        item += '        </div>'
        item += '        <div class="col-md-1 col-xs-1" style="padding:0px;">'
        item += '        </div>'
        item += '    </div>'
        item += '    <div class="col-md-1 col-xs-1" style="padding-left: 0;">'
        item += '       <button onclick="removeSwitchOptionDropdown(this)" style="height:40px;width:100%; padding-left: 0; border: none; background:#fff;"><i class="fa fa-trash"></i></button>'
        item += '    </div>'
        item += '</div>'
        return item;
    }
    /**
     * *Subsection to be inserted in dom after success insert in db
     * @param subsection id
     */
     function insertSubSection(idsubsection) {
        var subs = '                            <div class="boardOption">'
        subs += '                                <input class="input_subsection_id" type="text" value="' + idsubsection + '" hidden="">'
        subs += '                                <div class="scc_subsection">'
        subs += '                                    <button id="close-btn" class="collapsible" href="javascript:void(0)" onclick="removeSubsection(this)" style="float:right; font-size:20px;">x</button>'
        subs += '                                    <button class="collapsible subsect-title">Subsection </button>'
        subs += '                                    <div class="scc_help_btn_right" style="left:26px;float:right;top:23px;font-size:18px;"><a href="#" style="padding-left:10px;color:black;" class="tooltipadmin-right" data-tooltip="Use subsections to control which elements a slider has an effect on. Note: You can only add one slider per subsection.">'
        subs += '                                            <img src="<?php echo esc_url(SCC_URL . '/assets/images/info-icon-scc.png'); ?>" alt="Info Icon" height="15px;"> </a></div>'
        subs += '                                </div>'
        subs += ''
        subs += '                                <div class="subsection-area BodyOption ">'
        subs += '                                                                        <!-- ELEMENTS SHOWS HERE -->'
        subs += '                                </div>'
        subs += '                                 <!-- BUTTONS AREA -->'
        subs += '                                  <div class="scc-col-md-12 scc-col-xs-12">'
        subs += '                                      <label class="scc_label_2" style="margin-top:15px;margin-right: 0px !important;padding: 8px;background:#314af3;margin-top: 20px;border-radius:6px;">'
        subs += '                                          <a style="color:white" class="add-element-btn save_button" onclick="togglebuttonsadd(this)">'
        subs += '                                              + Add Element'
        subs += '                                          </a>'
        subs += '                                      </label>'
        subs += '                                  </div>'
        subs += '                                  <div class="df_scc_groupbuttonsadd scc-col-md-12 scc-col-xs-12" style="margin:15px; display:none ">'
        subs += '                                      <button value="dropdowninput" class="scc_button btn-backend" onclick="addDropdownMenuElement(this)"><i class="far fa-list-alt" style="padding-top:3px;font-size:13px;"></i>'
        subs += '                                          <div class="btn-backend-text">DropDown</div>'
        subs += '                                      </button>'
        subs += '                                      <button value="switchinput" class="scc_button btn-backend" onclick="addCheckboxElement(this,1)"><i class="far fa-check-square" style="padding-top:3px;font-size:13px;"></i>'
        subs += '                                          <div class="btn-backend-text">Checkbox</div>'
        subs += '                                      </button>'
        subs += '                                      <button value="switchinput" class="scc_button btn-backend" onclick="addCheckboxElement(this,3)"><i class="fas fa-toggle-off" style="padding-top:3px;font-size:13px;"></i>'
        subs += '                                          <div class="btn-backend-text">Toggle Switch</div>'
        subs += '                                      </button>'
        subs += '                                      <button value="switchinput" class="scc_button btn-backend" onclick="addCheckboxElement(this,6)"><i class="far fa-rectangle-wide" style="margin-top:5px;font-size:13px;width:26px;height: 9px;background-color: white;"></i>'
        subs += '                                          <div class="btn-backend-text">Simple Button </div>'
        subs += '                                      </button>'
        subs += '                                    <button value="switchinput" class="scc_button btn-backend" onclick="addCheckboxElement(this,8)"><i class="fas fa-image" style="font-size:13px;"></i>'
        subs += '                                        <div class="btn-backend-text">Image Button </div>'
        subs += '                                    </button>'
        subs += '                                      <button class="scc_button btn-backend" onclick="addSliderElement(this)"><i class="fas fa-sliders-h" style="padding-top:3px;font-size:13px;"></i>'
        subs += '                                          <div class="btn-backend-text">Slider</div>'
        subs += '                                      </button>'
        subs += '                                      <input class="inputoption_slidchk" type="checkbox" onClick="addSlider(this)" style="display:none;" />'
        subs += '                                      <button value="comment_input" class="scc_button btn-backend" onclick="addCommentBoxElement(this)"><i class="fas fa-comment" style="padding-top:3px;font-size:13px;"></i>'
        subs += '                                          <div class="btn-backend-text">Comment Box</div>'
        subs += '                                      </button>'
        subs += '                                      <button value="number_input" class="scc_button btn-backend" onclick="addQuantityBox(this)"><i class="material-icons" style="padding-top:3px;font-size:13px;">exposure</i>'
        subs += '                                          <div class="btn-backend-text">Quantity Box</div>'
        subs += '                                      </button>'
        subs += '                                      <button class="scc_button btn-backend" onclick="addCustomMath(this)"><i class="fas fa-calculator" style="padding-top:3px;font-size:13px;"></i>'
        subs += '                                          <div class="btn-backend-text">Custom Math</div>'
        subs += '                                      </button>'
        subs += '                                      <button value="file_input" class="scc_button btn-backend" onclick="addFileUpload(this)"><i class="fas fa-paperclip" style="padding-top:3px;font-size:13px;"></i>'
        subs += '                                          <div class="btn-backend-text">File Upload</div>'
        subs += '                                      </button>'
        subs += '                                      <button value="custom_code" class="scc_button btn-backend" onclick="addTextHtml(this)"><i class="fas fa-code" style="padding-top:3px;font-size:13px;"></i>'
        subs += '                                          <div class="btn-backend-text">Text/HTML Field</div>'
        subs += '                                      </button>'
        subs += '                                      <br>'
        subs += '                                      <span style="font-size:13px;margin-top:5px;">Add 1 or more elements to this subsection</span>'
        subs += '                                      <input class="scc_custom_math_checkbox" type="checkbox" style="display:none;" />'
        subs += '                                  </div>'
        subs += '                            </div>'
        return subs;
    }
    /**
     * *Section to be inserted in dom after success insert in db
     * @param section_id, subsection_id
     */
     function insertSection(idsection, idsubsection) {
        var section = '        <div class="addedFieldsStyle" style="display:grid;" id="Sccvo_0">'
        section += '                    <input class="id_section_class" type="text" value="' + idsection + '" hidden="">'
        section += '                    <div id="title54-bar-btns">'
        section += '                        <button id="settings-btn" class="btnn material-icons" href="javascript:void(0)" onclick="settingsIconShow(this)" style="line-height: 40px; float: left; margin-left: 25px;">settings</button>'
        section += '                        <div class="scc-accordion-container scc-accordion-tooltip-hidden" style="display:inline-block;width: 50%">'
        section += '                            <div class="scc-accordion-tooltip-left-arrow" style="top: -22px;"></div>'
        section += '                            <div class="scc-accordion-tooltip scc-accordion-content">'
        section += '                                <button onclick="settingsIconHide(this)" class="scc-accordion-btn-close"></button>'
        section += '                                <!-- SETTINGS TOOGLE -->'
        section += '                                <p>'
        section += '                                <label class="scc-accordion_switch_button">'
        section += '                                    <input class="scc_accordion_section" onchange="changeAccordion(this)" name="scc_accordion_section" type="checkbox" value="yes">'
        section += '                                    <span class="scc-accordion_toggle_button round"></span>'
        section += '                                </label>'
        section += '                                Accordion'
        section += '                                </p>'
        section += '                                <p>'
        section += '                                <label class="scc-accordion_switch_button">'
        section += '                                    <input class="scc-section-total" onchange="changeShowSectionTotal(this)" name="scc-section-total" type="checkbox">'
        section += '                                    <span class="scc-accordion_toggle_button round"></span>'
        section += '                                </label>'
        section += '                                Show Section Total'
        section += '                                </p>'
        section += '                            </div>'
        section += '                        </div>'
        section += '                        <button id="close-btn" class="btnn material-icons" href="javascript:void(0)" onclick="removeSection(this)" style="line-height: 34px;width: 39px">close</button>'
        section += '                        <button id="down-btn" class="btnn material-icons down" style="display: block; line-height: 34px; width: 39px;" href="javascript:void(0)" onclick="rdown(this)">arrow_drop_down</button>'
        section += '                        <button id="up-btn" class="btnn material-icons up" style="display: none; line-height: 34px;width: 39px;" href="javascript:void(0)" onclick="rup(this)">arrow_drop_up</button>'
        section += '                    </div>'
        section += '                    <!-- TITLE -->'
        section += '                    <div class="title_section_no_edit_container" style="margin-top:30px;">'
        section += '                        <div class="scc-col-md-1" style="padding:0px;margin-right:5px;">'
        section += '                            <img style="cursor: pointer" onclick="toggleEditTitle(this)" src="<?php echo esc_url(SCC_URL . '/assets/images/pen-blue.png') ?>" width="15">'
        section += '                        </div>'
        section += '                        <div class="scc-col-md-11" style="padding:0px">'
        section += '                            <p style="margin-top:-5px; font-size: 24px" class="title_section_no_edit">'
        section += '                                Section title </p>'
        section += '                        </div>'
        section += '                    <div style="vertical-align: middle; margin-left:4px">'
        section += '                        <input value="section" onkeyup="changeTitleSection(this)" type="text" class="input_pad sectiontitle scc_edit_section_input" placeholder="Section Title" value="" style="border: none !important;box-shadow: none !important;outline: 0;border-radius:10px;margin-top:10px;width: 350px;height: 50px;margin-bottom:10px;display:none">'
        section += '                        <span class="mandatory" style="display:none">*</span>'
        section += '                    </div>'
        section += '                    </div>'
        section += '                    <!-- DESCRIPTION -->'
        section += '                    <div class="description_section_no_edit_container" style="margin-top:10px">'
        section += '                        <div class="scc-col-md-1" style="padding:0px;margin-right:5px;">'
        section += '                            <img style="cursor: pointer" onclick="toggleEditDescription(this)" src="<?php echo esc_url(SCC_URL . '/assets/images/pen-blue.png') ?>" width="15">'
        section += '                        </div>'
        section += '                        <div class="scc-col-md-11" style="padding:0px">'
        section += '                            <p style="margin-top:2px; font-size: 14px" class="description_section_no_edit">'
        section += '                                Section description </p>'
        section += '                        </div>'
        section += '                    <textarea onkeyup="changeDescriptionSection(this)" class="input_pad sectionDescription scc_section_description_textarea" placeholder="Description of the products/services that will be listed below. (Optional)" style="background: rgb(255, 255, 255); height: 125px; padding: 15px; width: 95%; margin-bottom: 20px; margin-top: 15px; display: none;">description</textarea>'
        section += '                    </div>'
        section += '                    <!-- SUBSECTION -->'
        section += '                    <div class="fieldDatatoAdd">'
        section += '                           <div class="boardOption">'
        section += '                               <input class="input_subsection_id" type="text" value="' + idsubsection + '" hidden>'
        section += '                                <div class="scc_subsection">'
        section += '                                    <button id="close-btn" class="collapsible" href="javascript:void(0)" onclick="removeSubsection(this)" style="float:right; font-size:20px;">x</button>'
        section += '                                    <button class="collapsible subsect-title">Subsection </button>'
        section += '                                    <div class="scc_help_btn_right" style="left:26px;float:right;top:23px;font-size:18px;"><a href="#" style="padding-left:10px;color:black;" class="tooltipadmin-right" data-tooltip="Use subsections to control which elements a slider has an effect on. Note: You can only add one slider per subsection.">'
        section += '                                            <img src="<?php echo esc_url(SCC_URL . '/assets/images/info-icon-scc.png'); ?>" alt="Info Icon" height="15px;"> </a></div>'
        section += '                                </div>'
        section += '                                <div class="subsection-area BodyOption ">'
        section += '                                                                        <!-- ELEMENTS SHOWS HERE -->'
        section += '                                </div>'
        section += '                                <!-- BUTTONS AREA -->'
        section += '                                <div class="scc-col-md-12 scc-col-xs-12">'
        section += '                                    <label class="scc_label_2" style="margin-top:15px;margin-right: 0px !important;padding: 8px;background:#314af3;margin-top: 20px;border-radius:6px;">'
        section += '                                        <a style="color:white" class="add-element-btn save_button" onclick="togglebuttonsadd(this)">'
        section += '                                            + Add Element'
        section += '                                        </a>'
        section += '                                    </label>'
        section += '                                </div>'
        section += '                                <div class="df_scc_groupbuttonsadd scc-col-md-12 scc-col-xs-12" style="margin:15px; display:none ">'
        section += '                                    <button value="dropdowninput" class="scc_button btn-backend" onclick="addDropdownMenuElement(this)"><i class="far fa-list-alt" style="padding-top:3px;font-size:13px;"></i>'
        section += '                                        <div class="btn-backend-text">DropDown</div>'
        section += '                                    </button>'
        section += '                                    <button value="switchinput" class="scc_button btn-backend" onclick="addCheckboxElement(this,1)"><i class="far fa-check-square" style="padding-top:3px;font-size:13px;"></i>'
        section += '                                        <div class="btn-backend-text">Checkbox</div>'
        section += '                                    </button>'
        section += '                                    <button value="switchinput" class="scc_button btn-backend" onclick="addCheckboxElement(this,3)"><i class="fas fa-toggle-off" style="padding-top:3px;font-size:13px;"></i>'
        section += '                                        <div class="btn-backend-text">Toggle Switch</div>'
        section += '                                    </button>'
        section += '                                    <button value="switchinput" class="scc_button btn-backend" onclick="addCheckboxElement(this,6)"><i class="far fa-rectangle-wide" style="margin-top:5px;font-size:13px;width:26px;height: 9px;background-color: white;"></i>'
        section += '                                        <div class="btn-backend-text">Simple Button </div>'
        section += '                                    </button>'
        section += '                                    <button value="switchinput" class="scc_button btn-backend" onclick="addCheckboxElement(this,8)"><i class="fas fa-image" style="font-size:13px;"></i>'
        section += '                                        <div class="btn-backend-text">Image Button </div>'
        section += '                                    </button>'
        section += '                                    <button class="scc_button btn-backend" onclick="addSliderElement(this)"><i class="fas fa-sliders-h" style="padding-top:3px;font-size:13px;"></i>'
        section += '                                        <div class="btn-backend-text">Slider</div>'
        section += '                                    </button>'
        section += '                                    <input class="inputoption_slidchk" type="checkbox" onClick="addSlider(this)" style="display:none;" />'
        section += '                                    <button value="comment_input" class="scc_button btn-backend" onclick="addCommentBoxElement(this)"><i class="fas fa-comment" style="padding-top:3px;font-size:13px;"></i>'
        section += '                                        <div class="btn-backend-text">Comment Box</div>'
        section += '                                    </button>'
        section += '                                    <button value="number_input" class="scc_button btn-backend" onclick="addQuantityBox(this)"><i class="material-icons" style="padding-top:3px;font-size:13px;">exposure</i>'
        section += '                                        <div class="btn-backend-text">Quantity Box</div>'
        section += '                                    </button>'
        section += '                                    <button class="scc_button btn-backend" onclick="addCustomMath(this)"><i class="fas fa-calculator" style="padding-top:3px;font-size:13px;"></i>'
        section += '                                        <div class="btn-backend-text">Custom Math</div>'
        section += '                                    </button>'
        section += '                                    <button value="file_input" class="scc_button btn-backend" onclick="addFileUpload(this)"><i class="fas fa-paperclip" style="padding-top:3px;font-size:13px;"></i>'
        section += '                                        <div class="btn-backend-text">File Upload</div>'
        section += '                                    </button>'
        section += '                                    <button value="custom_code" class="scc_button btn-backend" onclick="addTextHtml(this)"><i class="fas fa-code" style="padding-top:3px;font-size:13px;"></i>'
        section += '                                        <div class="btn-backend-text">Text/HTML Field</div>'
        section += '                                    </button>'
        section += '                                    <br>'
        section += '                                    <span style="font-size:13px;margin-top:5px;">Add 1 or more elements to this subsection</span>'
        section += '                                    <input class="scc_custom_math_checkbox" type="checkbox" style="display:none;" />'
        section += '                                </div>'
        section += '                            </div>'
        section += '                                                <div class="boardOption1">'
        section += '                            <label class="add-subsection-btn">'
        section += '                                <!-- This one works -->'
        section += '                                <a href="javascript:void(0)" onclick="addSubSectionElement(this)" style="border-radius:6px;padding:8px;background:#314af3;color:white" class="crossnadd2">+ Add Subsection'
        section += '                                </a>'
        section += '                            </label>'
        section += '                        </div>'
        section += '                    </div>'
        section += '                </div>'
        return section;
    }
    /**
     * *Checkbox element to be inserted in dom after success insert in db
     * todo: needs to add element and elementitem in db
     * @param element_id, elementItem_id,type
     */
     function insertCheckboxElement(idElement, idElementitem, type) {
        if(type==8) return
        var addWoocommerceChoice = sccData[getCalcId()].config["enableWoocommerceCheckout"];
        var checkBoxType = 'Checkbox'
        var elementInfo = 'Shows a checkbox on the frontend'
        if(type==3||type==4) checkBoxType = 'Toggle switch'
        if (type == 4) {
            elementInfo = 'Shows toggle switch on the frontend'
        }
        if(type==6) {
            checkBoxType = 'Simple Buttons'
            elementInfo = 'Shows simple buttons on the frontend'
        }
        if(type==7) {
            checkBoxType = 'Radio'
            elementInfo = 'Shows checkbox items with only one selectable'
        }
        if(type==8) {
            checkBoxType = 'Image Button'
            elementInfo = 'Shows selectable image choices'
        }
        var ddWoocommerceChoice = () => `<div class="row">
        <div class="col-md-2"></div>
            <div class="col-md-9 dd-woocommerce" style="padding:0px;">
                <div class="scc-col-xs-3 scc-col-md-3" style="padding:0px;background: #f8f9ff;height: 40px;"><span class="scc_label" style="text-align:right;padding-right:5px;margin-top:5px;">WooCommerce</span></div>
                <div class="woo-product-dd scc-col-xs-9 scc-col-md-9" style="padding:0px;">
                    <select class="scc_woo_commerce_product_id" data-target="elements_added" onchange="attachProductId(this, ${idElementitem})" style="width:100%;float:left;height:41px;margin-bottom:20px;max-width: 100%;">
                        <option style="font-size: 10px" value="0">Select a product..</option>`+
                            `${woocommerceProducts.map(e => `<option value="${Object.keys(e)}">` + Object.values(e) + '</option>').join('\n')}` +
                    `</select>
                </div>
            </div>
        </div>`
        var elementHead = `<div class="elements_added_v2">
            <div class="element-icon">
                <i class="far fa-check-square" style="font-size:25px;"></i>
            </div>
            <div class="element-title-desc">
                <div class="title-desc-wrapper">
                    <span class="element-title">${checkBoxType}</span>
                </div>
            </div>
            <div class="element-action-icons">
                <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">remove</i>
                <i class="material-icons-outlined with-tooltip" title="your tooltip description here">info</i>
                <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
            </div>
        </div>`
        var element = '<div class="elements_added" style="border: 2px solid rgb(138, 153, 248);border-style: dashed;">'
        element += '<input type="text" class="input_id_element" value="' + idElement + '" hidden="">'
        element += elementHead
        element += '<div class="scc-element-content" value="selectoption" style="height: auto;">'
        element += '<!-- CONTENIDO DE CADA ELEMENTO -->'
        element += '<!-- ELEMENT -->'
        element += '<div class="scc-col-xs-12 scc-col-md-12" style="margin-top: 30px;padding:0px;">'
        element += '    <div class="scc-col-xs-3 scc-col-md-3" style="padding:0px;background: #f8f9ff;height: 40px;">'
        element += '        <span class="scc_label " style="text-align:right;padding-right: 10px;margin-top:5px;">Style</span>'
        element += '    </div>'
        element += '    <div class="scc-col-xs-9 scc-col-md-9" style="padding:0px;">'
        element += '        <select onchange="changeValue1(this)" class="fieldFormat" style="width:100%;max-width:100%;height:40px;border-color:#f8f9ff;">'
        element += '            <option value="6" '
        if(type==6) element += 'selected'
        element += '>Simple Buttons</option>'
        element += '            <option value="1" '
         if(type==1) element += 'selected'
        element += ' >Checkbox (circle) (Animated 1)</option>'
        element += '            <option value="5" >Checkbox (circle) (Animated 2)</option>'
        element += '            <option value="2" >Checkbox (Animated)</option>'
        element += '            <option value="3" ' 
        if(type==3) element += 'selected'
        element += '>Toggle Switch (Rectangle)</option>'
        element += '            <option value="4" >Toggle Switch (Circle)</option>'
        element += '            <option value="7" >Radio (Single Choice)</option>'
        element += '            <option value="8" ' 
        if(type==8) element += 'selected'
        element += '>Image Button</option>'
        element += '        </select>'
        element += '    </div>'
        element += '    <span class="scc-col-xs-6 scc-col-md-7"></span>'
        element += '</div>'
        element += '<!-- ELEMENTS INSIDE ELEMENTS -->'
        element += '<div class="selectoption_2 col-xs-12 col-md-12" style="margin-top:20px;">'
        element += '    <div class="row m-0 selopt3 col-md-12 col-xs-12" style="margin-bottom:5px;padding:0px">'
        element += '<div class="row">'
        element += '            <div class="row p-0 m-0 mt-2 col-md-11 col-xs-11">'
        element += '                <input class="swichoptionitem_id" type="text" value="' + idElementitem + '" hidden="">'
        element += '                <div class="col-xs-2 col-md-2 tooltipadmin-left" onclick="setDefaultOption(this)" id="dropdownOpt" data-tooltip="Click to make this option default." style="padding:0px;background:#f8f9ff;height:40px;">'
        element += '                    <label class="" style="float: none;margin-top:10px;font-size:14px;font-weight: normal;">1</label>'
        element += '                </div>'
        element += '                <div class="col-md-7 col-xs-7" style="padding: 0px 5px 0px 1px;">'
        element += '                    <input type="text" onkeyup="changeNameElementItem(this)" class="input_pad inputoption" style="width:100%;height:40px;" value="Name" placeholder="Product or service name">'
        element += '                </div>'
        element += '                <div class="col-md-3 col-xs-3" style="padding:0px">'
        element += '                    <input type="number" onchange="changePriceElementItem(this)" onkeyup="changePriceElementItem(this)" class="input_pad inputoption_2" style="width:100%;text-align:center;height:40px;" placeholder="Price" value="10">'
        element += '                </div>'
        element += '                <div class="col-md-1 col-xs-1" style="padding:0px;">'
        element += '                </div>'
        element += '            </div>'
        element += '            <div class="col-md-1 col-xs-1" style="padding-left: 0;">'
        element += '                <button onclick="removeSwitchOptionDropdown(this)" style="height:40px;width:100%;border: none; padding-left:0; background:#fff;"><i class="fa fa-trash"></i></button>'
        element += '            </div>'
        element += '        </div>'
        element += addWoocommerceChoice ? ddWoocommerceChoice() : ''
        
        if(type==8){
        // <!-- Added for image button -->    
        element += '<div class="col-md-2 col-xs-2 checkbox-image" style="padding:5px;">'
        element += '    <img class="scc-image-picker" style="height: 50px;width:50px;object-fit:contain;" onclick="choseImageElementItem(this)" src="<?php echo esc_url(SCC_URL . '/assets/images/image.png'); ?>" title="Pick an image. Please choose an image with a 1:1 aspect ratio for best results.">'
        element += '    <span class="scc-dropdown-image-remove" onclick="removeDropdownImage(this)">x</span>'
        element += '</div>'
        // <!-- Added for image button -->    
        }
        element += '        </div>'
        element += '                                                                '
        element += '                        </div>'
        element += '<a onclick="addCheckboxItems(this)" class="crossnadd" '
        if(type==8) element += 'data-type="image-button"'
        element += 'style="margin-top:5px;margin-bottom:20px;">[+] Add Item (Product/Service)</a>'
        element += '<div class="scc-new-accordion-container">'
        element += '        <div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        // <!-- Show only for image button element -->
        element += '<p class="image-button-border" style="'
        if(type != 8) element += 'display:none'
        element += '">'
        element += '    <label class="scc-accordion_switch_button">'
        element += '        <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" >'
        element += '        <span class="scc-accordion_toggle_button round"></span>'
        element += '    </label>'
        element += '    <span><b>Show border of image button</b></span>'
        element += '</p>'
        // <!-- Show only for image button element -->
        element += '            <p>'
        element += '                <label class="scc-accordion_switch_button">'
        element += '                    <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox">'
        element += '                    <span class="scc-accordion_toggle_button round"></span>'
        element += '                </label>'
        element += '                <span><b>Mandatory</b></span>'
        element += '            </p>'
        element += '            <p>'
        element += '                <label class="scc-accordion_switch_button">'
        element += '                    <input onchange="changeShowPriceHintElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox">'
        element += '                    <span class="scc-accordion_toggle_button round"></span>'
        element += '                </label>'
        element += '                <span><b>Show Price Hint</b></span>'
        element += '            </p>'
        element += '            <span style="text-align: left;display: block;"><b>Responsive Options</b></span>'
        element += '            <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">'
        element += '                <div class="text-scc-col d-flex tooltipadmin-right" title="Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.">'
        element += '                    <div class="col-md-9" style="padding:1px;">'
        element += '                        <label>Title column (desktop)</label>'
        element += '                    </div>'
        element += '                    <div class="col-md-3" style="padding:1px;">'
        element += '                        <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" value="">'
        element += '                    </div>'
        element += '                </div>'
        element += '                <div class="text-scc-col d-flex">'
        element += '                    <div class="col-md-9" style="padding:1px;">'
        element += '                        <label>Title column (mobile)</label>'
        element += '                    </div>'
        element += '                    <div class="col-md-3" style="padding:1px;">'
        element += '                        <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" value="">'
        element += '                    </div>'
        element += '                </div>'
        element += '            </div>'
        element += '            <span style="text-align: left;display: block;"><b>Checkbox columns</b></span>'
        element += '            <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">'
        element += '                <label for="" style="font-weight:normal">Number of columns</label>'
        element += '                <select onchange="changeColumnsCheckbox(this)" name="" id="" style="margin-left:10px">'
        element += '                    <option value="0">Choose one</option>'
        element += '                    <option value="1">One</option>'
        element += '                    <option value="2">Two</option>'
        element += '                    <option value="3">Three</option>'
        element += '                </select>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '<div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        element += '            <div class="condition-container clearfix" data-condition-set=1>'
        element += '                <!-- <div style="background-color: black;height:50px"></div> -->'
        element += '                <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">'
        element += '                    <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">'
        element += '                        <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Show if</span>'
        element += '                    </div>'
        element += '                    <div class="col-xs-11 col-md-11" style="padding:0px;">'
        element += '                        <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">'
        element += '                            <div class="item_conditionals">'
        element += '                                <select disabled onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">'
        element += '                                    <option style="font-size: 10px" value="0">Select an element</option>'
        element += '                                </select>'
        element += '                                <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">'
        element += '                                <div class="btn-group" style="margin-left: 10px;display:none">'
        element += '                                    <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>'
        element += '                                    <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>'
        element += '                                </div>'
        element += '                            </div>'
        element += '                        </div>'
        element += '                    </div>'
        element += '                </div>'
        element += '                <button onclick="(($this) => {jQuery($this).prev().removeClass(\'hidden\'); jQuery($this).addClass(\'hidden\')})(this)" class="btn btn-addcondition cond-add-btn hidden">Add</button>';
        element += '            </div>'
        element += '            <div style="margin-left: auto; margin-right: auto; width: 28%">'
        element += '                  <button class="btn btn-primary btn-cond-or hidden">Add OR Condition</button>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '            </div>'
        return element;
    }
    /**
     * *CustomMath element to be inserted in dom after success insert in db
     * @param element_id
     * 
     */
     function insertCustomMath(idnewElement) {
        var elementHead = `<div class="elements_added_v2">
            <div class="element-icon">
                <i class="fas fa-calculator" style="font-size:25px;"></i>
            </div>
            <div class="element-title-desc">
                <div class="title-desc-wrapper">
                    <span class="element-title">Custom Math</span>
                    <p class="element-description"></p>
                </div>
            </div>
            <div class="element-action-icons">
                <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">remove</i>
                <i class="material-icons-outlined with-tooltip" title="Note: Custom Math applies extra calculation over the value returned by the elements in a subsection. E.g. If the subsection returns 100, and the custom math is 10%, the final value of the subsection will be 110. You can use to decrease the subsection total using negative sign to the value, for example, -10%">info</i>
                <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
            </div>
        </div>`
        var element = '<div class="elements_added" style="border: 2px solid rgb(138, 153, 248);border-style: dashed;">'
        element += '    <input type="text" class="input_id_element" value="' + idnewElement + '" hidden="">'
        element += elementHead
        element += '    <div class="scc-element-content" value="selectoption" style="height: auto;">'
        element += '        <!-- CONTENIDO DE CADA ELEMENTO -->'
        element += '        <div class="edit-element-notice" style="margin-left: 15px;">'
        element += '            <i class="material-icons with-tooltip" title="Note: Custom Math applies extra calculation over the value returned by the elements in a subsection. E.g. If the subsection returns 100, and the custom math is 10%, the final value of the subsection will be 110. You can use to decrease the subsection total using negative sign to the value, for example, -10%">info</i>'
        element += '        </div>'
        element += '        <!-- ELEMENT -->'
        element += '        <div class="row m-0 selopt5 col-xs-12 col-md-12" style="margin-top: 20px; padding: 0px;">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Name</span></div>'
        element += '            <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title" onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value="Custom Math Name"></div>'
        element += '        </div>'
        element += '        <!-- ELEMENTS INSIDE ELEMENTS -->'
        element += '        <div class="col-md-12 col-xs-12" style="margin-top:10px;padding:0px;">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">'
        element += '                <span class="scc_label" style="margin-top:5px;text-align:right;padding-right:10px;">Type</span>'
        element += '            </div>'
        element += '            <div class="col-xs-9 col-md-9" style="padding:0px;padding:0px;text-align:left;">'
        element += '                <select onchange="changeValue1(this)" class="input_pad scc_custom_math_type" style="text-align:center;height:40px;width:150px; padding: 1px!important;text-align-last: center;font-size: 17px;">'
        element += '                    <option value="+" selected>+</option>'
        element += '                    <option value="-">-</option>'
        element += '                    <option value="x">x</option>'
        element += '                    <option value="%">%</option>'
        element += '                    <option value="/">/</option>'
        element += '                </select>'
        element += '            </div>'
        element += '        </div>'
        element += '        <div class="col-md-12 col-xs-12" style="margin-top:10px;padding:0px;margin-bottom:10px">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">'
        element += '                <span class="scc_label" style="margin-top:5px;text-align:right ;padding-right:10px;">Value</span>'
        element += '            </div>'
        element += '           <div>'
        element += '            <div class="col-xs-9 col-md-9" style="padding:0px;text-align:left">'
        element += '                <input onkeyup="changeValue2(this)" onchange="changeValue2(this)" type="number" class="input_pad scc_custom_math_value" style="text-align:center;height:40px;left:-8px;width:150px;" value="3">'
        element += '            </div>'
        element += '           </div>'
        element += '        </div>'
        element += '        <div class="scc-new-accordion-container">'
        element += '        <div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        element += '            <p>'
        element += '            <label class="scc-accordion_switch_button">'
        element += '                <input onchange="changeDisplayFrontend(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox">'
        element += '                <span class="scc-accordion_toggle_button round"></span>'
        element += '            </label>'
        element += '            <span><b>Display on Frontend Form</b></span>'
        element += '            </p>'
        element += '            <p>'
        element += '            <label class="scc-accordion_switch_button">'
        element += '                <input onchange="changeDisplayDetail(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox">'
        element += '                <span class="scc-accordion_toggle_button round"></span>'
        element += '            </label>'
        element += '            <span><b>Display on Detailed List</b></span>'
        element += '            </p>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '<div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        element += '            <div class="condition-container clearfix" data-condition-set=1>'
        element += '                <!-- <div style="background-color: black;height:50px"></div> -->'
        element += '                <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">'
        element += '                    <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">'
        element += '                        <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Show if</span>'
        element += '                    </div>'
        element += '                    <div class="col-xs-11 col-md-11" style="padding:0px;">'
        element += '                        <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">'
        element += '                            <div class="item_conditionals">'
        element += '                                <select disabled onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">'
        element += '                                    <option style="font-size: 10px" value="0">Select an element</option>'
        element += '                                </select>'
        element += '                                <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">'
        element += '                                <div class="btn-group" style="margin-left: 10px;display:none">'
        element += '                                    <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>'
        element += '                                    <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>'
        element += '                                </div>'
        element += '                            </div>'
        element += '                        </div>'
        element += '                    </div>'
        element += '                </div>'
        element += '                <button onclick="(($this) => {jQuery($this).prev().removeClass(\'hidden\'); jQuery($this).addClass(\'hidden\')})(this)" class="btn btn-addcondition cond-add-btn hidden">Add</button>';
        element += '            </div>'
        element += '            <div style="margin-left: auto; margin-right: auto; width: 28%">'
        element += '                  <button class="btn btn-primary btn-cond-or hidden">Add OR Condition</button>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '            </div>'
        return element
    }
    /**
     * *Checkbox element to be inserted in dom after success insert in db
     * todo: it needs to be added slider element and elementItem row range
     * @param element_id, elementItem_id
     */
     function insertSliderElement(idnewElement, idnewElementItem) {
        var addWoocommerceChoice = sccData[getCalcId()].config["enableWoocommerceCheckout"];
        var ddWoocommerceChoice = () => `<div class="col-md-12 dd-woocommerce" style="padding:0px;">
                                                        <div class="scc-col-xs-3 scc-col-md-3" style="padding:0px;background: #f8f9ff;height: 40px;"><span class="scc_label" style="text-align:right;padding-right:5px;margin-top:5px;">WooCommerce</span></div>
                                                        <div class="woo-product-dd scc-col-xs-9 scc-col-md-9" style="padding:0px;">
                                                            <select class="scc_woo_commerce_product_id" data-target="elements_added" onchange="attachProductId(this, ${idnewElementItem})" style="width:100%;float:left;height:41px;margin-bottom:20px;max-width: 100%;">
                                                                <option style="font-size: 10px" value="0">Select a product..</option>`+
        `${woocommerceProducts.map(e => `<option value="${Object.keys(e)}">` + Object.values(e) + '</option>').join('\n')}` +
        `</select>
                                                        </div>
                                                    </div>`
        var elementHead = `<div class="elements_added_v2">
            <div class="element-icon">
                <i class="fas fa-sliders-h" style="font-size:25px;"></i>
            </div>
            <div class="element-title-desc">
                <div class="title-desc-wrapper">
                    <span class="element-title">Slider</span>
                    <p class="element-description"></p>
                </div>
            </div>
            <div class="element-action-icons">
                <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">remove</i>
                <i class="material-icons-outlined with-tooltip" title="Note: Sliders are linked to any elements in the same subsection. Example: If you select 10 units with the slider, it will add 10 units to any dropdown or checkbox element above it. If you want to unlink them, make sure the slider sits in its own subsection.">info</i>
                <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
            </div>
        </div>`;
        var element = '<div class="elements_added" style="border: 2px solid rgb(138, 153, 248);border-style: dashed;">'
        element += '    <input type="text" class="input_id_element" value="' + idnewElement + '" hidden="">'
        element += elementHead
        element += '    <div class="scc-element-content" value="selectoption" style="height: auto;">'
        element += '        <!-- CONTENIDO DE CADA ELEMENTO -->'
        element += '        <!-- ELEMENT -->'
        element += '        <div class="edit-element-notice" style="padding-left: 15px;">'
        element += '            <i class="material-icons with-tooltip" title="Note: Sliders are linked to any elements in the same subsection. Example: If you select 10 units with the slider, it will add 10 units to any dropdown or checkbox element above it. If you want to unlink them, make sure the slider sits in its own subsection.">info</i>'
        element += '        </div>'
        element += '        <div class="row m-0 selopt5 col-xs-12 col-md-12" style="padding: 0px;">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Title</span></div>'
        element += '            <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title" onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value=""></div>'
        element += '        </div>'
        element += '        <div class="row m-0 mt-3 col-md-12 col-xs-12" style="padding:0px;">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">'
        element += '                <span class="scc_label" style="margin-top:5px;text-align:right;padding-right:10px;">Step</span>'
        element += '            </div>'
        element += '            <div class="p-0 col-xs-9 col-md-9">'
        element += '            <div  style="padding:0px;padding:0px;text-align:left;">'
        element += '                <input onchange="changeValue2(this)" onkeyup="changeValue2(this)" value="1" type="number" class="input_pad slidoption_3" style="text-align:center;height:40px;width:100px">'
        element += '            </div>'
        element += '            </div>'
        element += '        </div>'
        element += '        <div class="row m-0 mt-3 col-md-12 col-xs-12" style="padding:0px;">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">'
        element += '                <span class="scc_label" style="margin-top:5px;text-align:right ;padding-right:10px;">Starting number</span>'
        element += '            </div>'
        element += '            <div class="p-0 col-xs-9 col-md-9">'
        element += '            <div  style="padding:0px;text-align:left">'
        element += '                <input onchange="changeValue3(this)" onkeyup="changeValue3(this)" value="1" type="number" class="input_pad slidoption_4" style="text-align:center;height:40px;left:-8px;width:100px;">'
        element += '            </div>'
        element += '            </div>'
        element += '        </div>'
        element += '        <div class="row m-0 mt-3 col-md-12 col-xs-12" style="padding:0px;">'
        element += '            <div class="col-xs-3 col-md-3" style="background:#f8f9ff;height:40px;margin-top:10px;padding-left: 15px;">'
        element += '                <span class="scc_label tooltipadmin-right" style="text-align:right;padding-right:5x;margin-top:5px;" data-tooltip="Bulk Pricing: Between 1 and 10 = $100 per unit price | Sliding Scale: 1 and 10 = $100 flat price">Pricing Structure</span>'
        element += '            </div>'
        element += '            <div class="col-xs-9 col-md-9" style="padding:0px;text-align:left">'
        element += '                <select onchange="changeValue1(this)" class="slider-discount-type" style="margin-top:10px;width:100%;max-width:100%;float:left;height:40px;">'
        element += '                    <option value="bulk" selected="">Bulk Quantity Discounts/Default Pricing</option>'
        element += '                    <option value="sliding">Sliding Scale Prciing</option>'
        element += '                </select>'
        element += '            </div>'
        element += '        </div>'
        element += addWoocommerceChoice ? ddWoocommerceChoice() : ''
        element += '        <!-- ELEMENTS INSIDE ELEMENTS -->'
        element += '        <div class="row m-0 mt-3 col-md-12 col-xs-12" style="padding:0px;">'
        element += '            <div class="col-xs-3 col-md-3" style="background:#f8f9ff;height:40px;margin-top:10px;padding-left: 15px;">'
        element += '                <span class="scc_label tooltipadmin-right" style="text-align:right;padding-right:5x;margin-top:5px;">Price Range</span>'
        element += '            </div>'
        element += '            <div class="row col-xs-9 col-md-9" style="padding-top: 15px;background:#f8f9ff;margin-top:10px;">'
        element += '                <div class="col-xs-4 col-md-4">From</div>'
        element += '                <div class="col-xs-4 col-md-4">To</div>'
        element += '                <div class="col-xs-4 col-md-4">Price</div>'
        element += '            </div>'
        element += '            <div class="row offset-3 col-xs-9 col-md-9 price-range-container" style="padding-top: 15px;background:#f8f9ff;padding-bottom:10px">'
        element += '                <!-- ELEMENT ITEMS -->'
        element += '                    <div class="row col-xs-12 col-md-12 price-slider-item" style="margin-top: 10px;">'
        element += '                        <input type="text" class="id_element_slider_item" value="' + idnewElementItem + '" hidden="">'
        element += '                        <div class="col-xs-4 col-md-4"><input onchange="changeElementItemValue1(this)" onkeyup="changeElementItemValue1(this)" type="number" min="0" class="scc_label input_pad sliderinputoption scc_input" value="1" style="width:90PX;height:40px;margin-left:12px;padding:6px;"></div>'
        element += '                        <div class="col-xs-4 col-md-4"><input onchange="changeSliderToNumber(this),changeElementItemValue2(this)" onkeyup="changeSliderToNumber(this),changeElementItemValue2(this)" value="10" type="number" min="0" class="scc_label  input_pad sliderinputoption_2 scc_input" style="width:90PX;height:40px;margin-left:12px;padding:6px;"></div>'
        element += '                        <div class="col-xs-4 col-md-4"><input onchange="changeElementItemValue3(this)" onkeyup="changeElementItemValue3(this)" type="number" min="0" class="scc_label  input_pad sliderinputoption_5 scc_input" value="2" style="width:90PX;height:40px;margin-left:0px;padding:6px;"> </div>'
        element += '                    </div>'
        element += '                                                                        </div>'
        element += '            <div class="col-xs-3 col-md-3"></div>'
        element += '            <div class="col-xs-9 col-md-9 " style="margin-bottom: 0;margin-top:20px;">'
        element += '                <a onclick="addNewRangeSlider(this)" class="crossnadd" style="color:#314af3;font-size: 13px;">+ Add Price Range</a>'
        element += '            </div>'
        element += '        </div>'
        element += '        <!-- ADVANCE -->'
        element += '        <div class="scc-new-accordion-container">'
        element += '        <div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        element += '            <p>'
        element += '                <label class="scc-accordion_switch_button">'
        element += '                    <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox">'
        element += '                    <span class="scc-accordion_toggle_button round"></span>'
        element += '                </label>'
        element += '                <span><b>Mandatory</b></span>'
        element += '            </p>'
        element += '            <p>'
        element += '                <label class="scc-accordion_switch_button">'
        element += '                    <input onchange="changeShowPriceHintElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox">'
        element += '                    <span class="scc-accordion_toggle_button round"></span>'
        element += '                </label>'
        element += '                <span><b>Show Price Hint</b></span>'
        element += '            </p>'
        element += '            <span style="text-align: left;display: block;"><b>Responsive Options</b></span>'
        element += '            <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">'
        element += '                <div class="text-scc-col d-flex tooltipadmin-right" title="Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.">'
        element += '                    <div class="col-md-9" style="padding:1px;">'
        element += '                        <label>Title column (desktop)</label>'
        element += '                    </div>'
        element += '                    <div class="col-md-3" style="padding:1px;">'
        element += '                        <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" value="">'
        element += '                    </div>'
        element += '                </div>'
        element += '                <div class="text-scc-col d-flex">'
        element += '                    <div class="col-md-9" style="padding:1px;">'
        element += '                        <label>Title column (mobile)</label>'
        element += '                    </div>'
        element += '                    <div class="col-md-3" style="padding:1px;">'
        element += '                        <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" value="">'
        element += '                    </div>'
        element += '                </div>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '<div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        element += '            <div class="condition-container clearfix" data-condition-set=1>'
        element += '                <!-- <div style="background-color: black;height:50px"></div> -->'
        element += '                <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">'
        element += '                    <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">'
        element += '                        <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Show if</span>'
        element += '                    </div>'
        element += '                    <div class="col-xs-11 col-md-11" style="padding:0px;">'
        element += '                        <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">'
        element += '                            <div class="item_conditionals">'
        element += '                                <select disabled onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">'
        element += '                                    <option style="font-size: 10px" value="0">Select an element</option>'
        element += '                                </select>'
        element += '                                <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">'
        element += '                                <div class="btn-group" style="margin-left: 10px;display:none">'
        element += '                                    <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>'
        element += '                                    <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>'
        element += '                                </div>'
        element += '                            </div>'
        element += '                        </div>'
        element += '                    </div>'
        element += '                </div>'
        element += '                <button onclick="(($this) => {jQuery($this).prev().removeClass(\'hidden\'); jQuery($this).addClass(\'hidden\')})(this)" class="btn btn-addcondition cond-add-btn hidden">Add</button>';
        element += '            </div>'
        element += '            <div style="margin-left: auto; margin-right: auto; width: 28%">'
        element += '                  <button class="btn btn-primary btn-cond-or hidden">Add OR Condition</button>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '            </div>'
        return element
    }
    /**
     * *TextHtml element to be inserted in dom after success insert in db
     * @param elemen_id
     */
     function insertTextHtml(idnewElement) {
        var elementHead = `<div class="elements_added_v2">
            <div class="element-icon">
                <i class="fas fa-code" style="font-size:25px;"></i>
            </div>
            <div class="element-title-desc">
                <div class="title-desc-wrapper">
                    <span class="element-title">Text/HTML Field</span>
                    <p class="element-description"></p>
                </div>
            </div>
            <div class="element-action-icons">
                <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">remove</i>
                <i class="material-icons-outlined with-tooltip" title="You can add custom HTML code inside this element">info</i>
                <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
            </div>
        </div>`
        var element = '<div class="elements_added" style="border: 2px solid rgb(138, 153, 248);border-style: dashed;">'
        element += '    <input type="text" class="input_id_element" value="' + idnewElement + '" hidden="">'
        element += elementHead
        element += '    <div class="scc-element-content" value="selectoption" style="height: auto;">'
        element += '        <!-- CONTENIDO DE CADA ELEMENTO -->'
        element += '        <!-- ELEMENT -->'
        element += '        <div class="row m-0 selopt5 col-xs-12 col-md-12" style="padding: 0px;">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Title</span></div>'
        element += '            <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title" onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value=""></div>'
        element += '        </div>'
        element += '        <!-- ELEMENTS INSIDE ELEMENTS -->'
        element += '        <div class="row m-0 mt-3 col-xs-12 col-md-12" style="padding:0px;margin-bottom:10px;margin-top: 15px;">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">'
        element += '                <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Your Custom Code</span>'
        element += '            </div>'
        element += '            <div class="p-0 col-xs-9 col-md-9">'
        element += '            <div  style="padding:0px;">'
        element += '                <textarea onkeyup="changeValue2(this)" rows="5" cols="33" class="input_pad inputoption_text" style="width: 100%;" placeholder="<div></div>"></textarea>'
        element += '            </div>'
        element += '            </div>'
        element += '        </div>'
        element += '        <div class="scc-new-accordion-container">'
        element += '        <div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        element += '            <p>'
        element += '                <label class="scc-accordion_switch_button">'
        element += '                    <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox">'
        element += '                    <span class="scc-accordion_toggle_button round"></span>'
        element += '                </label>'
        element += '                <span><b>Mandatory</b></span>'
        element += '            </p>'
        element += '            <span style="text-align: left;display: block;"><b>Responsive Options</b></span>'
        element += '            <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">'
        element += '                <div class="text-scc-col d-flex tooltipadmin-right" title="Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.">'
        element += '                    <div class="col-md-9" style="padding:1px;">'
        element += '                        <label>Title column (desktop)</label>'
        element += '                    </div>'
        element += '                    <div class="col-md-3" style="padding:1px;">'
        element += '                        <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" value="">'
        element += '                    </div>'
        element += '                </div>'
        element += '                <div class="text-scc-col d-flex">'
        element += '                    <div class="col-md-9" style="padding:1px;">'
        element += '                        <label>Title column (mobile)</label>'
        element += '                    </div>'
        element += '                    <div class="col-md-3" style="padding:1px;">'
        element += '                        <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" value="">'
        element += '                    </div>'
        element += '                </div>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '<div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        element += '            <div class="condition-container clearfix" data-condition-set=1>'
        element += '                <!-- <div style="background-color: black;height:50px"></div> -->'
        element += '                <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">'
        element += '                    <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">'
        element += '                        <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Show if</span>'
        element += '                    </div>'
        element += '                    <div class="col-xs-11 col-md-11" style="padding:0px;">'
        element += '                        <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">'
        element += '                            <div class="item_conditionals">'
        element += '                                <select disabled onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">'
        element += '                                    <option style="font-size: 10px" value="0">Select an element</option>'
        element += '                                </select>'
        element += '                                <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">'
        element += '                                <div class="btn-group" style="margin-left: 10px;display:none">'
        element += '                                    <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>'
        element += '                                    <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>'
        element += '                                </div>'
        element += '                            </div>'
        element += '                        </div>'
        element += '                    </div>'
        element += '                </div>'
        element += '                <button onclick="(($this) => {jQuery($this).prev().removeClass(\'hidden\'); jQuery($this).addClass(\'hidden\')})(this)" class="btn btn-addcondition cond-add-btn hidden">Add</button>';
        element += '            </div>'
        element += '            <div style="margin-left: auto; margin-right: auto; width: 28%">'
        element += '                  <button class="btn btn-primary btn-cond-or hidden">Add OR Condition</button>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '            </div>'
        return element
    }
    /**
     * *FileUpload element to be inserted in dom after success insert in db
     * @param element_id
     */
     function insertFileupload(idnewElement) {
        var elementHead = `<div class="elements_added_v2">
            <div class="element-icon">
                <i class="fas fa-paperclip" style="font-size:25px;"></i>
            </div>
            <div class="element-title-desc">
                <div class="title-desc-wrapper">
                    <span class="element-title">File Upload Field</span>
                    <p class="element-description"></p>
                </div>
            </div>
            <div class="element-action-icons">
                <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">remove</i>
                <i class="material-icons-outlined with-tooltip" title="File upload element shows a file input field. You can limit file size and the allowed file types">info</i>
                <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
            </div>
        </div>`
        var element = '<div class="elements_added" style="border: 2px solid rgb(138, 153, 248);border-style: dashed;">'
        element += '    <input type="text" class="input_id_element" value="' + idnewElement + '" hidden="">'
        element += elementHead
        element += '    <div class="scc-element-content" value="selectoption" style="height: auto;">'
        element += '        <!-- CONTENIDO DE CADA ELEMENTO -->'
        element += '        <!-- ELEMENT -->'
        element += '        <div class="row m-0 selopt5 col-xs-12 col-md-12" style="padding: 0px;">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Title</span></div>'
        element += '            <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title" onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value=""></div>'
        element += '        </div>'
        element += '        <!-- ELEMENTS INSIDE ELEMENTS -->'
        element += '        <div class="col-xs-12 col-md-12" style="padding:0px;margin-bottom:10px; margin-top: 12px;">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">'
        element += '                <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Placeholder text</span>'
        element += '            </div>'
        element += '            <div>'
        element += '            <div class="col-xs-9 col-md-9" style="padding:0px;">'
        element += '                <input onkeyup="changeValue2(this)" type="text" class="input_pad inputoption_placeholder" style="width:100%;max-width:100%;float:left;height:40px;" placeholder="Please choose a file" value="">'
        element += '            </div>'
        element += '            </div>'
        element += '        </div>'
        element += '        <div class="col-xs-12 col-md-12" style="padding:0px;margin-bottom:10px;">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">'
        element += '                <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Allowed FileTypes (comma separated):</span>'
        element += '            </div>'
        element += '            <div>'
        element += '            <div class="col-xs-9 col-md-9" style="padding:0px;">'
        element += '                <input onkeyup="changeValue3(this)" type="text" class="input_pad inputoption_filetypes" style="width:100%;max-width:100%;float:left;height:40px;" placeholder="png,pdf,jpeg,jpg" value="">'
        element += '            </div>'
        element += '            </div>'
        element += '        </div>'
        element += '        <div class="col-xs-12 col-md-12" style="padding:0px;margin-bottom:15px">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">'
        element += '                <span class="scc_label" style="text-align:right;margin-top:5px;padding-right:10px;">Max file size (in kilobytes): </span>'
        element += '            </div>'
        element += '            <div>'
        element += '            <div class="col-xs-9 col-md-9" style="padding:0px;">'
        element += '                <input onchange="changeValue4(this)" onkeyup="changeValue4(this)" type="number" class="input_pad inputoption_2" style="float:left;margin-right:10px;width:80px;height:40px" placeholder="10" min="0" value="">'
        element += '            </div>'
        element += '            </div>'
        element += '        </div>'
        element += '        <div class="scc-new-accordion-container">'
        element += '        <div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        element += '            <p>'
        element += '                <label class="scc-accordion_switch_button">'
        element += '                    <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox">'
        element += '                    <span class="scc-accordion_toggle_button round"></span>'
        element += '                </label>'
        element += '                <span><b>Mandatory</b></span>'
        element += '            </p>'
        element += '            <span style="text-align: left;display: block;"><b>Responsive Options</b></span>'
        element += '            <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">'
        element += '                <div class="text-scc-col d-flex tooltipadmin-right" title="Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.">'
        element += '                    <div class="col-md-9" style="padding:1px;">'
        element += '                        <label>Title column (desktop)</label>'
        element += '                    </div>'
        element += '                    <div class="col-md-3" style="padding:1px;">'
        element += '                        <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" value="">'
        element += '                    </div>'
        element += '                </div>'
        element += '                <div class="text-scc-col d-flex">'
        element += '                    <div class="col-md-9" style="padding:1px;">'
        element += '                        <label>Title column (mobile)</label>'
        element += '                    </div>'
        element += '                    <div class="col-md-3" style="padding:1px;">'
        element += '                        <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" value="">'
        element += '                    </div>'
        element += '                </div>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '<div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        element += '            <div class="condition-container clearfix" data-condition-set=1>'
        element += '                <!-- <div style="background-color: black;height:50px"></div> -->'
        element += '                <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">'
        element += '                    <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">'
        element += '                        <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Show if</span>'
        element += '                    </div>'
        element += '                    <div class="col-xs-11 col-md-11" style="padding:0px;">'
        element += '                        <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">'
        element += '                            <div class="item_conditionals">'
        element += '                                <select disabled onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">'
        element += '                                    <option style="font-size: 10px" value="0">Select an element</option>'
        element += '                                </select>'
        element += '                                <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">'
        element += '                                <div class="btn-group" style="margin-left: 10px;display:none">'
        element += '                                    <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>'
        element += '                                    <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>'
        element += '                                </div>'
        element += '                            </div>'
        element += '                        </div>'
        element += '                    </div>'
        element += '                </div>'
        element += '                <button onclick="(($this) => {jQuery($this).prev().removeClass(\'hidden\'); jQuery($this).addClass(\'hidden\')})(this)" class="btn btn-addcondition cond-add-btn hidden">Add</button>';
        element += '            </div>'
        element += '            <div style="margin-left: auto; margin-right: auto; width: 28%">'
        element += '                  <button class="btn btn-primary btn-cond-or hidden">Add OR Condition</button>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '            </div>'
        return element
    }
    /**
     * *QuantityBox element to be inserted in dom after success insert in db
     * @param element_id
     */
     function insertQuantityBox(idnewElement) {
        var addWoocommerceChoice = sccData[getCalcId()].config["enableWoocommerceCheckout"];
        var ddWoocommerceChoice = () =>
            `<div class="text-scc-col d-flex">
                <div class="col-md-12" style="margin-top:10px;padding:0px;">
                    <div class="scc-col-xs-3 scc-col-md-3" style="background:#f8f9ff;height:40px;padding-right:5px"><span class="scc_label" style="text-align:right;margin-top:5px;">WooCommerce</span></div>
                    <div class="woo-product-dd scc-col-xs-9 scc-col-md-9" style="padding:0px;">
                        <select class="scc_woo_commerce_product_id" data-target="elements_added" onchange="attachProductId(this, ${idnewElement}, 'quantity box')" style="width:100%;float:left;height:41px;margin-bottom:20px;max-width: 100%;">
                            <option style="font-size: 10px" value="0">Select a product..</option>` +
                                `${woocommerceProducts
                                    .map(
                                    (e) =>
                                        `<option value="${Object.keys(e)}">` + Object.values(e) + "</option>"
                                    )
                                    .join("\n")}` +
                                `</select>
                    </div>
                </div>
            </div>`;
        var elementHead = `<div class="elements_added_v2">
            <div class="element-icon">
                <i class="material-icons" style="font-size:25px;">exposure</i>
            </div>
            <div class="element-title-desc">
                <div class="title-desc-wrapper">
                    <span class="element-title">Quantity Input Box</span>
                    <p class="element-description"></p>
                </div>
            </div>
            <div class="element-action-icons">
                <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">remove</i>
                <i class="material-icons-outlined with-tooltip" title="Shows a input box where users can define the number of units">info</i>
                <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
            </div>
        </div>`
        var element = '<div class="elements_added" style="border: 2px solid rgb(138, 153, 248);border-style: dashed;">'
        element += '    <input type="text" class="input_id_element" value="' + idnewElement + '" hidden="">'
        element += elementHead
        element += '    <div class="scc-element-content" value="selectoption" style="height: auto;">'
        element += '        <!-- CONTENIDO DE CADA ELEMENTO -->'
        element += '        <!-- ELEMENT -->'
        element += '        <div class="row m-0 selopt5 col-xs-12 col-md-12" style="margin-top: 20px; padding: 0px;">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Title</span></div>'
        element += '            <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title" onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value=""></div>'
        element += '        </div>'
        element += '        <!-- ELEMENTS INSIDE ELEMENTS -->'
        element += '        <div class="row m-0 mt-3 col-xs-12 col-md-12" style="padding:0px;margin-bottom:10px;margin-top: 20px;">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;background:#f8f9ff;height:40px;">'
        element += '                <span class="scc_label" style="text-align:left;padding-right:10px;margin-top:5px;">Input Box Style</span>'
        element += '            </div>'
        element += '            <div class="col-xs-9 col-md-9" style="padding:0px;">'
        element += '                <select onchange="changeValue1(this)" type="select-one" name="quantity-input--style-selection" style="width:100%;max-width:100%;float:left;height:40px;">'
        element += '                    <option value="default" selected="">Default</option>'
        element += '                    <option value="compact">Compact</option>'
        element += '                </select>'
        element += '            </div>'
        element += '        </div>'
        element += addWoocommerceChoice ? ddWoocommerceChoice() : ''
        element += '        <div class="selectoption_2 col-xs-12 col-md-12">'
        element += '            <div class="row m-0 mt-3 col-xs-12 col-md-12" style="margin-top:10px;margin-bottom:10px">'
        element += '                <div class="col-xs-3 col-md-3" style="padding:0px; background: #f8f9ff;height: 40px;">'
        element += '                    <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Price</span>'
        element += '                </div>'
        element += '                <div class="col-xs-9 col-md-9" style="text-align:left;padding:0px;">'
        element += '                    <input onkeyup="changeValue2(this)" onchange="changeValue2(this)" type="number" class="input_pad inputoption_2" style="text-align:center;width:80px;height:40px" placeholder="Price" value="1">'
        element += '                </div>'
        element += '            </div>'
        element += '        </div>'
        element += '        <div class="scc-new-accordion-container">'
        element += '        <div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        element += '            <p>'
        element += '                <label class="scc-accordion_switch_button">'
        element += '                    <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox">'
        element += '                    <span class="scc-accordion_toggle_button round"></span>'
        element += '                </label>'
        element += '                <span><b>Mandatory</b></span>'
        element += '            </p>'
        element += '            <span style="text-align: left;display: block;"><b>Responsive Options</b></span>'
        element += '            <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">'
        element += '                <div class="text-scc-col d-flex tooltipadmin-right" title="Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.">'
        element += '                    <div class="col-md-9" style="padding:1px;">'
        element += '                        <label>Title column (desktop)</label>'
        element += '                    </div>'
        element += '                    <div class="col-md-3" style="padding:1px;">'
        element += '                        <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" value="">'
        element += '                    </div>'
        element += '                </div>'
        element += '                <div class="text-scc-col d-flex">'
        element += '                    <div class="col-md-9" style="padding:1px;">'
        element += '                        <label>Title column (mobile)</label>'
        element += '                    </div>'
        element += '                    <div class="col-md-3" style="padding:1px;">'
        element += '                        <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" value="">'
        element += '                    </div>'
        element += '                </div>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '<div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        element += '            <div class="condition-container clearfix" data-condition-set=1>'
        element += '                <!-- <div style="background-color: black;height:50px"></div> -->'
        element += '                <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">'
        element += '                    <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">'
        element += '                        <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Show if</span>'
        element += '                    </div>'
        element += '                    <div class="col-xs-11 col-md-11" style="padding:0px;">'
        element += '                        <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">'
        element += '                            <div class="item_conditionals">'
        element += '                                <select disabled onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">'
        element += '                                    <option style="font-size: 10px" value="0">Select an element</option>'
        element += '                                </select>'
        element += '                                <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">'
        element += '                                <div class="btn-group" style="margin-left: 10px;display:none">'
        element += '                                    <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>'
        element += '                                    <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>'
        element += '                                </div>'
        element += '                            </div>'
        element += '                        </div>'
        element += '                    </div>'
        element += '                </div>'
        element += '                <button onclick="(($this) => {jQuery($this).prev().removeClass(\'hidden\'); jQuery($this).addClass(\'hidden\')})(this)" class="btn btn-addcondition cond-add-btn hidden">Add</button>';
        element += '            </div>'
        element += '            <div style="margin-left: auto; margin-right: auto; width: 28%">'
        element += '                  <button class="btn btn-primary btn-cond-or hidden">Add OR Condition</button>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '            </div>'
        return element
    }
    /**
     * *CommentBox element to be inserted in dom after success insert in db
     * @param element_id
     */
     function insertCommentBoxElement(idnewElement) {
        var elementHead = `<div class="elements_added_v2">
            <div class="element-icon">
                <i class="fas fa-comment" style="font-size:25px;"></i>
            </div>
            <div class="element-title-desc">
                <div class="title-desc-wrapper">
                    <span class="element-title">Comment Box</span>
                    <p class="element-description"></p>
                </div>
            </div>
            <div class="element-action-icons">
                <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">remove</i>
                <i class="material-icons-outlined with-tooltip" title="Shows an textarea on the frontend, where user can type out the comment">info</i>
                <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
            </div>
        </div>`
        var element = ' <div class="elements_added" style="border: 2px solid rgb(138, 153, 248);;border-style: dashed;">'
        element += elementHead
        element += '<div class="scc-element-content" value="selectoption" style="height: auto;">'
        element += '    <!-- CONTENIDO DE CADA ELEMENTO -->'
        element += '    <!-- ELEMENT -->'
        element += '    <div class="row m-0 selopt5 col-xs-12 col-md-12" style="margin-top: 20px; padding: 0px;">'
        element += '        <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label"'
        element += '                style="text-align:right;padding-right:10px;margin-top:5px;">Title</span></div>'
        element += '        <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title"'
        element += '                onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value="">'
        element += '        </div>'
        element += '    </div> <!-- ELEMENTS INSIDE ELEMENTS -->'
        element += '    <div class="selectoption_2 col-xs-12 col-md-12" style="margin-top:20px;">'
        element += '        <div class="row m-0 mt-3 col-xs-12 col-md-12" style="margin-top:10px;">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px; background: #f8f9ff;height: 40px;"> <span'
        element += '                    class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;"'
        element += '                    placeholder="Height">Height</span> </div>'
        element += '            <div class="col-xs-9 col-md-9" style="text-align:left;padding:0px;"> <input onkeyup="changeValue2(this)"'
        element += '                    onchange="changeValue2(this)" type="number" class="input_pad inputoption_2"'
        element += '                    style="text-align:center;width:80px;height:40px" placeholder="rows" value=""> </div>'
        element += '        </div>'
        element += '        <div class="row m-0 mt-3 col-xs-12 col-md-12" style="margin-top:10px;margin-bottom: 10px">'
        element += '            <div class="col-xs-3 col-md-3" style="padding:0px;background: #f8f9ff;height: 40px;"> <span'
        element += '                    class="scc_label" style="margin-top:5px;text-align:right;padding-right:10px;">Placeholder</span>'
        element += '            </div>'
        element += '            <div class="col-xs-9 col-md-9" style="padding:0px;"> <textarea onkeyup="changeValue3(this)"'
        element += '                    class="input_pad inputoption_desc" style="height:40px;width:100%;max-width: 100%;" rows="1"'
        element += '                    placeholder=""></textarea> </div>'
        element += '        </div>'
        element += '    </div>'
        element += '    <div class="scc-new-accordion-container">'
        element += '        <div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        element += '            <p>'
        element += '                <label class="scc-accordion_switch_button">'
        element += '                    <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox">'
        element += '                    <span class="scc-accordion_toggle_button round"></span>'
        element += '                </label>'
        element += '                <span><b>Mandatory</b></span>'
        element += '            </p>'
        element += '            <span style="text-align: left;display: block;"><b>Responsive Options</b></span>'
        element += '            <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">'
        element += '                <div class="text-scc-col d-flex tooltipadmin-right" title="Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.">'
        element += '                    <div class="col-md-9" style="padding:1px;">'
        element += '                        <label>Title column (desktop)</label>'
        element += '                    </div>'
        element += '                    <div class="col-md-3" style="padding:1px;">'
        element += '                        <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" value="">'
        element += '                    </div>'
        element += '                </div>'
        element += '                <div class="text-scc-col d-flex">'
        element += '                    <div class="col-md-9" style="padding:1px;">'
        element += '                        <label>Title column (mobile)</label>'
        element += '                    </div>'
        element += '                    <div class="col-md-3" style="padding:1px;">'
        element += '                        <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" value="">'
        element += '                    </div>'
        element += '                </div>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '<div class="styled-accordion">'
        element += '    <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">'
        element += '        <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>'
        element += '    </div>'
        element += '    <div class="scc-content" style="display: none;">'
        element += '        <div class="scc-transition">'
        element += '            <div class="condition-container clearfix" data-condition-set=1>'
        element += '                <!-- <div style="background-color: black;height:50px"></div> -->'
        element += '                <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">'
        element += '                    <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">'
        element += '                        <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Show if</span>'
        element += '                    </div>'
        element += '                    <div class="col-xs-11 col-md-11" style="padding:0px;">'
        element += '                        <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">'
        element += '                            <div class="item_conditionals">'
        element += '                                <select disabled onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">'
        element += '                                    <option style="font-size: 10px" value="0">Select an element</option>'
        element += '                                </select>'
        element += '                                <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">'
        element += '                                </select>'
        element += '                                <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">'
        element += '                                <div class="btn-group" style="margin-left: 10px;display:none">'
        element += '                                    <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>'
        element += '                                    <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>'
        element += '                                </div>'
        element += '                            </div>'
        element += '                        </div>'
        element += '                    </div>'
        element += '                </div>'
        element += '                <button onclick="(($this) => {jQuery($this).prev().removeClass(\'hidden\'); jQuery($this).addClass(\'hidden\')})(this)" class="btn btn-addcondition cond-add-btn hidden">Add</button>';
        element += '            </div>'
        element += '            <div style="margin-left: auto; margin-right: auto; width: 28%">'
        element += '                  <button class="btn btn-primary btn-cond-or hidden">Add OR Condition</button>'
        element += '            </div>'
        element += '        </div>'
        element += '    </div>'
        element += '</div>'
        element += '            </div>'
        return element
    }
    /**
     * *Dropdown element to be inserted in dom after success insert in db
     * todo: it needs to be added element and elementitem in db
     * @param element_id, elementItem_id
     */
     function insertDropdownElement(idElement, idElementitem) {
        var addWoocommerceChoice = sccData[getCalcId()].config["enableWoocommerceCheckout"];
        var ddWoocommerceChoice = () => `<div class="col-md-12 dd-woocommerce" style="padding:0px;">
                                                                        <div class="scc-col-xs-2 scc-col-md-2" style="padding:0px;"></div>
                                                                        <div class="scc-col-xs-3 scc-col-md-3" style="padding:0px;background: #f8f9ff;height: 40px;"><span class="scc_label" style="text-align:right;padding-right:5px;margin-top:5px;">WooCommerce</span></div>
                                                                        <div class="woo-product-dd scc-col-xs-7 scc-col-md-7" style="padding:0px;">
                                                                            <select class="scc_woo_commerce_product_id" data-target="selopt3" onchange="attachProductId(this)" style="width:100%;float:left;height:41px;margin-bottom:20px">
                                                                                <option style="font-size: 10px" value="0">Select a product..</option>`+
        `${woocommerceProducts.map(e => `<option value="${Object.keys(e)}">` + Object.values(e) + '</option>').join('\n')}` +
        `</select>
                                                                        </div>
                                                                    </div>`
        var elementHead = `<div class="elements_added_v2">
            <div class="element-icon">
                <i class="far fa-list-alt" style="font-size:25px;"></i>
            </div>
            <div class="element-title-desc">
                <div class="title-desc-wrapper">
                    <span class="element-title">Dropdown Menu</span>
                    <p class="element-description">
                        Title
                    </p>
                </div>
            </div>
            <div class="element-action-icons">
                <i class="material-icons-outlined" onclick="javascript:collapseElement(this)" style="cursor: pointer;font-size: 18px;">remove</i>
                <i class="material-icons-outlined with-tooltip" title="Shows a dropdown choice on the frontend">info</i>
                <i class="material-icons-outlined" onclick="javascript:handleElementCopy(this)" style="cursor: pointer;font-size: 18px;">content_copy</i>
                <i class="sortable_subsection_element material-icons-outlined" style="cursor: pointer;font-size: 18px;">open_with</i>
                <i class="material-icons-outlined" onclick="removeElement(this)" style="cursor: pointer;font-size: 18px;">delete</i>
            </div>
        </div>`
        var dropd = '<div class="elements_added" style="border: 2px solid rgb(138, 153, 248);border-style: dashed;">'
        dropd += '    <input type="text" class="input_id_element" value="' + idElement + '" hidden="">'
        dropd += elementHead
        dropd += '    <div class="scc-element-content" value="selectoption" style="height: auto;">'
        dropd += '        <!-- CONTENIDO DE CADA ELEMENTO -->'
        dropd += '        <!-- ELEMENT -->'
        dropd += '    <div class="row m-0 selopt5 col-xs-12 col-md-12" style="margin-top: 20px; padding: 0px;">'
        dropd += '        <div class="col-xs-3 col-md-3" style="padding:0px;height:40px;background: #f8f9ff;"><span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Title</span></div>'
        dropd += '        <div class="col-xs-9 col-md-9" style="padding:0px;"><input type="text" class="input_pad inputoption_title" onkeyup="clickedTitleElement(this)" style="height:40px;width:100%;" placeholder="Title" value="Title"></div>'
        dropd += '    </div>'
        dropd += '    <!-- ELEMENTS INSIDE ELEMENTS -->'
        dropd += '    <div class="selectoption_2 col-xs-12 col-md-12" style="margin-top:20px;">'
        dropd += '        <div class="row m-0 selopt3 col-md-12 col-xs-12" style="margin-top:10px;padding:0px">'
        dropd += '                <div class="row p-0 m-0 col-md-11 col-xs-11">'
        dropd += '                    <input class="swichoptionitem_id" type="text" value="' + idElementitem + '" hidden="">'
        dropd += '                    <div class="col-xs-2 col-md-2 tooltipadmin-left" onclick="setDefaultOption(this,false)" id="dropdownOpt" data-tooltip="Click to make this option default." style="padding:0px;background:#f8f9ff;height:40px;">'
        dropd += '                        <label class="" style="float: none;margin-top:10px;font-size:14px;font-weight: normal;">1</label>'
        dropd += '                    </div>'
        dropd += '                     <div class="col-md-7 col-xs-7" style="padding: 0px 5px 0px 1px;">'
        dropd += '                         <input type="text" onkeyup="changeNameElementItem(this)" class="input_pad inputoption" style="width:100%;height:40px;" value="Name" placeholder="Product or service name">'
        dropd += '                     </div>'
        dropd += '                     <div class="col-md-3 col-xs-3" style="padding:0px">'
        dropd += '                         <input type="number" onchange="changePriceElementItem(this)" onkeyup="changePriceElementItem(this)" class="input_pad inputoption_2" style="width:100%;text-align:center;height:40px;" placeholder="Price" value="10">'
        dropd += '                     </div>'
        dropd += '                     <span class="col-xs-0 col-md-2">'
        dropd += '                         <img class="scc-image-picker" style="height: 80px;width:80px" onclick="choseImageElementItem(this)" src="<?php echo esc_url(SCC_URL . '/assets/images/image.png'); ?>" title="Pick an image. Please choose an image with a 1:1 aspect ratio for best results."><span class="scc-dropdown-image-remove" onclick="removeDropdownImage(this)">x</span>'
        dropd += '                     </span>'
        dropd += '                     <div class="col-md-9 col-xs-9" style="padding:0px; padding-right:5px; margin-top:5px;">'
        dropd += '                         <textarea onkeyup="changeDescriptionElementItem(this)" class="input_pad inputoption_desc" style="width:100%;height:75px;" placeholder="Description">Description</textarea>'
        dropd += '                     </div>'
        dropd += '                     <div class="col-md-1 col-xs-1" style="padding:0px;">'
        dropd += '                     </div>'
        dropd += addWoocommerceChoice ? ddWoocommerceChoice() : ''
        dropd += '                 </div>'
        dropd += '                <div class="col-md-1 col-xs-1">'
        dropd += '                    <button onclick="removeSwitchOptionDropdown(this)" style="height:40px;width:100%;padding-top:5px;margin-top:5px; border: none; background:#fff;"><i class="fa fa-trash"></i></button>'
        dropd += '                </div>'
        dropd += '             </div>'
        dropd += '                                                             </div>'
        dropd += '     <a onclick="addOptiontoSelect(this)" class="crossnadd" style="margin-top:5px;margin-bottom:20px;">[+] Add A Product / Service Option </a>'
        dropd += '                                                        <div class="scc-new-accordion-container">'
        dropd += '        <div class="styled-accordion">'
        dropd += '    <div class="scc-title scc_accordion_advance" onclick="showAdvanceoptions(this)">'
        dropd += '        <i class="material-icons">keyboard_arrow_right</i><span>Advanced Options</span>'
        dropd += '    </div>'
        dropd += '    <div class="scc-content" style="display: none;">'
        dropd += '        <div class="scc-transition">'
        dropd += '            <p>'
        dropd += '                <label class="scc-accordion_switch_button">'
        dropd += '                    <input onchange="changeMandatoryElement(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox">'
        dropd += '                    <span class="scc-accordion_toggle_button round"></span>'
        dropd += '                </label>'
        dropd += '                <span><b>Mandatory</b> <i class="material-icons-outlined more-settings-info" title="Enabling this will be necessary to select before it can be sent or show details" style="margin-right:5px">info</i> <i class="material-icons-outlined more-settings-info" title="Enabling this will be necessary to select before it can be sent or show details." style="margin-right:5px" data-image-preview="<?php echo esc_url(SCC_ASSETS_URL . '/images/tooltip-images/mandatory-element.png') ?>">visibility</i></span>'
        dropd += '            </p>'
        dropd += '              <p>'
        dropd += '                  <label class="scc-accordion_switch_button">'
        dropd += '                      <input onchange="changeShowTitlePdf(this)" class="scc_mandatory_dropdown" name="scc_mandatory_dropdown" type="checkbox" <?php if ($el->showTitlePdf == "1")  echo "checked" ?>>'
        dropd += '                      <span class="scc-accordion_toggle_button round"></span>'
        dropd += '                  </label>'
        dropd += '                  <span><b>Show Title on Detailed List & PDF</b> <i class="material-icons-outlined more-settings-info" title="As the dropdown item will always appear on the Detailed List & PDF, this feature will also show the dropdown title." style="margin-right:5px" data-image-preview="<?php echo esc_url(SCC_ASSETS_URL . '/images/tooltip-images/show-title-pdf.png') ?>">visibility</i></span>'
        dropd += '              </p>'
        dropd += '            <span style="text-align: left;display: block;"><b>Responsive Options</b></span>'
        dropd += '            <div class="scc-accordion-tooltip" style="width: 95%; text-align:left;">'
        dropd += '                <div class="text-scc-col d-flex tooltipadmin-right" title="Please enter a number between 1 and 12. 1 being the smallest and 12 being the largest, for your title. If you have a large title, we recommend between 6 and 12.">'
        dropd += '                    <div class="col-md-9" style="padding:1px;">'
        dropd += '                        <label>Title column (desktop)</label>'
        dropd += '                    </div>'
        dropd += '                    <div class="col-md-3" style="padding:1px;">'
        dropd += '                        <input onchange="changeColumnDesktop(this)" onkeyup="changeColumnDesktop(this)" class="scc_title_column_dskp" min="1" max="12" name="scc_title_column_dskp" type="number" value="">'
        dropd += '                    </div>'
        dropd += '                </div>'
        dropd += '                <div class="text-scc-col d-flex">'
        dropd += '                    <div class="col-md-9" style="padding:1px;">'
        dropd += '                        <label>Title column (mobile)</label>'
        dropd += '                    </div>'
        dropd += '                    <div class="col-md-3" style="padding:1px;">'
        dropd += '                        <input onchange="changeColumnMobile(this)" onkeyup="changeColumnMobile(this)" class="scc_title_column_mobl" min="1" max="12" name="scc_title_column_mobl" type="number" value="">'
        dropd += '                    </div>'
        dropd += '                </div>'
        dropd += '            </div>'
        dropd += '        </div>'
        dropd += '    </div>'
        dropd += '</div>'
        dropd += '<div class="styled-accordion">'
        dropd += '    <div class="scc-title scc_accordion_conditional" onclick="showConditionaLogic(this)">'
        dropd += '        <i class="material-icons">keyboard_arrow_right</i><span>Conditional Logic</span>'
        dropd += '    </div>'
        dropd += '    <div class="scc-content" style="display: none;">'
        dropd += '        <div class="scc-transition">'
        dropd += '            <div class="condition-container clearfix" data-condition-set=1>'
        dropd += '                <!-- <div style="background-color: black;height:50px"></div> -->'
        dropd += '                <div class="row col-xs-12 col-md-12 conditional-selection" style="padding: 0px; margin-bottom: 5px;">'
        dropd += '                    <div class="col-xs-1 col-md-1" style="padding:0px;height:40px;background: #DCF1FD;">'
        dropd += '                        <span class="scc_label" style="text-align:right;padding-right:10px;margin-top:5px;">Show if</span>'
        dropd += '                    </div>'
        dropd += '                    <div class="col-xs-11 col-md-11" style="padding:0px;">'
        dropd += '                        <div class="conditional-selection-steps col-xs-12 col-md-12" style="padding:0px;">'
        dropd += '                            <div class="item_conditionals">'
        dropd += '                                <select disabled onfocus="loadDataItemsCondition(this)" onchange="loadSecondSelectCondition(this)" class="first-conditional-step col-xs-3" style="height: 40px;">'
        dropd += '                                    <option style="font-size: 10px" value="0">Select an element</option>'
        dropd += '                                </select>'
        dropd += '                                <select onchange="changeSecondSelectCondition(this)" class="second-conditional-step col-xs-3" style="height: 40px;display:none">'
        dropd += '                                </select>'
        dropd += '                                <select class="third-conditional-step col-xs-3" style="height: 40px;display:none">'
        dropd += '                                </select>'
        dropd += '                                <input type="number" placeholder="Number" style="height: 40px;display:none" class="conditional-number-value col-xs-2">'
        dropd += '                                <div class="btn-group" style="margin-left: 10px;display:none">'
        dropd += '                                    <button onclick="addConditionElement(this)" class="btn btn-addcondition">Save</button>'
        dropd += '                                    <button onclick="deleteCondition(this)" class="btn btn-danger btn-delcondition" style="display: none;">x</button>'
        dropd += '                                </div>'
        dropd += '                            </div>'
        dropd += '                        </div>'
        dropd += '                    </div>'
        dropd += '                </div>'
        dropd += '                <button onclick="(($this) => {jQuery($this).prev().removeClass(\'hidden\'); jQuery($this).addClass(\'hidden\')})(this)" class="btn btn-addcondition cond-add-btn hidden">Add</button>';
        dropd += '            </div>'
        dropd += '            <div style="margin-left: auto; margin-right: auto; width: 28%">'
        dropd += '                  <button class="btn btn-primary btn-cond-or hidden">Add OR Condition</button>'
        dropd += '            </div>'
        dropd += '        </div>'
        dropd += '    </div>'
        dropd += '</div>'
        dropd += '            </div>'
        return dropd;
    }
    /* utility function to setup unique ID for the custom quote form fields */
    function generateFormFieldUID(element) {
        var firstPart = (Math.random() * 46656) | 0;
        var secondPart = (Math.random() * 46656) | 0;
        firstPart = ("000" + firstPart.toString(36)).slice(-3);
        secondPart = ("000" + secondPart.toString(36)).slice(-3);
        return firstPart + secondPart;
    }
    /* Quote Form Setup: Add new field  */
    function addOrUpdateFormField(event, formModal) {
        event.preventDefault();
        let $formModal = jQuery(formModal);
        let formDataObject = new FormData(formModal);
        let currentFieldKey = formDataObject.get('fieldKey');
        // loading calculator configs
        const urlParams = new URLSearchParams(window.location.search);
        const calcId = urlParams.get('id_form');
        let calcConfig = JSON.parse(document.getElementById('scc-config-' + calcId).innerText);
        let {
            quoteFormFields
        } = calcConfig;
        // calculator loading finish
        let existingKeys = quoteFormFields.map((e, i) => {
            return Object.keys(e)
        }).flat();
        // detecting empty fields, later warnings can be shown based upon the field names
        var fieldsWithErrors = ['field_name', 'field_description'].filter((e, i) => {
            if (!formDataObject.get(e) || formDataObject.get(e) == 0 || !formDataObject.get(e).length) {
                return true;
            }
        });
        // try to use existing field key, if not it is a new field adding modal and needs id generation
        let fieldKey = currentFieldKey || generateFormFieldUID();
        let fieldName = formDataObject.get('field_name');
        let data = {
            id_form: calcId,
            action: 'sccHandleQuoteCustomFields',
            fieldProps: {
                [fieldKey]: {
                    name: fieldName,
                    description: formDataObject.get('field_description'),
                    type: formDataObject.get('form-field-type'),
                    isMandatory: formDataObject.get('is-mandatory') || false
                }
            },
            nonce: pageEditCalculator.nonce
        }
        function addOrUpdateButton(data) {
            if (!currentFieldKey) {
                jQuery('.editing-action-cards.action-quoteform .card-action-btns [data-btn-fieldtype="more-fields"]')
                .before(`<button class="btn btn-cards active" data-btn-fieldtype="custom" data-field-key="${fieldKey}">
                    <span>${(fieldName).slice(0,20) + (fieldName.length > 21 ? '...' : '')}</span>
                    <i class="scc-icon-formbuilder material-icons" data-form-builder-action-type="edit" onclick="console.log">edit</i>
                    </button>`);
                addEventsToQuoteFormBtns(jQuery(`[data-field-key="${fieldKey}"]`, '.editing-action-cards.action-quoteform'));
            }
            if (currentFieldKey) {
                let newFieldName = data.props[currentFieldKey].name;
                jQuery(`[data-field-key="${currentFieldKey}"] span`, '.editing-action-cards.action-quoteform').text(newFieldName);
            }
        }
        showLoadingChanges()
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: data,
            type: 'POST',
            context: $formModal,
            beforeSend: function() {
                debugger;
                this.find('button[type="submit"]').prop('disabled', true);
                this.find('button[type="submit"]').children().html(`<div>
                    <svg aria-hidden="true" style="width: 1em" focusable="false" data-prefix="fas" data-icon="spinner" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="svg-inline--fa fa-spinner fa-w-16 fa-spin"><path fill="currentColor" d="M304 48c0 26.51-21.49 48-48 48s-48-21.49-48-48 21.49-48 48-48 48 21.49 48 48zm-48 368c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48zm208-208c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48zM96 256c0-26.51-21.49-48-48-48S0 229.49 0 256s21.49 48 48 48 48-21.49 48-48zm12.922 99.078c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48c0-26.509-21.491-48-48-48zm294.156 0c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48c0-26.509-21.49-48-48-48zM108.922 60.922c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.491-48-48-48z" class=""></path></svg>
                    </div>
                    <span class="trn df-scc-euiButton__text">Please wait...</span>`);
            },
            success: function(data) {
                if (data.passed == true) {
                    this.find('button[type="submit"]').prop('disabled', false);
                    this.find('button[type="submit"]').children().html('<span class="trn df-scc-euiButton__text">Add</span>')
                    this.closest('[role=dialog]').modal('hide');
                    loadPreviewForm(data.calcId);
                    addOrUpdateButton(data);
                    showSweet(true, "The changes have been saved.")
                } else {
                    // showSweet(false, "There was an error, please try again")
                }
            }
        })
    }
    jQuery(document).ready(function($){
        resort_updown()
        // handle "Add OR Condition" button
        $('.left-pane').on('click', (event) => {
            if ($(event.target).hasClass('btn-cond-or')) {
                let lastCondContainer = $(event.target).parent().prev('.condition-container');
                let lastConditionSet = lastCondContainer.data('conditionSet');
                let newCondContainer = ($(`<div class="condition-container clearfix" data-condition-set=${lastConditionSet + 1}>
                                            <p>OR condition ${lastConditionSet + 1}</p>
                                            <button onclick="(($this) => {jQuery($this).prev().removeClass('hidden'); jQuery($this).addClass('hidden')})(this)" class="btn btn-addcondition cond-add-btn hidden">Add</button>
                                        </div>`)).insertAfter(lastCondContainer);
                newCondContainer.find('.cond-add-btn').before(insertConditionaDiv("Show if", false));
            }
        })
    })
    /**
     * *Handles up/down sections
     */
     function resort_updown() {
        jQuery('#allinputstoadd .down:last').css("display", "none");
        jQuery('#allinputstoadd .up:first').css("display", "none");
        jQuery('#allinputstoadd .down').not(':last').css("display", "block");
        jQuery('#allinputstoadd .up').not(':first').css("display", "block");
        jQuery('#allinputstoadd .fieldDatatoAdd .sdown:last-child').css("display", "none");
        jQuery('#allinputstoadd .fieldDatatoAdd .sup:first-child').css("display", "none");
        jQuery('#allinputstoadd .fieldDatatoAdd .sdown').not(':last').css("display", "block");
        jQuery('#allinputstoadd .fieldDatatoAdd .sup').not(':first').css("display", "block");
    }
    function rup($this) {
        var wrapper = jQuery($this).closest('.addedFieldsStyle')
        wrapper.insertBefore(wrapper.prev())
        resort_updown()
        updateOrderOfSections()
    }
    function rdown($this) {
        var wrapper = jQuery($this).closest('.addedFieldsStyle') 
        wrapper.insertAfter(wrapper.next())
        resort_updown()
        updateOrderOfSections()
    }
    function updateOrderOfSections(){
        jQuery.ajax({
            url: ajaxurl,
            cache: false,
            data: {
                action:'sccUpdateSectionOrder',
                sections: getSectionsOrder(),
                nonce: pageEditCalculator.nonce
            },
            type: 'GET',
            success: function(data) {
                console.log(data)
                if (data.passed == true) {
                    showSweet(true, "The changes have been saved.")
                } else {
                    // showSweet(false, "There was an error, please try again")
                }
            }
        })
        function getSectionsOrder(){
            var ss =[]
            jQuery("#allinputstoadd .fieldDatatoAdd").each(function(e,i){
                var o= {}
                var sw = jQuery(this).closest(".addedFieldsStyle").find(".id_section_class").val()
                o.id = sw
                o.order = e
                ss.push(o)
            });
            return ss
        }
    }
    function showLoadingChanges(){
        let timerInterval
        Swal.fire({
            toast: true,
            showConfirmButton: false,
            timer: 5000,
            background: 'orange',
            didOpen: () => {
              Swal.showLoading()
          },
          willClose: () => {
              clearInterval(timerInterval)
          }
      })
    }
    /**
     * *Shows toast on input changes
     * ?on timer ends reload preview
     */
    let reloadToast = null
    function reloadform(){
        if(reloadToast !== null){
            if(Swal.getTimerLeft() < 3000){
                Swal.increaseTimer(5000)
            } 
            return
        }
        reloadToast = Swal.fire({
            toast: true,
            position:'top-end',
            title: 'Reloading preview',
            showConfirmButton: false,
            timer: 5000,
            background: 'orange',
            timerProgressBar: true,
            // showClass:{
            //     popup:''
            // },
            willClose: () => {
              var id_form = jQuery("#id_scc_form_").val()
              jQuery(".preview_form_right_side").html(`<div class="df-scc-progress df-scc-progress-striped active">
				<div class="df-scc-progress-bar" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="background-color: orange; width: 100%">
				</div>
				</div>`);
              loadPreviewForm(id_form)
              reloadToast = null
            }
        }) 
    }
</script>
<style>
</style>